# This file was automatically created by FeynRules $Revision: 535 $
# Mathematica version: 7.0 for Mac OS X x86 (64-bit) (November 11, 2008)
# Date: Fri 18 Mar 2011 18:40:51

from object_library import all_CTparameters, CTParameter

from function_library import complexconjugate, re, im, csc, sec, acsc, asec, arg, reglog,reglogp,reglogm, grreglog, recms, crecms,regsqrt, B0F

import copy

################
# R2 vertices  #
################

# ========= #
# Pure QCD  #
# ========= #

RGR2 = CTParameter(name = 'RGR2',
              type = 'real',
              value = {0:'-(3.0/2.0)*G**4/(96.0*cmath.pi**2)'},
              texname = 'RGR2')

# ============== #
# Mixed QCD-QED  #
# ============== #

R2MixedFactor = CTParameter(name = 'R2MixedFactor',
              type = 'real',
              value = {0:'-(G**2*(1.0+lhv)*(Ncol**2-1.0))/(2.0*Ncol*16.0*cmath.pi**2)'},
              texname = 'R2MixedFactor')

# ============== #
# Pure QED       #
# ============== #

R2SS = CTParameter(name = 'R2SS',
        type = 'real',
        value = {0:'ee**2/(16.0*cmath.pi**2*sw**2)'},
        texname = 'R2SS')

R2VV = CTParameter(name = 'R2VV',
                   type = 'real',
                   value = {0:'ee**2/cmath.pi**2'},
                   texname = 'R2VV')

R2SFF = CTParameter(name = 'R2SFF',
                    type = 'real',
                    value = {0:'ee**3/cmath.pi**2'},
                    texname = 'R2SFF')

R24S = CTParameter(name = 'R24S',
                     type = 'real',
                     value = {0:'ee**4/cmath.pi**2'},
                     texname = 'R24S')

# ============== #
# Mixed QED-QCD  #
# ============== #

R2GQQ2 = CTParameter(name = 'R2GQQ2',
                     type = 'real',
                     value = {0:'-G*ee**2/cmath.pi**2'},
                     texname = 'R2GQQ2')

################
# UV vertices  #
################

# ========= #
# Pure QCD  #
# ========= #

G_UVg = CTParameter(name = 'G_UVg',
                    type = 'real',
                    value = {-1:'-((G**2)/(2.0*48.0*cmath.pi**2))*11.0*CA*epsUV'},
                    texname = '\delta Gg')

G_UVq = CTParameter(name = 'G_UVq',
                    type = 'real',
                    value = {-1:'((G**2)/(2.0*48.0*cmath.pi**2))*4.0*TF*epsUV'},
                    texname = '\delta Gq')

G_UVc = CTParameter(name = 'G_UVc',
                    type = 'real',
                    value = {-1:'((G**2)/(2.0*48.0*cmath.pi**2))*4.0*TF*epsUV',
                    0:'cond(MC,0.0,-((G**2)/(2.0*48.0*cmath.pi**2))*4.0*TF*reglog(MC**2/MU_R**2))'},
                    texname = '\delta Gc')

G_UVb = CTParameter(name = 'G_UVb',
                    type = 'real',
                    value = {-1:'((G**2)/(2.0*48.0*cmath.pi**2))*4.0*TF*epsUV',
                    0:'cond(MB,0.0,-((G**2)/(2.0*48.0*cmath.pi**2))*4.0*TF*reglog(MB**2/MU_R**2))'},
                    texname = '\delta Gb')

G_UVt = CTParameter(name = 'G_UVt',
                    type = 'real',
                    value = {-1:'((G**2)/(2.0*48.0*cmath.pi**2))*4.0*TF*epsUV',
                    0:'cond(MT,0.0,-((G**2)/(2.0*48.0*cmath.pi**2))*4.0*TF*reglog(MT**2/MU_R**2))'},
                    texname = '\delta Gt')

GWcft_UV_g = CTParameter(name = 'GWcft_UV_g',
                         type = 'real',
                         value = {-1:'((G**2)/(2.0*48.0*cmath.pi**2))*5.0*CA*(epsUV-epsIR)'
                         },
                         texname = '\delta G_{wfct\_g}')

GWcft_UV_q = CTParameter(name = 'GWcft_UV_q',
                         type = 'real',
                         value = {-1:'-((G**2)/(2.0*48.0*cmath.pi**2))*4.0*TF*(epsUV-epsIR)'
                         },
                         texname = '\delta G_{wfct\_q}')

GWcft_UV_c = CTParameter(name = 'GWcft_UV_c',
                         type = 'real',
                         value = {-1:'cond(MC,-((G**2)/(2.0*48.0*cmath.pi**2))*4.0*TF*(epsUV-epsIR),-((G**2)/(2.0*48.0*cmath.pi**2))*4.0*TF*epsUV)',
                         0:'cond(MC,0.0,((G**2)/(2.0*48.0*cmath.pi**2))*4.0*TF*reglog(MC**2/MU_R**2))'
                         },
                         texname = '\delta G_{wfct\_c}')

GWcft_UV_b = CTParameter(name = 'GWcft_UV_b',
                         type = 'real',
                         value = {-1:'cond(MB,-((G**2)/(2.0*48.0*cmath.pi**2))*4.0*TF*(epsUV-epsIR),-((G**2)/(2.0*48.0*cmath.pi**2))*4.0*TF*epsUV)',
                         0:'cond(MB,0.0,((G**2)/(2.0*48.0*cmath.pi**2))*4.0*TF*reglog(MB**2/MU_R**2))'
                         },
                         texname = '\delta G_{wfct\_b}')

GWcft_UV_t = CTParameter(name = 'GWcft_UV_t',
                         type = 'real',
                         value = {-1:'cond(MT,-((G**2)/(2.0*48.0*cmath.pi**2))*4.0*TF*(epsUV-epsIR),-((G**2)/(2.0*48.0*cmath.pi**2))*4.0*TF*epsUV)',
                         0:'cond(MT,0.0,((G**2)/(2.0*48.0*cmath.pi**2))*4.0*TF*reglog(MT**2/MU_R**2))'
                         },
                         texname = '\delta G_{wfct\_t}')

qWcft_UV = CTParameter(name = 'qWcft_UV',
                       type = 'real',
                       value = {-1:'-((G**2)/(2.0*16.0*cmath.pi**2))*(epsUV-epsIR)*CF'
                       },
                       texname = '\delta Z_c')

cWcft_UV = CTParameter(name = 'cWcft_UV',
                       type = 'real',
                       value = {-1:'cond(MC,-((G**2)/(2.0*16.0*cmath.pi**2))*(epsUV-epsIR)*CF,-((G**2)/(2.0*16.0*cmath.pi**2))*(epsUV+2.0*epsIR)*CF)',
                       0:'cond(MC,0.0,-((G**2)/(2.0*16.0*cmath.pi**2))*CF*(4.0-3.0*reglog(MC**2/MU_R**2)))'
                       },
                       texname = '\delta Z_c')

bWcft_UV = CTParameter(name = 'bWcft_UV',
                       type = 'real',
                       value = {-1:'cond(MB,-((G**2)/(2.0*16.0*cmath.pi**2))*(epsUV-epsIR)*CF,-((G**2)/(2.0*16.0*cmath.pi**2))*(epsUV+2.0*epsIR)*CF)',
                       0:'cond(MB,0.0,-((G**2)/(2.0*16.0*cmath.pi**2))*CF*(4.0-3.0*reglog(MB**2/MU_R**2)))'
                       },
                       texname = '\delta Z_b')

tWcft_UV = CTParameter(name = 'tWcft_UV',
                       type = 'real',
                       value = {-1:'cond(MT,-((G**2)/(2.0*16.0*cmath.pi**2))*(epsUV-epsIR)*CF,-((G**2)/(2.0*16.0*cmath.pi**2))*(epsUV+2.0*epsIR)*CF)',
                       0:'cond(MT,0.0,-((G**2)/(2.0*16.0*cmath.pi**2))*CF*(4.0-3.0*reglog(MT**2/MU_R**2)))'
                       },
                       texname = '\delta Z_t')

bMass_UV = CTParameter(name = 'bMass_UV',
                       type = 'complex',
                       value = {-1:'cond(MB,0.0,complex(0,1)*((G**2)/(16.0*cmath.pi**2))*(3.0*CF)*MB*epsUV)',
                       0:'cond(MB,0.0,complex(0,1)*((G**2)/(16.0*cmath.pi**2))*CF*(4.0-3.0*reglog(MB**2/MU_R**2))*MB)'
                       },
                       texname = '\delta m_b')

cMass_UV = CTParameter(name = 'cMass_UV',
                       type = 'complex',
                       value = {-1:'cond(MC,0.0,complex(0,1)*((G**2)/(16.0*cmath.pi**2))*(3.0*CF)*MC*epsUV)',
                       0:'cond(MC,0.0,complex(0,1)*((G**2)/(16.0*cmath.pi**2))*CF*(4.0-3.0*reglog(MC**2/MU_R**2))*MC)'
                       },
                       texname = '\delta m_c')

tMass_UV = CTParameter(name = 'tMass_UV',
                       type = 'complex',
                       value = {-1:'cond(MT,0.0,complex(0,1)*((G**2)/(16.0*cmath.pi**2))*3.0*CF*MT*epsUV)',
                       0:'cond(MT,0.0,complex(0,1)*((G**2)/(16.0*cmath.pi**2))*CF*(4.0-3.0*reglog(MT**2/MU_R**2))*MT)'
                       },
                       texname = '\delta m_t')



# ================================== #
# QED                                #
# Generate automatically by WriteUFO #
# ================================== #

# ================================================ #
# QED UV parameters                                #
# UV parameters with MB!=0                         #
# ================================================ #

HiggsTadpole_UV_EW_4FS = {-1:'(0.0 if MB == 0.0 else (-(ee*epsUV*(8*MW**2*MZ**2 - 2*cw*MW*MZ**3 + cw**2*(3*MH**4 + 12*MW**4 + MH**2*(2*MW**2 + MZ**2) - 8*(MB**4 + MT**4)*Ncol)))/(64.*cw**2*MW*cmath.pi**2*sw)))',
                          0:'(0.0 if MB == 0.0 else (-(ee*(3*cw**2*MH**4 + 2*cw**2*MH**2*MW**2 + 4*cw**2*MW**4 + cw**2*MH**2*MZ**2 + 4*MW**2*MZ**2 - 2*cw*MW*MZ**3 - 8*cw**2*MB**4*Ncol - 8*cw**2*MT**4*Ncol - 8*cw**2*MB**4*Ncol*reglog(MU_R**2/MB**2) + 3*cw**2*MH**4*reglog(MU_R**2/MH**2) - 8*cw**2*MT**4*Ncol*reglog(MU_R**2/MT**2) + 2*cw**2*MH**2*MW**2*reglog(MU_R**2/MW**2) + 12*cw**2*MW**4*reglog(MU_R**2/MW**2) + cw**2*MH**2*MZ**2*reglog(MU_R**2/MZ**2) + 8*MW**2*MZ**2*reglog(MU_R**2/MZ**2) - 2*cw*MW*MZ**3*reglog(MU_R**2/MZ**2)))/(64.*cw**2*MW*cmath.pi**2*sw)))'}

tMass_UV_EW_4FS = {-1:'(0.0 if MB == 0.0 else ((ee**2*epsUV*MT*(MW**2*(3 + 24*sw**2 - 32*sw**4) + cw**2*(-9*MB**2 + 9*MT**2 + 2*MW**2*(3 - 16*sw**2))))/(384.*cw**2*MW**2*cmath.pi**2*sw**2)))',
                   0:'(0.0 if MB == 0.0 else ((ee**2*MT*(27*cw**2*MB**2*reglog(4*cmath.pi) - 27*cw**2*MT**2*reglog(4*cmath.pi) - 9*MW**2*reglog(4*cmath.pi) - 18*cw**2*MW**2*reglog(4*cmath.pi) - 72*MW**2*sw**2*reglog(4*cmath.pi) + 96*cw**2*MW**2*sw**2*reglog(4*cmath.pi) + 96*MW**2*sw**4*reglog(4*cmath.pi) - 32*cw**2*MW**2*sw**2*recms(CMSParam==1.0 and WT != 0.0,4 + reglog(64) + 3*reglog(cmath.pi) + 3*reglog(MU_R**2/MT**2)) + 18*cw**2*MW**2*recms(CMSParam==1.0 and WT != 0.0,(MB**2 + MT**2 - MW**2 + (MB**2 + MT**2 - MW**2)*B0F(MT**2,MB**2,MW**2) + MT**2*reglog(4) + MT**2*reglog(cmath.pi) - MB**2*reglog(MU_R**2/MB**2) + MB**2*reglog(MU_R**2/MW**2) + MT**2*reglog(MU_R**2/MW**2))/MT**2) + 9*cw**2*MB**2*recms(CMSParam==1.0 and WT != 0.0,(MB**2 + 2*MT**2 - MW**2 + (MB**2 + MT**2 - MW**2)*B0F(MT**2,MB**2,MW**2) + MT**2*reglog(4) + MT**2*reglog(cmath.pi) - MB**2*reglog(MU_R**2/MB**2) + MB**2*reglog(MU_R**2/MW**2) + MT**2*reglog(MU_R**2/MW**2))/MT**2) + 9*cw**2*MT**2*recms(CMSParam==1.0 and WT != 0.0,(MB**2 - MH**2 + 8*MT**2 - MW**2 - MZ**2 + (MB**2 + MT**2 - MW**2)*B0F(MT**2,MB**2,MW**2) - (MH**2 - 4*MT**2)*B0F(MT**2,MH**2,MT**2) - MZ**2*B0F(MT**2,MT**2,MZ**2) + MT**2*reglog(64) + 3*MT**2*reglog(cmath.pi) - MB**2*reglog(MU_R**2/MB**2) + MH**2*reglog(MU_R**2/MH**2) - MH**2*reglog(MU_R**2/MT**2) + 2*MT**2*reglog(MU_R**2/MT**2) + MB**2*reglog(MU_R**2/MW**2) + MT**2*reglog(MU_R**2/MW**2))/MT**2) + 9*MW**2*recms(CMSParam==1.0 and WT != 0.0,2 - MZ**2/MT**2 + (2 - MZ**2/MT**2)*B0F(MT**2,MT**2,MZ**2) + reglog(4) + reglog(cmath.pi) - reglog(MU_R**2/MT**2) + 2*reglog(MU_R**2/MZ**2)) + 24*MW**2*sw**2*recms(CMSParam==1.0 and WT != 0.0,4 + MZ**2/MT**2 + (2 + MZ**2/MT**2)*B0F(MT**2,MT**2,MZ**2) + reglog(64) + 3*reglog(cmath.pi) + reglog(MU_R**2/MT**2) + 2*reglog(MU_R**2/MZ**2)) - 32*MW**2*sw**4*recms(CMSParam==1.0 and WT != 0.0,4 + MZ**2/MT**2 + (2 + MZ**2/MT**2)*B0F(MT**2,MT**2,MZ**2) + reglog(64) + 3*reglog(cmath.pi) + reglog(MU_R**2/MT**2) + 2*reglog(MU_R**2/MZ**2)) - 36*cw**2*MB*MT*recms(CMSParam==1.0 and WT != 0.0,(MB*(2 + B0F(MT**2,MB**2,MW**2) + reglog((4*cmath.pi*MU_R**2)/MW**2)))/MT)))/(1152.*cw**2*MW**2*cmath.pi**2*sw**2)))'}


bMass_UV_EW_4FS = {-1:'(0.0 if MB == 0.0 else ((ee**2*epsUV*MB*(MW**2*(3 + 12*sw**2 - 8*sw**4) + cw**2*(9*MB**2 - 9*MT**2 + 2*MW**2*(3 - 4*sw**2))))/(384.*cw**2*MW**2*cmath.pi**2*sw**2)))',
                   0:'(0.0 if MB == 0.0 else ((ee**2*MB*(-27*cw**2*MB**2*reglog(4*cmath.pi) + 27*cw**2*MT**2*reglog(4*cmath.pi) - 9*MW**2*reglog(4*cmath.pi) - 18*cw**2*MW**2*reglog(4*cmath.pi) - 36*MW**2*sw**2*reglog(4*cmath.pi) + 24*cw**2*MW**2*sw**2*reglog(4*cmath.pi) + 24*MW**2*sw**4*reglog(4*cmath.pi) - 8*cw**2*MW**2*sw**2*re(4 + reglog(64) + 3*reglog(cmath.pi) + 3*reglog(MU_R**2/MB**2)) + 18*cw**2*MW**2*re((MB**2 + MT**2 - MW**2 + (MB**2 + MT**2 - MW**2)*B0F(MB**2,MT**2,MW**2) + MB**2*reglog(4) + MB**2*reglog(cmath.pi) - MT**2*reglog(MU_R**2/MT**2) + MB**2*reglog(MU_R**2/MW**2) + MT**2*reglog(MU_R**2/MW**2))/MB**2) + 9*cw**2*MT**2*re((2*MB**2 + MT**2 - MW**2 + (MB**2 + MT**2 - MW**2)*B0F(MB**2,MT**2,MW**2) + MB**2*reglog(4) + MB**2*reglog(cmath.pi) - MT**2*reglog(MU_R**2/MT**2) + MB**2*reglog(MU_R**2/MW**2) + MT**2*reglog(MU_R**2/MW**2))/MB**2) + 9*cw**2*MB**2*re(((2*MB - MH)*(2*MB + MH)*B0F(MB**2,MB**2,MH**2))/MB**2 - (MZ**2*B0F(MB**2,MB**2,MZ**2))/MB**2 + ((MB**2 + MT**2 - MW**2)*B0F(MB**2,MT**2,MW**2))/MB**2 - (MH**2 - MT**2 + MW**2 + MZ**2 - MB**2*(8 + reglog(64) + 3*reglog(cmath.pi)))/MB**2 - 2*reglog(MU_R**2/MB**2) + 4*reglog(MU_R**2/MH**2) - (MT**2*reglog(MU_R**2/MT**2))/MB**2 + ((MB**2 + MT**2)*reglog(MU_R**2/MW**2))/MB**2) + 9*MW**2*re(2 - MZ**2/MB**2 + (2 - MZ**2/MB**2)*B0F(MB**2,MB**2,MZ**2) + reglog(4) + reglog(cmath.pi) - reglog(MU_R**2/MB**2) + 2*reglog(MU_R**2/MZ**2)) + 12*MW**2*sw**2*re(4 + MZ**2/MB**2 + (2 + MZ**2/MB**2)*B0F(MB**2,MB**2,MZ**2) + reglog(64) + 3*reglog(cmath.pi) + reglog(MU_R**2/MB**2) + 2*reglog(MU_R**2/MZ**2)) - 8*MW**2*sw**4*re(4 + MZ**2/MB**2 + (2 + MZ**2/MB**2)*B0F(MB**2,MB**2,MZ**2) + reglog(64) + 3*reglog(cmath.pi) + reglog(MU_R**2/MB**2) + 2*reglog(MU_R**2/MZ**2)) - 36*cw**2*MB*MT*re((MT*(2 + B0F(MB**2,MT**2,MW**2) + reglog((4*cmath.pi*MU_R**2)/MW**2)))/MB)))/(1152.*cw**2*MW**2*cmath.pi**2*sw**2)))'}


HMass2_UV_EW_4FS = {-1:'(0.0 if MB == 0.0 else ((ee**2*epsUV*(16*MW**4 + 2*cw**2*MW**2*(-2*MH**2 + MZ**2) + cw**4*(15*MH**4 + MH**2*(-6*MW**2 + MZ**2 + 4*(MB**2 + MT**2)*Ncol) - 12*(-3*MW**4 + 2*(MB**4 + MT**4)*Ncol))))/(128.*cw**4*MW**2*cmath.pi**2*sw**2)))',
                    0:'(0.0 if MB == 0.0 else ((ee**2*(-((16*MW**4 + 2*cw**2*MW**2*(-2*MH**2 + MZ**2) + cw**4*(15*MH**4 + MH**2*(-6*MW**2 + MZ**2 + 4*(MB**2 + MT**2)*Ncol) - 12*(-3*MW**4 + 2*(MB**4 + MT**4)*Ncol)))*reglog(4*cmath.pi)) + 4*cw**4*MB**2*Ncol*(-((10 + reglog(4096) + 6*reglog(cmath.pi))*recms(CMSParam==1.0 and WH != 0.0,MB**2)) + (2 + reglog(4*cmath.pi))*recms(CMSParam==1.0 and WH != 0.0,MH**2) - recms(CMSParam==1.0 and WH != 0.0,(2*MB - MH)*(2*MB + MH)*B0F(MH**2,MB**2,MB**2)) + recms(CMSParam==1.0 and WH != 0.0,(-6*MB**2 + MH**2)*reglog(MU_R**2/MB**2))) + 4*cw**4*MT**2*Ncol*((2 + reglog(4) + reglog(cmath.pi))*recms(CMSParam==1.0 and WH != 0.0,MH**2) - (10 + reglog(4096) + 6*reglog(cmath.pi))*recms(CMSParam==1.0 and WH != 0.0,MT**2) + recms(CMSParam==1.0 and WH != 0.0,(MH - 2*MT)*(MH + 2*MT)*B0F(MH**2,MT**2,MT**2)) + recms(CMSParam==1.0 and WH != 0.0,(MH**2 - 6*MT**2)*reglog(MU_R**2/MT**2))) + 4*cw**4*MW**4*(10 + reglog(16384) + 7*reglog(cmath.pi) + 7*recms(CMSParam==1.0 and WH != 0.0,B0F(MH**2,MW**2,MW**2)) + 7*recms(CMSParam==1.0 and WH != 0.0,reglog(MU_R**2/MW**2))) - 4*cw**4*MW**2*((4 + reglog(16) + 2*reglog(cmath.pi))*recms(CMSParam==1.0 and WH != 0.0,MH**2) - (-1 + reglog(16) + 2*reglog(cmath.pi))*recms(CMSParam==1.0 and WH != 0.0,MW**2) + recms(CMSParam==1.0 and WH != 0.0,(2*MH**2 + MW**2)*B0F(MH**2,MW**2,MW**2)) + 2*recms(CMSParam==1.0 and WH != 0.0,(MH - MW)*(MH + MW)*reglog(MU_R**2/MW**2))) + 8*MW**4*(3 + reglog(16) + 2*reglog(cmath.pi) + 2*recms(CMSParam==1.0 and WH != 0.0,B0F(MH**2,MZ**2,MZ**2)) + 2*recms(CMSParam==1.0 and WH != 0.0,reglog(MU_R**2/MZ**2))) + cw**4*MH**2*((3 + reglog(64) + 3*reglog(cmath.pi))*recms(CMSParam==1.0 and WH != 0.0,MH**2) + (2 + reglog(16) + 2*reglog(cmath.pi))*recms(CMSParam==1.0 and WH != 0.0,MW**2) + recms(CMSParam==1.0 and WH != 0.0,MZ**2) + reglog(4)*recms(CMSParam==1.0 and WH != 0.0,MZ**2) + reglog(cmath.pi)*recms(CMSParam==1.0 and WH != 0.0,MZ**2) + 3*recms(CMSParam==1.0 and WH != 0.0,MH**2*reglog(MU_R**2/MH**2)) + 2*recms(CMSParam==1.0 and WH != 0.0,MW**2*reglog(MU_R**2/MW**2)) + recms(CMSParam==1.0 and WH != 0.0,MZ**2*reglog(MU_R**2/MZ**2))) - 2*cw**2*MW**2*((4 + reglog(16) + 2*reglog(cmath.pi))*recms(CMSParam==1.0 and WH != 0.0,MH**2) - (-1 + reglog(16) + 2*reglog(cmath.pi))*recms(CMSParam==1.0 and WH != 0.0,MZ**2) + recms(CMSParam==1.0 and WH != 0.0,(2*MH**2 + MZ**2)*B0F(MH**2,MZ**2,MZ**2)) + 2*recms(CMSParam==1.0 and WH != 0.0,(MH - MZ)*(MH + MZ)*reglog(MU_R**2/MZ**2))) + cw**4*MH**4*(24 + 12*reglog(cmath.pi) + 9*recms(CMSParam==1.0 and WH != 0.0,B0F(MH**2,MH**2,MH**2)) + 2*recms(CMSParam==1.0 and WH != 0.0,B0F(MH**2,MW**2,MW**2)) + recms(CMSParam==1.0 and WH != 0.0,B0F(MH**2,MZ**2,MZ**2)) + 9*recms(CMSParam==1.0 and WH != 0.0,reglog(MU_R**2/MH**2)) + 2*recms(CMSParam==1.0 and WH != 0.0,reglog(MU_R**2/MW**2)) + recms(CMSParam==1.0 and WH != 0.0,reglog((16777216*MU_R**2)/MZ**2))) - 2*cw**2*MW**2*MZ**2*(2 + recms(CMSParam==1.0 and WH != 0.0,B0F(MH**2,MZ**2,MZ**2)) + recms(CMSParam==1.0 and WH != 0.0,reglog((4*cmath.pi*MU_R**2)/MZ**2)))))/(128.*cw**4*MW**2*cmath.pi**2*sw**2)))'}



WMass2_UV_EW_4FS = {-1:'(0.0 if MB == 0.0 else (-(ee**2*epsUV*(cw**4*(44*MW**2 + 6*MZ**2) - 6*MW**2*sw**4 + cw**2*(3*(MB**2 + MT**2)*Ncol + MW**2*(-31 - 6*Ncol + 38*sw**2))))/(96.*cw**2*cmath.pi**2*sw**2)))',
                    0:'(0.0 if MB == 0.0 else ((ee**2*(72*cw**2*MW**2 + 72*cw**2*MW**2*sw**2 + 72*MW**2*sw**4 - 186*cw**2*MW**2*reglog(4*cmath.pi) + 264*cw**4*MW**2*reglog(4*cmath.pi) + 36*cw**4*MZ**2*reglog(4*cmath.pi) + 18*cw**2*MB**2*Ncol*reglog(4*cmath.pi) + 18*cw**2*MT**2*Ncol*reglog(4*cmath.pi) - 36*cw**2*MW**2*Ncol*reglog(4*cmath.pi) + 228*cw**2*MW**2*sw**2*reglog(4*cmath.pi) - 36*MW**2*sw**4*reglog(4*cmath.pi) + 36*cw**2*MW**2*recms(CMSParam==1.0 and WW != 0.0,B0F(MW**2,MH**2,MW**2)) + 36*MW**2*sw**4*recms(CMSParam==1.0 and WW != 0.0,B0F(MW**2,MW**2,MZ**2)) - 4*cw**2*sw**2*recms(CMSParam==1.0 and WW != 0.0,MW**2*(107 - 66*reglog(cmath.pi) + 132*reglog(2*cmath.pi) + 66*reglog(MU_R**2/MW**2))) - 4*cw**4*recms(CMSParam==1.0 and WW != 0.0,(3*(15*MW**4 + 11*MW**2*MZ**2 - 2*MZ**4)*B0F(MW**2,MW**2,MZ**2))/MW**2 + (-6*MZ**4 + MW**4*(107 - 66*reglog(cmath.pi) + 132*reglog(2*cmath.pi)) + 9*MW**2*MZ**2*(6 + reglog(4*cmath.pi)))/MW**2 + 3*(7*MW**2 - 2*MZ**2)*reglog(MU_R**2/MW**2) + 15*(3*MW**2 + MZ**2)*reglog(MU_R**2/MZ**2)) + 36*cw**2*MW**2*recms(CMSParam==1.0 and WW != 0.0,reglog((4*cmath.pi*MU_R**2)/MW**2)) + 36*cw**2*MW**2*sw**2*recms(CMSParam==1.0 and WW != 0.0,reglog((4*cmath.pi*MU_R**2)/MW**2)) + 36*MW**2*sw**4*recms(CMSParam==1.0 and WW != 0.0,reglog((4*cmath.pi*MU_R**2)/MZ**2)) + cw**2*recms(CMSParam==1.0 and WW != 0.0,(-6*(MB**4 + MT**4 + MT**2*MW**2 - 2*MW**4 + MB**2*(-2*MT**2 + MW**2))*Ncol*B0F(MW**2,MB**2,MT**2))/MW**2 + (3*MH**2*(MH - 2*MW)*(MH + 2*MW)*B0F(MW**2,MH**2,MW**2))/MW**2 + (3*MZ**2*(-2*MW + MZ)*(2*MW + MZ)*B0F(MW**2,MW**2,MZ**2))/MW**2 + (3*MH**4 - 18*MH**2*MW**2 + 3*(MZ**4 - 2*(MB**2 - MT**2)**2*Ncol) - 6*MW**2*(3*MZ**2 + (MB**2 + MT**2)*Ncol*(2 + reglog(64) + 3*reglog(cmath.pi))) + MW**4*(94 - 150*reglog(cmath.pi) + 300*reglog(2*cmath.pi) + Ncol*(60 - 36*reglog(cmath.pi) + 72*reglog(2*cmath.pi))))/MW**2 + (6*MB**2*(MB**2 - MT**2 - 2*MW**2)*Ncol*reglog(MU_R**2/MB**2))/MW**2 - (3*MH**2*(MH**2 - 3*MW**2)*reglog(MU_R**2/MH**2))/MW**2 - (6*(MB**4 + 3*MT**2*MW**2 - 2*MW**4 + MB**2*(-MT**2 + MW**2))*Ncol*reglog(MU_R**2/MT**2))/MW**2 + (3*(MH**4 - 3*MH**2*MW**2 + 38*MW**4 + MW**2*MZ**2)*reglog(MU_R**2/MW**2))/MW**2 - 3*MZ**2*reglog(MU_R**2/MZ**2) - 12*MW**2*(3 + 2*Ncol)*reglogm(-((MW**2 + vep*complex(0,1))/MU_R**2)))))/(576.*cw**2*cmath.pi**2*sw**2)))'}

ZMass2_UV_EW_4FS = {-1:'(0.0 if MB == 0.0 else (-(ee**2*epsUV*(36*MW**2*(-1 + 2*cw**6 - 2*cw**2*sw**4) + cw**2*(18*(MB**2 + MT**2)*Ncol + MZ**2*(-39 + 117*cw**4 + 72*sw**2 + 6*cw**2*sw**2 - 147*sw**4 - 4*Ncol*(9 - 18*sw**2 + 20*sw**4)))))/(576.*cw**4*cmath.pi**2*sw**2)))',
                    0:'(0.0 if MB == 0.0 else ((ee**2*(36*MW**2*(-1 + 2*cw**6 - 2*cw**2*sw**4) + cw**2*(18*(MB**2 + MT**2)*Ncol + MZ**2*(-39 + 117*cw**4 + 72*sw**2 + 6*cw**2*sw**2 - 147*sw**4 - 4*Ncol*(9 - 18*sw**2 + 20*sw**4))))*reglog(4*cmath.pi))/(576.*cw**4*cmath.pi**2*sw**2) - (ee**2*(6*cw**4*sw**2*(-24*recms(CMSParam==1.0 and WZ != 0.0,MW**2) + 8*recms(CMSParam==1.0 and WZ != 0.0,MZ**2) + reglog(64)*recms(CMSParam==1.0 and WZ != 0.0,MZ**2) + 3*reglog(cmath.pi)*recms(CMSParam==1.0 and WZ != 0.0,MZ**2) - 3*recms(CMSParam==1.0 and WZ != 0.0,(2*MW - MZ)*(2*MW + MZ)*B0F(MZ**2,MW**2,MW**2)) + 3*recms(CMSParam==1.0 and WZ != 0.0,MZ**2*reglog(MU_R**2/MW**2))) + 9*cw**6*(120*recms(CMSParam==1.0 and WZ != 0.0,MW**2) - 24*reglog(cmath.pi)*recms(CMSParam==1.0 and WZ != 0.0,MW**2) + 48*reglog(2*cmath.pi)*recms(CMSParam==1.0 and WZ != 0.0,MW**2) + 80*recms(CMSParam==1.0 and WZ != 0.0,MZ**2) - 39*reglog(cmath.pi)*recms(CMSParam==1.0 and WZ != 0.0,MZ**2) + 78*reglog(2*cmath.pi)*recms(CMSParam==1.0 and WZ != 0.0,MZ**2) + 3*recms(CMSParam==1.0 and WZ != 0.0,(20*MW**2 + 13*MZ**2)*B0F(MZ**2,MW**2,MW**2)) + 3*recms(CMSParam==1.0 and WZ != 0.0,(8*MW**2 + 13*MZ**2)*reglog(MU_R**2/MW**2))) - 216*cw**2*MW**2*sw**4*(2 + recms(CMSParam==1.0 and WZ != 0.0,B0F(MZ**2,MW**2,MW**2)) + recms(CMSParam==1.0 and WZ != 0.0,reglog((4*cmath.pi*MU_R**2)/MW**2))) - 108*MW**2*(2 + recms(CMSParam==1.0 and WZ != 0.0,B0F(MZ**2,MH**2,MZ**2)) + recms(CMSParam==1.0 and WZ != 0.0,reglog((4*cmath.pi*MU_R**2)/MZ**2))) - cw**2*sw**4*(64*Ncol*recms(CMSParam==1.0 and WZ != 0.0,MB**2) + 256*Ncol*recms(CMSParam==1.0 and WZ != 0.0,MT**2) - 72*recms(CMSParam==1.0 and WZ != 0.0,MW**2) + 744*recms(CMSParam==1.0 and WZ != 0.0,MZ**2) + 400*Ncol*recms(CMSParam==1.0 and WZ != 0.0,MZ**2) - 441*reglog(cmath.pi)*recms(CMSParam==1.0 and WZ != 0.0,MZ**2) - 240*Ncol*reglog(cmath.pi)*recms(CMSParam==1.0 and WZ != 0.0,MZ**2) + 882*reglog(2*cmath.pi)*recms(CMSParam==1.0 and WZ != 0.0,MZ**2) + 480*Ncol*reglog(2*cmath.pi)*recms(CMSParam==1.0 and WZ != 0.0,MZ**2) + 16*Ncol*recms(CMSParam==1.0 and WZ != 0.0,(2*MB**2 + MZ**2)*B0F(MZ**2,MB**2,MB**2)) + 64*Ncol*recms(CMSParam==1.0 and WZ != 0.0,(2*MT**2 + MZ**2)*B0F(MZ**2,MT**2,MT**2)) - 36*recms(CMSParam==1.0 and WZ != 0.0,MW**2*B0F(MZ**2,MW**2,MW**2)) + 9*recms(CMSParam==1.0 and WZ != 0.0,MZ**2*B0F(MZ**2,MW**2,MW**2)) + 16*Ncol*recms(CMSParam==1.0 and WZ != 0.0,MZ**2*reglog(MU_R**2/MB**2)) + 64*Ncol*recms(CMSParam==1.0 and WZ != 0.0,MZ**2*reglog(MU_R**2/MT**2)) + 9*recms(CMSParam==1.0 and WZ != 0.0,MZ**2*reglog(MU_R**2/MW**2)) - 432*recms(CMSParam==1.0 and WZ != 0.0,MZ**2*reglogm(-((MZ**2 + vep*complex(0,1))/MU_R**2))) - 160*Ncol*recms(CMSParam==1.0 and WZ != 0.0,MZ**2*reglogm(-((MZ**2 + vep*complex(0,1))/MU_R**2)))) + 24*cw**2*sw**2*(4*Ncol*recms(CMSParam==1.0 and WZ != 0.0,MB**2) + 8*Ncol*recms(CMSParam==1.0 and WZ != 0.0,MT**2) + 15*recms(CMSParam==1.0 and WZ != 0.0,MZ**2) + 15*Ncol*recms(CMSParam==1.0 and WZ != 0.0,MZ**2) + reglog(262144)*recms(CMSParam==1.0 and WZ != 0.0,MZ**2) + Ncol*reglog(262144)*recms(CMSParam==1.0 and WZ != 0.0,MZ**2) + 9*reglog(cmath.pi)*recms(CMSParam==1.0 and WZ != 0.0,MZ**2) + 9*Ncol*reglog(cmath.pi)*recms(CMSParam==1.0 and WZ != 0.0,MZ**2) + Ncol*recms(CMSParam==1.0 and WZ != 0.0,(2*MB**2 + MZ**2)*B0F(MZ**2,MB**2,MB**2)) + 2*Ncol*recms(CMSParam==1.0 and WZ != 0.0,(2*MT**2 + MZ**2)*B0F(MZ**2,MT**2,MT**2)) + Ncol*recms(CMSParam==1.0 and WZ != 0.0,MZ**2*reglog(MU_R**2/MB**2)) + 2*Ncol*recms(CMSParam==1.0 and WZ != 0.0,MZ**2*reglog(MU_R**2/MT**2)) - 9*recms(CMSParam==1.0 and WZ != 0.0,MZ**2*reglogm(-((MZ**2 + vep*complex(0,1))/MU_R**2))) - 6*Ncol*recms(CMSParam==1.0 and WZ != 0.0,MZ**2*reglogm(-((MZ**2 + vep*complex(0,1))/MU_R**2)))) + 3*cw**2*(12*Ncol*recms(CMSParam==1.0 and WZ != 0.0,MB**2) - 18*Ncol*reglog(cmath.pi)*recms(CMSParam==1.0 and WZ != 0.0,MB**2) + 36*Ncol*reglog(2*cmath.pi)*recms(CMSParam==1.0 and WZ != 0.0,MB**2) + 18*recms(CMSParam==1.0 and WZ != 0.0,MH**2) + 12*Ncol*recms(CMSParam==1.0 and WZ != 0.0,MT**2) - 18*Ncol*reglog(cmath.pi)*recms(CMSParam==1.0 and WZ != 0.0,MT**2) + 36*Ncol*reglog(2*cmath.pi)*recms(CMSParam==1.0 and WZ != 0.0,MT**2) - 3*recms(CMSParam==1.0 and WZ != 0.0,MH**4/MZ**2) - 59*recms(CMSParam==1.0 and WZ != 0.0,MZ**2) - 60*Ncol*recms(CMSParam==1.0 and WZ != 0.0,MZ**2) + 39*reglog(cmath.pi)*recms(CMSParam==1.0 and WZ != 0.0,MZ**2) + 36*Ncol*reglog(cmath.pi)*recms(CMSParam==1.0 and WZ != 0.0,MZ**2) - 78*reglog(2*cmath.pi)*recms(CMSParam==1.0 and WZ != 0.0,MZ**2) - 72*Ncol*reglog(2*cmath.pi)*recms(CMSParam==1.0 and WZ != 0.0,MZ**2) + 6*Ncol*recms(CMSParam==1.0 and WZ != 0.0,(MB - MZ)*(MB + MZ)*B0F(MZ**2,MB**2,MB**2)) - 3*recms(CMSParam==1.0 and WZ != 0.0,(MH**2*(MH - 2*MZ)*(MH + 2*MZ)*B0F(MZ**2,MH**2,MZ**2))/MZ**2) + 6*Ncol*recms(CMSParam==1.0 and WZ != 0.0,MT**2*B0F(MZ**2,MT**2,MT**2)) - 6*Ncol*recms(CMSParam==1.0 and WZ != 0.0,MZ**2*B0F(MZ**2,MT**2,MT**2)) + 18*Ncol*recms(CMSParam==1.0 and WZ != 0.0,MB**2*reglog(MU_R**2/MB**2)) - 6*Ncol*recms(CMSParam==1.0 and WZ != 0.0,MZ**2*reglog(MU_R**2/MB**2)) - 9*recms(CMSParam==1.0 and WZ != 0.0,MH**2*reglog(MU_R**2/MH**2)) + 3*recms(CMSParam==1.0 and WZ != 0.0,(MH**4*reglog(MU_R**2/MH**2))/MZ**2) + 18*Ncol*recms(CMSParam==1.0 and WZ != 0.0,MT**2*reglog(MU_R**2/MT**2)) - 6*Ncol*recms(CMSParam==1.0 and WZ != 0.0,MZ**2*reglog(MU_R**2/MT**2)) + 9*recms(CMSParam==1.0 and WZ != 0.0,MH**2*reglog(MU_R**2/MZ**2)) - 3*recms(CMSParam==1.0 and WZ != 0.0,(MH**4*reglog(MU_R**2/MZ**2))/MZ**2) - 3*recms(CMSParam==1.0 and WZ != 0.0,MZ**2*reglog(MU_R**2/MZ**2)) + 36*recms(CMSParam==1.0 and WZ != 0.0,MZ**2*reglogm(-((MZ**2 + vep*complex(0,1))/MU_R**2))) + 24*Ncol*recms(CMSParam==1.0 and WZ != 0.0,MZ**2*reglogm(-((MZ**2 + vep*complex(0,1))/MU_R**2))))))/(1728.*cw**4*cmath.pi**2*sw**2)))'}


tWcft_UV_EW_R_4FS = {-1:'(0.0 if MB == 0.0 else (-(ee**2*(8*epsUV*MW**2*sw**4 + cw**2*(9*epsUV*MT**2 + 16*epsIR*MW**2*sw**2 + 8*epsUV*MW**2*sw**2)))/(288.*cw**2*MW**2*cmath.pi**2*sw**2)))',
                     0:'(0.0 if MB == 0.0 else ((ee**2*(9*cw**2*MT**2 + 24*cw**2*MW**2*sw**2 + 8*MW**2*sw**4)*reglog(4*cmath.pi))/(288.*cw**2*MW**2*cmath.pi**2*sw**2) - (ee**2*recms(CMSParam==1.0 and WT != 0.0,32 + reglog(281474976710656) + 24*reglog(cmath.pi) + 24*reglog(MU_R**2/MT**2)))/(288.*cmath.pi**2) - (ee**2*MB*MT*recms(CMSParam==1.0 and WT != 0.0,MB/MT + (MB*(MB**4 - MB**2*MT**2 - 2*MB**2*MW**2 - MT**2*MW**2 + MW**4)*B0F(MT**2,MB**2,MW**2))/(MT*(MB - MT - MW)*(MB + MT - MW)*(MB - MT + MW)*(MB + MT + MW)) - (MB**3*(MB**2 - MT**2 - MW**2)*reglog(MU_R**2/MB**2))/(MT*(MB - MT - MW)*(MB + MT - MW)*(MB - MT + MW)*(MB + MT + MW)) + (MB**3*(MB**2 - MT**2 - MW**2)*reglog(MU_R**2/MW**2))/(MT*(MB - MT - MW)*(MB + MT - MW)*(MB - MT + MW)*(MB + MT + MW))))/(16.*MW**2*cmath.pi**2*sw**2) + (ee**2*(MB**2 + 2*MW**2)*recms(CMSParam==1.0 and WT != 0.0,(2*MB**2 + MT**2 - 2*MW**2)/MT**2 - (2*(-MB**6 + MB**4*MT**2 + 3*MB**4*MW**2 + MB**2*MT**2*MW**2 + MT**4*MW**2 - 3*MB**2*MW**4 - 2*MT**2*MW**4 + MW**6)*B0F(MT**2,MB**2,MW**2))/(MT**2*(-MB + MT - MW)*(MB + MT - MW)*(-MB + MT + MW)*(MB + MT + MW)) - (2*MB**2*(MB**4 - MB**2*MT**2 - 2*MB**2*MW**2 - MT**2*MW**2 + MW**4)*reglog(MU_R**2/MB**2))/(MT**2*(MB - MT - MW)*(MB + MT - MW)*(MB - MT + MW)*(MB + MT + MW)) + (2*MB**2*(MB**4 - MB**2*MT**2 - 2*MB**2*MW**2 - MT**2*MW**2 + MW**4)*reglog(MU_R**2/MW**2))/(MT**2*(MB - MT - MW)*(MB + MT - MW)*(MB - MT + MW)*(MB + MT + MW))))/(64.*MW**2*cmath.pi**2*sw**2) + (ee**2*MT**2*recms(CMSParam==1.0 and WT != 0.0,(2*(MB**2 - MT**2 - MW**2)*(MB**4 + MT**4 - 2*MB**2*MW**2 - 2*MT**2*MW**2 + MW**4)*B0F(MT**2,MB**2,MW**2))/(MT**2*(MB - MT - MW)*(MB + MT - MW)*(MB - MT + MW)*(MB + MT + MW)) - (3*(MH**2 - 2*MT**2)*B0F(MT**2,MH**2,MT**2))/MT**2 - (MZ**2*(10*MT**2 - 3*MZ**2)*B0F(MT**2,MT**2,MZ**2))/(MT**2*(2*MT - MZ)*(2*MT + MZ)) + (2*MB**2 - 3*MH**2 + 4*MT**2 - 2*MW**2 - 3*MZ**2 + 4*MT**2*reglog(cmath.pi) - 8*MT**2*reglog(2*cmath.pi))/MT**2 - (2*MB**2*(MB**2 - MT**2 - MW**2)*(MB**2 + MT**2 - MW**2)*reglog(MU_R**2/MB**2))/(MT**2*(MB - MT - MW)*(MB + MT - MW)*(MB - MT + MW)*(MB + MT + MW)) + ((3*MH**2 - 4*MT**2)*reglog(MU_R**2/MH**2))/MT**2 - ((12*MH**2*MT**2 - 8*MT**4 - 3*MH**2*MZ**2)*reglog(MU_R**2/MT**2))/(MT**2*(2*MT - MZ)*(2*MT + MZ)) + (2*(MB**6 - MB**4*MT**2 + MB**2*MT**4 - MT**6 - 2*MB**4*MW**2 + 2*MB**2*MT**2*MW**2 + 2*MT**4*MW**2 + MB**2*MW**4 - MT**2*MW**4)*reglog(MU_R**2/MW**2))/(MT**2*(MB - MT - MW)*(MB + MT - MW)*(MB - MT + MW)*(MB + MT + MW)) - (2*MZ**2*reglog(MU_R**2/MZ**2))/((2*MT - MZ)*(2*MT + MZ))))/(128.*MW**2*cmath.pi**2*sw**2) + (ee**2*recms(CMSParam==1.0 and WT != 0.0,(MT**2 + 2*MZ**2)/MT**2 + (2*(MT**4 + 3*MT**2*MZ**2 - MZ**4)*B0F(MT**2,MT**2,MZ**2))/(MT**2*(2*MT - MZ)*(2*MT + MZ)) + (2*(MT - MZ)*(MT + MZ)*reglog(MU_R**2/MT**2))/((2*MT - MZ)*(2*MT + MZ)) - (2*(MT - MZ)*(MT + MZ)*reglog(MU_R**2/MZ**2))/((2*MT - MZ)*(2*MT + MZ))))/(24.*cw**2*cmath.pi**2) + (ee**2*recms(CMSParam==1.0 and WT != 0.0,(3*MT**2 - 2*MZ**2)/MT**2 + (2*(5*MT**4 - 5*MT**2*MZ**2 + MZ**4)*B0F(MT**2,MT**2,MZ**2))/(MT**2*(2*MT - MZ)*(2*MT + MZ)) - (2*(3*MT**2 - MZ**2)*reglog(MU_R**2/MT**2))/((2*MT - MZ)*(2*MT + MZ)) + (2*(3*MT**2 - MZ**2)*reglog(MU_R**2/MZ**2))/((2*MT - MZ)*(2*MT + MZ))))/(64.*cw**2*cmath.pi**2*sw**2) - (ee**2*sw**2*recms(CMSParam==1.0 and WT != 0.0,(3*(4*MT**4 + 2*MT**2*MZ**2 - MZ**4)*B0F(MT**2,MT**2,MZ**2))/(MT**2*(2*MT - MZ)*(2*MT + MZ)) + (16*MT**4 + 8*MT**2*MZ**2 - 3*MZ**4 - MT**2*MZ**2*reglog(4) + MT**4*reglog(256) + 4*MT**4*reglog(cmath.pi) - MT**2*MZ**2*reglog(cmath.pi))/(MT**2*(2*MT - MZ)*(2*MT + MZ)) - (3*MZ**2*reglog(MU_R**2/MT**2))/((2*MT - MZ)*(2*MT + MZ)) + (2*(2*MT**2 + MZ**2)*reglog(MU_R**2/MZ**2))/((2*MT - MZ)*(2*MT + MZ))))/(36.*cw**2*cmath.pi**2)))'}


bWcft_UV_EW_R_4FS = {-1:'(0.0 if MB == 0.0 else (-(ee**2*(2*epsUV*MW**2*sw**4 + cw**2*(9*epsUV*MB**2 + 4*epsIR*MW**2*sw**2 + 2*epsUV*MW**2*sw**2)))/(288.*cw**2*MW**2*cmath.pi**2*sw**2)))',
                      0:'(0.0 if MB == 0.0 else ((ee**2*(9*cw**2*MB**2 + 6*cw**2*MW**2*sw**2 + 2*MW**2*sw**4)*reglog(4*cmath.pi))/(288.*cw**2*MW**2*cmath.pi**2*sw**2) - (ee**2*re((8*MB**4 - 16*MB**2*MT**2 + 8*MT**4 - 16*MB**2*MW**2 - 16*MT**2*MW**2 + 8*MW**4 + MT**4*reglog(16) + MW**4*reglog(16) + MT**4*reglog(256) - MT**2*MW**2*reglog(256) + MW**4*reglog(256) + MB**4*reglog(4096) - MT**2*MW**2*reglog(65536) - MB**2*MT**2*reglog(16777216) - MB**2*MW**2*reglog(16777216) + 6*MB**4*reglog(cmath.pi) - 12*MB**2*MT**2*reglog(cmath.pi) + 6*MT**4*reglog(cmath.pi) - 12*MB**2*MW**2*reglog(cmath.pi) - 12*MT**2*MW**2*reglog(cmath.pi) + 6*MW**4*reglog(cmath.pi))/((MB - MT - MW)*(MB + MT - MW)*(MB - MT + MW)*(MB + MT + MW)) + 6*reglog(MU_R**2/MB**2)))/(288.*cmath.pi**2) - (ee**2*MB*MT*re(MT/MB - (MT*(MB**2*MT**2 - MT**4 + MB**2*MW**2 + 2*MT**2*MW**2 - MW**4)*B0F(MB**2,MT**2,MW**2))/(MB*(MB - MT - MW)*(MB + MT - MW)*(MB - MT + MW)*(MB + MT + MW)) + (MT**3*(MB**2 - MT**2 + MW**2)*reglog(MU_R**2/MT**2))/(MB*(MB - MT - MW)*(MB + MT - MW)*(MB - MT + MW)*(MB + MT + MW)) - (MT**3*(MB**2 - MT**2 + MW**2)*reglog(MU_R**2/MW**2))/(MB*(MB - MT - MW)*(MB + MT - MW)*(MB - MT + MW)*(MB + MT + MW))))/(16.*MW**2*cmath.pi**2*sw**2) - (ee**2*(MT**2 + 2*MW**2)*re(-((MB**2 + 2*MT**2 - 2*MW**2)/MB**2) + (2*(MB**2*MT**4 - MT**6 + MB**4*MW**2 + MB**2*MT**2*MW**2 + 3*MT**4*MW**2 - 2*MB**2*MW**4 - 3*MT**2*MW**4 + MW**6)*B0F(MB**2,MT**2,MW**2))/(MB**2*(MB - MT - MW)*(MB + MT - MW)*(MB - MT + MW)*(MB + MT + MW)) - (2*MT**2*(MB**2*MT**2 - MT**4 + MB**2*MW**2 + 2*MT**2*MW**2 - MW**4)*reglog(MU_R**2/MT**2))/(MB**2*(MB - MT - MW)*(MB + MT - MW)*(MB - MT + MW)*(MB + MT + MW)) + (2*MT**2*(MB**2*MT**2 - MT**4 + MB**2*MW**2 + 2*MT**2*MW**2 - MW**4)*reglog(MU_R**2/MW**2))/(MB**2*(MB - MT - MW)*(MB + MT - MW)*(MB - MT + MW)*(MB + MT + MW))))/(64.*MW**2*cmath.pi**2*sw**2) + (ee**2*MB**2*re((3*(2*MB**2 - MH**2)*B0F(MB**2,MB**2,MH**2))/MB**2 - (MZ**2*(10*MB**2 - 3*MZ**2)*B0F(MB**2,MB**2,MZ**2))/(MB**2*(2*MB - MZ)*(2*MB + MZ)) - (2*(MB**2 - MT**2 + MW**2)*(MB**4 + MT**4 - 2*MB**2*MW**2 - 2*MT**2*MW**2 + MW**4)*B0F(MB**2,MT**2,MW**2))/(MB**2*(MB - MT - MW)*(MB + MT - MW)*(MB - MT + MW)*(MB + MT + MW)) + (4*MB**2 - 3*MH**2 + 2*MT**2 - 2*MW**2 - 3*MZ**2 + 4*MB**2*reglog(cmath.pi) - 8*MB**2*reglog(2*cmath.pi))/MB**2 - (2*(8*MB**2 - 3*MZ**2)*reglog(MU_R**2/MB**2))/((2*MB - MZ)*(2*MB + MZ)) + 2*reglog(MU_R**2/MH**2) + (2*MT**2*(MB**2 + MT**2 - MW**2)*(MB**2 - MT**2 + MW**2)*reglog(MU_R**2/MT**2))/(MB**2*(MB - MT - MW)*(MB + MT - MW)*(MB - MT + MW)*(MB + MT + MW)) - (2*(MB**6 - MB**4*MT**2 + MB**2*MT**4 - MT**6 - 2*MB**4*MW**2 - 2*MB**2*MT**2*MW**2 + 2*MT**4*MW**2 + MB**2*MW**4 - MT**2*MW**4)*reglog(MU_R**2/MW**2))/(MB**2*(MB - MT - MW)*(MB + MT - MW)*(MB - MT + MW)*(MB + MT + MW)) - (2*MZ**2*reglog(MU_R**2/MZ**2))/((2*MB - MZ)*(2*MB + MZ))))/(128.*MW**2*cmath.pi**2*sw**2) + (ee**2*re((MB**2 + 2*MZ**2)/MB**2 + (2*(MB**4 + 3*MB**2*MZ**2 - MZ**4)*B0F(MB**2,MB**2,MZ**2))/(MB**2*(2*MB - MZ)*(2*MB + MZ)) + (2*(MB - MZ)*(MB + MZ)*reglog(MU_R**2/MB**2))/((2*MB - MZ)*(2*MB + MZ)) - (2*(MB - MZ)*(MB + MZ)*reglog(MU_R**2/MZ**2))/((2*MB - MZ)*(2*MB + MZ))))/(48.*cw**2*cmath.pi**2) + (ee**2*re((3*MB**2 - 2*MZ**2)/MB**2 + (2*(5*MB**4 - 5*MB**2*MZ**2 + MZ**4)*B0F(MB**2,MB**2,MZ**2))/(MB**2*(2*MB - MZ)*(2*MB + MZ)) - (2*(3*MB**2 - MZ**2)*reglog(MU_R**2/MB**2))/((2*MB - MZ)*(2*MB + MZ)) + (2*(3*MB**2 - MZ**2)*reglog(MU_R**2/MZ**2))/((2*MB - MZ)*(2*MB + MZ))))/(64.*cw**2*cmath.pi**2*sw**2) - (ee**2*sw**2*re((3*(4*MB**4 + 2*MB**2*MZ**2 - MZ**4)*B0F(MB**2,MB**2,MZ**2))/(MB**2*(2*MB - MZ)*(2*MB + MZ)) + (16*MB**4 + 8*MB**2*MZ**2 - 3*MZ**4 - MB**2*MZ**2*reglog(4) + MB**4*reglog(256) + 4*MB**4*reglog(cmath.pi) - MB**2*MZ**2*reglog(cmath.pi))/(MB**2*(2*MB - MZ)*(2*MB + MZ)) - (3*MZ**2*reglog(MU_R**2/MB**2))/((2*MB - MZ)*(2*MB + MZ)) + (2*(2*MB**2 + MZ**2)*reglog(MU_R**2/MZ**2))/((2*MB - MZ)*(2*MB + MZ))))/(144.*cw**2*cmath.pi**2)))'}


tWcft_UV_EW_L_4FS = {-1:'(0.0 if MB == 0.0 else (-(ee**2*(epsUV*MW**2*(3 - 4*sw**2)**2 + cw**2*(32*epsIR*MW**2*sw**2 + epsUV*(9*MB**2 + 9*MT**2 + 2*MW**2*(9 + 8*sw**2)))))/(576.*cw**2*MW**2*cmath.pi**2*sw**2)))',
                      0:'(0.0 if MB == 0.0 else ((ee**2*(9*cw**2*MB**2 + 9*cw**2*MT**2 + 9*MW**2 + 18*cw**2*MW**2 - 24*MW**2*sw**2 + 48*cw**2*MW**2*sw**2 + 16*MW**2*sw**4)*reglog(4*cmath.pi))/(576.*cw**2*MW**2*cmath.pi**2*sw**2) - (ee**2*recms(CMSParam==1.0 and WT != 0.0,32 + reglog(281474976710656) + 24*reglog(cmath.pi) + 24*reglog(MU_R**2/MT**2)))/(288.*cmath.pi**2) - (ee**2*MB*MT*recms(CMSParam==1.0 and WT != 0.0,MB/MT + (MB*(MB**4 - MB**2*MT**2 - 2*MB**2*MW**2 - MT**2*MW**2 + MW**4)*B0F(MT**2,MB**2,MW**2))/(MT*(MB - MT - MW)*(MB + MT - MW)*(MB - MT + MW)*(MB + MT + MW)) - (MB**3*(MB**2 - MT**2 - MW**2)*reglog(MU_R**2/MB**2))/(MT*(MB - MT - MW)*(MB + MT - MW)*(MB - MT + MW)*(MB + MT + MW)) + (MB**3*(MB**2 - MT**2 - MW**2)*reglog(MU_R**2/MW**2))/(MT*(MB - MT - MW)*(MB + MT - MW)*(MB - MT + MW)*(MB + MT + MW))))/(16.*MW**2*cmath.pi**2*sw**2) + (ee**2*MB**2*recms(CMSParam==1.0 and WT != 0.0,((MB**2 - MT**2 - MW**2)*(MB**4 + MT**4 - 2*MB**2*MW**2 - 2*MT**2*MW**2 + MW**4)*B0F(MT**2,MB**2,MW**2))/(MT**2*(MB - MT - MW)*(MB + MT - MW)*(MB - MT + MW)*(MB + MT + MW)) + (MB**6 - 3*MB**4*MT**2 + 3*MB**2*MT**4 - MT**6 - 3*MB**4*MW**2 + 2*MB**2*MT**2*MW**2 + MT**4*MW**2 + 3*MB**2*MW**4 + MT**2*MW**4 - MW**6 - MB**4*MT**2*reglog(4) - MT**6*reglog(4) - MT**2*MW**4*reglog(4) + MB**2*MT**4*reglog(16) + MB**2*MT**2*MW**2*reglog(16) + MT**4*MW**2*reglog(16) - MB**4*MT**2*reglog(cmath.pi) + 2*MB**2*MT**4*reglog(cmath.pi) - MT**6*reglog(cmath.pi) + 2*MB**2*MT**2*MW**2*reglog(cmath.pi) + 2*MT**4*MW**2*reglog(cmath.pi) - MT**2*MW**4*reglog(cmath.pi))/(MT**2*(MB - MT - MW)*(MB + MT - MW)*(MB - MT + MW)*(MB + MT + MW)) - (MB**2*(MB**2 - MT**2 - MW**2)*(MB**2 + MT**2 - MW**2)*reglog(MU_R**2/MB**2))/(MT**2*(MB - MT - MW)*(MB + MT - MW)*(MB - MT + MW)*(MB + MT + MW)) + ((MB**6 - MB**4*MT**2 + MB**2*MT**4 - MT**6 - 2*MB**4*MW**2 + 2*MB**2*MT**2*MW**2 + 2*MT**4*MW**2 + MB**2*MW**4 - MT**2*MW**4)*reglog(MU_R**2/MW**2))/(MT**2*(MB - MT - MW)*(MB + MT - MW)*(MB - MT + MW)*(MB + MT + MW))))/(64.*MW**2*cmath.pi**2*sw**2) + (ee**2*recms(CMSParam==1.0 and WT != 0.0,((MB**2 - MT**2 - MW**2)*(MB**4 + MT**4 - 2*MB**2*MW**2 - 2*MT**2*MW**2 + MW**4)*B0F(MT**2,MB**2,MW**2))/(MT**2*(MB - MT - MW)*(MB + MT - MW)*(MB - MT + MW)*(MB + MT + MW)) + (MB**6 - 2*MB**4*MT**2 + MB**2*MT**4 - 3*MB**4*MW**2 - MT**4*MW**2 + 3*MB**2*MW**4 + 2*MT**2*MW**4 - MW**6 - MB**4*MT**2*reglog(4) - MT**6*reglog(4) - MT**2*MW**4*reglog(4) + MB**2*MT**4*reglog(16) + MB**2*MT**2*MW**2*reglog(16) + MT**4*MW**2*reglog(16) - MB**4*MT**2*reglog(cmath.pi) + 2*MB**2*MT**4*reglog(cmath.pi) - MT**6*reglog(cmath.pi) + 2*MB**2*MT**2*MW**2*reglog(cmath.pi) + 2*MT**4*MW**2*reglog(cmath.pi) - MT**2*MW**4*reglog(cmath.pi))/(MT**2*(MB - MT - MW)*(MB + MT - MW)*(MB - MT + MW)*(MB + MT + MW)) - (MB**2*(MB**2 - MT**2 - MW**2)*(MB**2 + MT**2 - MW**2)*reglog(MU_R**2/MB**2))/(MT**2*(MB - MT - MW)*(MB + MT - MW)*(MB - MT + MW)*(MB + MT + MW)) + ((MB**6 - MB**4*MT**2 + MB**2*MT**4 - MT**6 - 2*MB**4*MW**2 + 2*MB**2*MT**2*MW**2 + 2*MT**4*MW**2 + MB**2*MW**4 - MT**2*MW**4)*reglog(MU_R**2/MW**2))/(MT**2*(MB - MT - MW)*(MB + MT - MW)*(MB - MT + MW)*(MB + MT + MW))))/(32.*cmath.pi**2*sw**2) + (ee**2*recms(CMSParam==1.0 and WT != 0.0,((2*MT**4 - 4*MT**2*MZ**2 + MZ**4)*B0F(MT**2,MT**2,MZ**2))/(MT**2*(2*MT - MZ)*(2*MT + MZ)) - (-4*MT**4 + 5*MT**2*MZ**2 - MZ**4 - MT**2*MZ**2*reglog(4) + MT**4*reglog(256) + 4*MT**4*reglog(cmath.pi) - MT**2*MZ**2*reglog(cmath.pi))/(MT**2*(2*MT - MZ)*(2*MT + MZ)) - ((2*MT**2 - MZ**2)*reglog(MU_R**2/MT**2))/((2*MT - MZ)*(2*MT + MZ)) - (2*MT**2*reglog(MU_R**2/MZ**2))/((2*MT - MZ)*(2*MT + MZ))))/(64.*cw**2*cmath.pi**2*sw**2) + (ee**2*recms(CMSParam==1.0 and WT != 0.0,((10*MT**4 - MZ**4)*B0F(MT**2,MT**2,MZ**2))/(MT**2*(2*MT - MZ)*(2*MT + MZ)) + (12*MT**4 + MT**2*MZ**2 - MZ**4 - MT**2*MZ**2*reglog(4) + MT**4*reglog(256) + 4*MT**4*reglog(cmath.pi) - MT**2*MZ**2*reglog(cmath.pi))/(MT**2*(2*MT - MZ)*(2*MT + MZ)) - ((2*MT**2 + MZ**2)*reglog(MU_R**2/MT**2))/((2*MT - MZ)*(2*MT + MZ)) + (6*MT**2*reglog(MU_R**2/MZ**2))/((2*MT - MZ)*(2*MT + MZ))))/(24.*cw**2*cmath.pi**2) + (ee**2*MT**2*recms(CMSParam==1.0 and WT != 0.0,(4*(MB**6 - MB**4*MT**2 - 3*MB**4*MW**2 - MB**2*MT**2*MW**2 - MT**4*MW**2 + 3*MB**2*MW**4 + 2*MT**2*MW**4 - MW**6)*B0F(MT**2,MB**2,MW**2))/(MT**2*(MB - MT - MW)*(MB + MT - MW)*(MB - MT + MW)*(MB + MT + MW)) - (3*(MH**2 - 2*MT**2)*B0F(MT**2,MH**2,MT**2))/MT**2 - (MZ**2*(10*MT**2 - 3*MZ**2)*B0F(MT**2,MT**2,MZ**2))/(MT**2*(2*MT - MZ)*(2*MT + MZ)) + (4*MB**2 - 3*MH**2 + 8*MT**2 - 4*MW**2 - 3*MZ**2 + 2*MT**2*reglog(cmath.pi) - 4*MT**2*reglog(2*cmath.pi))/MT**2 - (4*MB**2*(MB**4 - MB**2*MT**2 - 2*MB**2*MW**2 - MT**2*MW**2 + MW**4)*reglog(MU_R**2/MB**2))/(MT**2*(MB - MT - MW)*(MB + MT - MW)*(MB - MT + MW)*(MB + MT + MW)) + ((3*MH**2 - 4*MT**2)*reglog(MU_R**2/MH**2))/MT**2 - ((12*MH**2*MT**2 - 8*MT**4 - 3*MH**2*MZ**2)*reglog(MU_R**2/MT**2))/(MT**2*(2*MT - MZ)*(2*MT + MZ)) + (4*MB**2*(MB**4 - MB**2*MT**2 - 2*MB**2*MW**2 - MT**2*MW**2 + MW**4)*reglog(MU_R**2/MW**2))/(MT**2*(MB - MT - MW)*(MB + MT - MW)*(MB - MT + MW)*(MB + MT + MW)) - (2*MZ**2*reglog(MU_R**2/MZ**2))/((2*MT - MZ)*(2*MT + MZ))))/(128.*MW**2*cmath.pi**2*sw**2) - (ee**2*sw**2*recms(CMSParam==1.0 and WT != 0.0,(3*(4*MT**4 + 2*MT**2*MZ**2 - MZ**4)*B0F(MT**2,MT**2,MZ**2))/(MT**2*(2*MT - MZ)*(2*MT + MZ)) + (16*MT**4 + 8*MT**2*MZ**2 - 3*MZ**4 - MT**2*MZ**2*reglog(4) + MT**4*reglog(256) + 4*MT**4*reglog(cmath.pi) - MT**2*MZ**2*reglog(cmath.pi))/(MT**2*(2*MT - MZ)*(2*MT + MZ)) - (3*MZ**2*reglog(MU_R**2/MT**2))/((2*MT - MZ)*(2*MT + MZ)) + (2*(2*MT**2 + MZ**2)*reglog(MU_R**2/MZ**2))/((2*MT - MZ)*(2*MT + MZ))))/(36.*cw**2*cmath.pi**2)))'}


bWcft_UV_EW_L_4FS = {-1:'(0.0 if MB == 0.0 else (-(ee**2*(epsUV*MW**2*(3 - 2*sw**2)**2 + cw**2*(8*epsIR*MW**2*sw**2 + epsUV*(9*MB**2 + 9*MT**2 + 2*MW**2*(9 + 2*sw**2)))))/(576.*cw**2*MW**2*cmath.pi**2*sw**2)))',
                      0:'(0.0 if MB == 0.0 else ((ee**2*(9*cw**2*MB**2 + 9*cw**2*MT**2 + 9*MW**2 + 18*cw**2*MW**2 - 12*MW**2*sw**2 + 12*cw**2*MW**2*sw**2 + 4*MW**2*sw**4)*reglog(4*cmath.pi))/(576.*cw**2*MW**2*cmath.pi**2*sw**2) - (ee**2*re((8*MB**4 - 16*MB**2*MT**2 + 8*MT**4 - 16*MB**2*MW**2 - 16*MT**2*MW**2 + 8*MW**4 + MT**4*reglog(16) + MW**4*reglog(16) + MT**4*reglog(256) - MT**2*MW**2*reglog(256) + MW**4*reglog(256) + MB**4*reglog(4096) - MT**2*MW**2*reglog(65536) - MB**2*MT**2*reglog(16777216) - MB**2*MW**2*reglog(16777216) + 6*MB**4*reglog(cmath.pi) - 12*MB**2*MT**2*reglog(cmath.pi) + 6*MT**4*reglog(cmath.pi) - 12*MB**2*MW**2*reglog(cmath.pi) - 12*MT**2*MW**2*reglog(cmath.pi) + 6*MW**4*reglog(cmath.pi))/((MB - MT - MW)*(MB + MT - MW)*(MB - MT + MW)*(MB + MT + MW)) + 6*reglog(MU_R**2/MB**2)))/(288.*cmath.pi**2) - (ee**2*MB*MT*re(MT/MB - (MT*(MB**2*MT**2 - MT**4 + MB**2*MW**2 + 2*MT**2*MW**2 - MW**4)*B0F(MB**2,MT**2,MW**2))/(MB*(MB - MT - MW)*(MB + MT - MW)*(MB - MT + MW)*(MB + MT + MW)) + (MT**3*(MB**2 - MT**2 + MW**2)*reglog(MU_R**2/MT**2))/(MB*(MB - MT - MW)*(MB + MT - MW)*(MB - MT + MW)*(MB + MT + MW)) - (MT**3*(MB**2 - MT**2 + MW**2)*reglog(MU_R**2/MW**2))/(MB*(MB - MT - MW)*(MB + MT - MW)*(MB - MT + MW)*(MB + MT + MW))))/(16.*MW**2*cmath.pi**2*sw**2) + (ee**2*re(-(((MB**2 - MT**2 + MW**2)*(MB**4 + MT**4 - 2*MB**2*MW**2 - 2*MT**2*MW**2 + MW**4)*B0F(MB**2,MT**2,MW**2))/(MB**2*(MB - MT - MW)*(MB + MT - MW)*(MB - MT + MW)*(MB + MT + MW))) - (-(MB**4*MT**2) + 2*MB**2*MT**4 - MT**6 + MB**4*MW**2 + 3*MT**4*MW**2 - 2*MB**2*MW**4 - 3*MT**2*MW**4 + MW**6 + MB**6*reglog(4) + MB**2*MT**4*reglog(4) + MB**2*MW**4*reglog(4) - MB**4*MT**2*reglog(16) - MB**4*MW**2*reglog(16) - MB**2*MT**2*MW**2*reglog(16) + MB**6*reglog(cmath.pi) - 2*MB**4*MT**2*reglog(cmath.pi) + MB**2*MT**4*reglog(cmath.pi) - 2*MB**4*MW**2*reglog(cmath.pi) - 2*MB**2*MT**2*MW**2*reglog(cmath.pi) + MB**2*MW**4*reglog(cmath.pi))/(MB**2*(MB - MT - MW)*(MB + MT - MW)*(MB - MT + MW)*(MB + MT + MW)) + (MT**2*(MB**2 + MT**2 - MW**2)*(MB**2 - MT**2 + MW**2)*reglog(MU_R**2/MT**2))/(MB**2*(MB - MT - MW)*(MB + MT - MW)*(MB - MT + MW)*(MB + MT + MW)) - ((MB**6 - MB**4*MT**2 + MB**2*MT**4 - MT**6 - 2*MB**4*MW**2 - 2*MB**2*MT**2*MW**2 + 2*MT**4*MW**2 + MB**2*MW**4 - MT**2*MW**4)*reglog(MU_R**2/MW**2))/(MB**2*(MB - MT - MW)*(MB + MT - MW)*(MB - MT + MW)*(MB + MT + MW))))/(32.*cmath.pi**2*sw**2) - (ee**2*MT**2*re(((MB**2 - MT**2 + MW**2)*(MB**4 + MT**4 - 2*MB**2*MW**2 - 2*MT**2*MW**2 + MW**4)*B0F(MB**2,MT**2,MW**2))/(MB**2*(MB - MT - MW)*(MB + MT - MW)*(MB - MT + MW)*(MB + MT + MW)) + (MB**6 - 3*MB**4*MT**2 + 3*MB**2*MT**4 - MT**6 - MB**4*MW**2 - 2*MB**2*MT**2*MW**2 + 3*MT**4*MW**2 - MB**2*MW**4 - 3*MT**2*MW**4 + MW**6 + MB**6*reglog(4) + MB**2*MT**4*reglog(4) + MB**2*MW**4*reglog(4) - MB**4*MT**2*reglog(16) - MB**4*MW**2*reglog(16) - MB**2*MT**2*MW**2*reglog(16) + MB**6*reglog(cmath.pi) - 2*MB**4*MT**2*reglog(cmath.pi) + MB**2*MT**4*reglog(cmath.pi) - 2*MB**4*MW**2*reglog(cmath.pi) - 2*MB**2*MT**2*MW**2*reglog(cmath.pi) + MB**2*MW**4*reglog(cmath.pi))/(MB**2*(MB - MT - MW)*(MB + MT - MW)*(MB - MT + MW)*(MB + MT + MW)) - (MT**2*(MB**2 + MT**2 - MW**2)*(MB**2 - MT**2 + MW**2)*reglog(MU_R**2/MT**2))/(MB**2*(MB - MT - MW)*(MB + MT - MW)*(MB - MT + MW)*(MB + MT + MW)) + ((MB**6 - MB**4*MT**2 + MB**2*MT**4 - MT**6 - 2*MB**4*MW**2 - 2*MB**2*MT**2*MW**2 + 2*MT**4*MW**2 + MB**2*MW**4 - MT**2*MW**4)*reglog(MU_R**2/MW**2))/(MB**2*(MB - MT - MW)*(MB + MT - MW)*(MB - MT + MW)*(MB + MT + MW))))/(64.*MW**2*cmath.pi**2*sw**2) + (ee**2*re(((2*MB**4 - 4*MB**2*MZ**2 + MZ**4)*B0F(MB**2,MB**2,MZ**2))/(MB**2*(2*MB - MZ)*(2*MB + MZ)) - (-4*MB**4 + 5*MB**2*MZ**2 - MZ**4 - MB**2*MZ**2*reglog(4) + MB**4*reglog(256) + 4*MB**4*reglog(cmath.pi) - MB**2*MZ**2*reglog(cmath.pi))/(MB**2*(2*MB - MZ)*(2*MB + MZ)) - ((2*MB**2 - MZ**2)*reglog(MU_R**2/MB**2))/((2*MB - MZ)*(2*MB + MZ)) - (2*MB**2*reglog(MU_R**2/MZ**2))/((2*MB - MZ)*(2*MB + MZ))))/(64.*cw**2*cmath.pi**2*sw**2) + (ee**2*re(((10*MB**4 - MZ**4)*B0F(MB**2,MB**2,MZ**2))/(MB**2*(2*MB - MZ)*(2*MB + MZ)) + (12*MB**4 + MB**2*MZ**2 - MZ**4 - MB**2*MZ**2*reglog(4) + MB**4*reglog(256) + 4*MB**4*reglog(cmath.pi) - MB**2*MZ**2*reglog(cmath.pi))/(MB**2*(2*MB - MZ)*(2*MB + MZ)) - ((2*MB**2 + MZ**2)*reglog(MU_R**2/MB**2))/((2*MB - MZ)*(2*MB + MZ)) + (6*MB**2*reglog(MU_R**2/MZ**2))/((2*MB - MZ)*(2*MB + MZ))))/(48.*cw**2*cmath.pi**2) + (ee**2*MB**2*re((3*(2*MB**2 - MH**2)*B0F(MB**2,MB**2,MH**2))/MB**2 - (MZ**2*(10*MB**2 - 3*MZ**2)*B0F(MB**2,MB**2,MZ**2))/(MB**2*(2*MB - MZ)*(2*MB + MZ)) - (4*(MB**2*MT**4 - MT**6 + MB**4*MW**2 + MB**2*MT**2*MW**2 + 3*MT**4*MW**2 - 2*MB**2*MW**4 - 3*MT**2*MW**4 + MW**6)*B0F(MB**2,MT**2,MW**2))/(MB**2*(MB - MT - MW)*(MB + MT - MW)*(MB - MT + MW)*(MB + MT + MW)) + (8*MB**2 - 3*MH**2 + 4*MT**2 - 4*MW**2 - 3*MZ**2 + 2*MB**2*reglog(cmath.pi) - 4*MB**2*reglog(2*cmath.pi))/MB**2 - (2*(8*MB**2 - 3*MZ**2)*reglog(MU_R**2/MB**2))/((2*MB - MZ)*(2*MB + MZ)) + 2*reglog(MU_R**2/MH**2) + (4*MT**2*(MB**2*MT**2 - MT**4 + MB**2*MW**2 + 2*MT**2*MW**2 - MW**4)*reglog(MU_R**2/MT**2))/(MB**2*(MB - MT - MW)*(MB + MT - MW)*(MB - MT + MW)*(MB + MT + MW)) - (4*MT**2*(MB**2*MT**2 - MT**4 + MB**2*MW**2 + 2*MT**2*MW**2 - MW**4)*reglog(MU_R**2/MW**2))/(MB**2*(MB - MT - MW)*(MB + MT - MW)*(MB - MT + MW)*(MB + MT + MW)) - (2*MZ**2*reglog(MU_R**2/MZ**2))/((2*MB - MZ)*(2*MB + MZ))))/(128.*MW**2*cmath.pi**2*sw**2) - (ee**2*sw**2*re((3*(4*MB**4 + 2*MB**2*MZ**2 - MZ**4)*B0F(MB**2,MB**2,MZ**2))/(MB**2*(2*MB - MZ)*(2*MB + MZ)) + (16*MB**4 + 8*MB**2*MZ**2 - 3*MZ**4 - MB**2*MZ**2*reglog(4) + MB**4*reglog(256) + 4*MB**4*reglog(cmath.pi) - MB**2*MZ**2*reglog(cmath.pi))/(MB**2*(2*MB - MZ)*(2*MB + MZ)) - (3*MZ**2*reglog(MU_R**2/MB**2))/((2*MB - MZ)*(2*MB + MZ)) + (2*(2*MB**2 + MZ**2)*reglog(MU_R**2/MZ**2))/((2*MB - MZ)*(2*MB + MZ))))/(144.*cw**2*cmath.pi**2)))'}


HWcft_UV_EW_4FS = {-1:'(0.0 if MB == 0.0 else ((ee**2*epsUV*((1 + 2*cw**2)*MW**2 - cw**2*(MB**2 + MT**2)*Ncol))/(32.*cw**2*MW**2*cmath.pi**2*sw**2)))',
                    0:'(0.0 if MB == 0.0 else ((ee**2*(-2*cw**2*((1 + 2*cw**2)*MW**2 - cw**2*(MB**2 + MT**2)*Ncol)*reglog(4*cmath.pi) + 14*cw**4*MW**4*recms(CMSParam==1.0 and WH != 0.0,(1 - (2*MW**2*B0F(MH**2,MW**2,MW**2))/(MH**2 - 4*MW**2))/MH**2) + (8*MW**4 - cw**2*MW**2*MZ**2)*recms(CMSParam==1.0 and WH != 0.0,(1 - (2*MZ**2*B0F(MH**2,MZ**2,MZ**2))/(MH**2 - 4*MZ**2))/MH**2) + cw**4*MH**4*recms(CMSParam==1.0 and WH != 0.0,(6 + 3*B0F(MH**2,MH**2,MH**2) - (2*MW**2*B0F(MH**2,MW**2,MW**2))/(MH**2 - 4*MW**2) - (MZ**2*B0F(MH**2,MZ**2,MZ**2))/(MH**2 - 4*MZ**2))/MH**2) - 2*cw**4*MB**2*Ncol*(1 + reglog(4*cmath.pi) + 4*recms(CMSParam==1.0 and WH != 0.0,MB**2/MH**2) + recms(CMSParam==1.0 and WH != 0.0,((2*MB**2 + MH**2)*B0F(MH**2,MB**2,MB**2))/MH**2) + recms(CMSParam==1.0 and WH != 0.0,reglog(MU_R**2/MB**2))) - 2*cw**4*MT**2*Ncol*(1 + reglog(4*cmath.pi) + 4*recms(CMSParam==1.0 and WH != 0.0,MT**2/MH**2) + recms(CMSParam==1.0 and WH != 0.0,((MH**2 + 2*MT**2)*B0F(MH**2,MT**2,MT**2))/MH**2) + recms(CMSParam==1.0 and WH != 0.0,reglog(MU_R**2/MT**2))) + 2*cw**4*MW**2*recms(CMSParam==1.0 and WH != 0.0,(2*MH**4 - 9*MH**2*MW**2 + 4*MW**4 + 2*(MH**2 - MW**2)**2*B0F(MH**2,MW**2,MW**2) + MH**4*reglog(16) - MH**2*MW**2*reglog(65536) + 2*MH**4*reglog(cmath.pi) - 8*MH**2*MW**2*reglog(cmath.pi) + 2*(MH**4 - 4*MH**2*MW**2)*reglog(MU_R**2/MW**2))/(MH**4 - 4*MH**2*MW**2)) + cw**2*MW**2*recms(CMSParam==1.0 and WH != 0.0,(2*MH**4 - 9*MH**2*MZ**2 + 4*MZ**4 + 2*(MH**2 - MZ**2)**2*B0F(MH**2,MZ**2,MZ**2) + MH**4*reglog(16) - MH**2*MZ**2*reglog(65536) + 2*MH**4*reglog(cmath.pi) - 8*MH**2*MZ**2*reglog(cmath.pi) + 2*(MH**4 - 4*MH**2*MZ**2)*reglog(MU_R**2/MZ**2))/(MH**4 - 4*MH**2*MZ**2))))/(64.*cw**4*MW**2*cmath.pi**2*sw**2)))'}


G0Wcft_UV_EW_4FS = {-1:'(0.0 if MB == 0.0 else ((ee**2*epsUV*((1 + 2*cw**2)*MW**2 - cw**2*(MB**2 + MT**2)*Ncol))/(32.*cw**2*MW**2*cmath.pi**2*sw**2)))',
                     0:'(0.0 if MB == 0.0 else ((ee**2*(-2*MW**2*reglog(4*cmath.pi) - 4*cw**2*MW**2*reglog(4*cmath.pi) + 2*cw**2*MB**2*Ncol*reglog(4*cmath.pi) + 2*cw**2*MT**2*Ncol*reglog(4*cmath.pi) + 2*cw**2*MW**4*recms(CMSParam==1.0 and WZ != 0.0,(1 + (2*MW**2*B0F(MZ**2,MW**2,MW**2))/(4*MW**2 - MZ**2))/MZ**2) - 2*cw**2*MB**2*Ncol*recms(CMSParam==1.0 and WZ != 0.0,(4*MB**2 - MZ**2 + (2*MB**2 - MZ**2)*B0F(MZ**2,MB**2,MB**2) - MZ**2*reglog(4) + MB**2*reglog(256) + 4*MB**2*reglog(cmath.pi) - MZ**2*reglog(cmath.pi) + (4*MB**2 - MZ**2)*reglog(MU_R**2/MB**2))/(4*MB**2 - MZ**2)) - 2*cw**2*MT**2*Ncol*recms(CMSParam==1.0 and WZ != 0.0,(4*MT**2 - MZ**2 + (2*MT**2 - MZ**2)*B0F(MZ**2,MT**2,MT**2) - MZ**2*reglog(4) + MT**2*reglog(256) + 4*MT**2*reglog(cmath.pi) - MZ**2*reglog(cmath.pi) + (4*MT**2 - MZ**2)*reglog(MU_R**2/MT**2))/(4*MT**2 - MZ**2)) - 2*cw**2*MW**2*recms(CMSParam==1.0 and WZ != 0.0,(4*MW**4 - 9*MW**2*MZ**2 + 2*MZ**4 + 2*(MW**2 - MZ**2)**2*B0F(MZ**2,MW**2,MW**2) + MZ**4*reglog(16) - MW**2*MZ**2*reglog(65536) - 8*MW**2*MZ**2*reglog(cmath.pi) + 2*MZ**4*reglog(cmath.pi) + (-8*MW**2*MZ**2 + 2*MZ**4)*reglog(MU_R**2/MW**2))/(4*MW**2*MZ**2 - MZ**4)) - cw**2*MH**4*recms(CMSParam==1.0 and WZ != 0.0,(MH**2 - 4*MZ**2 + (MH**2 - 3*MZ**2)*B0F(MZ**2,MH**2,MZ**2) - (MH**2 - 2*MZ**2)*reglog(MU_R**2/MH**2) + MH**2*reglog(MU_R**2/MZ**2) - 2*MZ**2*reglog(MU_R**2/MZ**2))/(-(MH**2*MZ**2) + 4*MZ**4)) - MW**2*recms(CMSParam==1.0 and WZ != 0.0,(2*MH**4 - 11*MH**2*MZ**2 + 12*MZ**4 + (2*MH**4 - 7*MH**2*MZ**2 + 5*MZ**4)*B0F(MZ**2,MH**2,MZ**2) - MH**2*MZ**2*reglog(16) + MZ**4*reglog(65536) - 2*MH**2*MZ**2*reglog(cmath.pi) + 8*MZ**4*reglog(cmath.pi) + (-2*MH**4 + 3*MH**2*MZ**2 + 2*MZ**4)*reglog(MU_R**2/MH**2) + 2*MH**4*reglog(MU_R**2/MZ**2) - 5*MH**2*MZ**2*reglog(MU_R**2/MZ**2) + 6*MZ**4*reglog(MU_R**2/MZ**2))/(MZ**2*(MH**2 - 4*MZ**2)))))/(64.*cw**2*MW**2*cmath.pi**2*sw**2)))'}


GpWcft_UV_EW_4FS = {-1:'(0.0 if MB == 0.0 else ((ee**2*epsUV*((cw**2*(2*MW**2 - (MB**2 + MT**2)*Ncol))/MW**2 + (cw**2 + sw**2)**2))/(32.*cw**2*cmath.pi**2*sw**2)))',
                     0:'(0.0 if MB == 0.0 else (-(ee**2*((cw**2*(2*MW**2 - (MB**2 + MT**2)*Ncol))/MW**2 + (cw**2 + sw**2)**2)*reglog(4*cmath.pi))/(32.*cw**2*cmath.pi**2*sw**2) + (ee**2*(cw**2*MW**4*sw**2*recms(CMSParam==1.0 and WW != 0.0,(12 + reglog(65536) + 8*reglog(cmath.pi))/MW**2 + (8*reglog(MU_R**2/MW**2))/MW**2) - cw**2*MH**4*recms(CMSParam==1.0 and WW != 0.0,-MW**(-2) - ((MH**2 - 3*MW**2)*B0F(MW**2,MH**2,MW**2))/((MH - 2*MW)*MW**2*(MH + 2*MW)) + ((MH**2 - 2*MW**2)*reglog(MU_R**2/MH**2))/((MH - 2*MW)*MW**2*(MH + 2*MW)) - ((MH**2 - 2*MW**2)*reglog(MU_R**2/MW**2))/((MH - 2*MW)*MW**2*(MH + 2*MW))) + MW**2*((cw**4 + sw**4)*(reglog(16) + 2*reglog(cmath.pi) + recms(CMSParam==1.0 and WW != 0.0,MZ**2/MW**2) - recms(CMSParam==1.0 and WW != 0.0,((MW - MZ)*(MW + MZ)*B0F(MW**2,MW**2,MZ**2))/MW**2) + recms(CMSParam==1.0 and WW != 0.0,reglog(MU_R**2/MW**2)) + recms(CMSParam==1.0 and WW != 0.0,reglog(MU_R**2/MZ**2))) - cw**2*sw**2*(reglog(256) + 4*reglog(cmath.pi) + 2*recms(CMSParam==1.0 and WW != 0.0,MZ**2/MW**2) - 2*recms(CMSParam==1.0 and WW != 0.0,((MW - MZ)*(MW + MZ)*B0F(MW**2,MW**2,MZ**2))/MW**2) + 2*recms(CMSParam==1.0 and WW != 0.0,reglog(MU_R**2/MW**2)) + 2*recms(CMSParam==1.0 and WW != 0.0,reglog(MU_R**2/MZ**2))) + cw**2*(6 + reglog(256) + 4*reglog(cmath.pi) - 2*Ncol*recms(CMSParam==1.0 and WW != 0.0,((MB - MT)**2*(MB + MT)**2)/MW**4) - 2*recms(CMSParam==1.0 and WW != 0.0,MH**2/MW**2) + Ncol*(-2 - reglog(16) - 2*reglog(cmath.pi))*recms(CMSParam==1.0 and WW != 0.0,(MB**2 + MT**2)/MW**2) - 2*recms(CMSParam==1.0 and WW != 0.0,MZ**2/MW**2) - 2*Ncol*recms(CMSParam==1.0 and WW != 0.0,((MB**8 - 4*MB**6*MT**2 + 6*MB**4*MT**4 - 4*MB**2*MT**6 + MT**8 - MB**6*MW**2 + MB**4*MT**2*MW**2 + MB**2*MT**4*MW**2 - MT**6*MW**2 - MB**4*MW**4 - 2*MB**2*MT**2*MW**4 - MT**4*MW**4 + MB**2*MW**6 + MT**2*MW**6)*B0F(MW**2,MB**2,MT**2))/((MB - MT - MW)*(MB + MT - MW)*MW**4*(MB - MT + MW)*(MB + MT + MW))) - recms(CMSParam==1.0 and WW != 0.0,((MH - MW)*(MH + MW)*(2*MH**2 - 5*MW**2)*B0F(MW**2,MH**2,MW**2))/((MH - 2*MW)*MW**2*(MH + 2*MW))) + 5*recms(CMSParam==1.0 and WW != 0.0,((MW - MZ)*(MW + MZ)*B0F(MW**2,MW**2,MZ**2))/((2*MW - MZ)*(2*MW + MZ))) - 2*recms(CMSParam==1.0 and WW != 0.0,((MW - MZ)*MZ**2*(MW + MZ)*B0F(MW**2,MW**2,MZ**2))/(MW**2*(2*MW - MZ)*(2*MW + MZ))) + 2*Ncol*recms(CMSParam==1.0 and WW != 0.0,(MB**2*(MB**2 - MT**2 - MW**2)*(MB**4 - 2*MB**2*MT**2 + MT**4 - MB**2*MW**2 - MT**2*MW**2)*reglog(MU_R**2/MB**2))/((MB - MT - MW)*(MB + MT - MW)*MW**4*(MB - MT + MW)*(MB + MT + MW))) + recms(CMSParam==1.0 and WW != 0.0,((2*MH**2 + MW**2)*(-MH**2 + 2*MW**2)*reglog(MU_R**2/MH**2))/(MW**2*(-MH + 2*MW)*(MH + 2*MW))) - 2*Ncol*recms(CMSParam==1.0 and WW != 0.0,((MB**8 - 3*MB**6*MT**2 + 3*MB**4*MT**4 - MB**2*MT**6 - MB**6*MW**2 + MB**4*MT**2*MW**2 - MB**2*MT**4*MW**2 + MT**6*MW**2 - MB**4*MW**4 - 3*MB**2*MT**2*MW**4 - 2*MT**4*MW**4 + MB**2*MW**6 + MT**2*MW**6)*reglog(MU_R**2/MT**2))/((MB - MT - MW)*(MB + MT - MW)*MW**4*(MB - MT + MW)*(MB + MT + MW))) - 2*recms(CMSParam==1.0 and WW != 0.0,(MH**4*reglog(MU_R**2/MW**2))/((MH - 2*MW)*MW**2*(MH + 2*MW))) + 21*recms(CMSParam==1.0 and WW != 0.0,(MH**2*MW**2*reglog(MU_R**2/MW**2))/((MH - 2*MW)*(MH + 2*MW)*(2*MW - MZ)*(2*MW + MZ))) + 28*recms(CMSParam==1.0 and WW != 0.0,(MW**4*reglog(MU_R**2/MW**2))/((-MH + 2*MW)*(MH + 2*MW)*(2*MW - MZ)*(2*MW + MZ))) - 3*recms(CMSParam==1.0 and WW != 0.0,(MH**2*MZ**2*reglog(MU_R**2/MW**2))/((MH - 2*MW)*(MH + 2*MW)*(2*MW - MZ)*(2*MW + MZ))) + 2*recms(CMSParam==1.0 and WW != 0.0,(MW**2*MZ**2*reglog(MU_R**2/MW**2))/((-MH + 2*MW)*(MH + 2*MW)*(2*MW - MZ)*(2*MW + MZ))) + 7*recms(CMSParam==1.0 and WW != 0.0,(MW**2*reglog(MU_R**2/MZ**2))/((2*MW - MZ)*(2*MW + MZ))) + 4*recms(CMSParam==1.0 and WW != 0.0,(MZ**2*reglog(MU_R**2/MZ**2))/((-2*MW + MZ)*(2*MW + MZ)))) + 2*cw**3*MW*MZ*recms(CMSParam==1.0 and WW != 0.0,MW**(-2) + ((3*MW**2 - MZ**2)*B0F(MW**2,MW**2,MZ**2))/(MW**2*(2*MW - MZ)*(2*MW + MZ)) - reglog(MU_R**2/MW**2)/((2*MW - MZ)*(2*MW + MZ)) + reglog(MU_R**2/MZ**2)/((2*MW - MZ)*(2*MW + MZ))) - 2*cw*MW*MZ*sw**2*recms(CMSParam==1.0 and WW != 0.0,MW**(-2) + ((3*MW**2 - MZ**2)*B0F(MW**2,MW**2,MZ**2))/(MW**2*(2*MW - MZ)*(2*MW + MZ)) - reglog(MU_R**2/MW**2)/((2*MW - MZ)*(2*MW + MZ)) + reglog(MU_R**2/MZ**2)/((2*MW - MZ)*(2*MW + MZ))) + 16*MW**2*sw**4*recms(CMSParam==1.0 and WW != 0.0,MW**(-2) + ((3*MW**2 - MZ**2)*B0F(MW**2,MW**2,MZ**2))/(MW**2*(2*MW - MZ)*(2*MW + MZ)) - reglog(MU_R**2/MW**2)/((2*MW - MZ)*(2*MW + MZ)) + reglog(MU_R**2/MZ**2)/((2*MW - MZ)*(2*MW + MZ))))))/(64.*cw**2*MW**2*cmath.pi**2*sw**2)))'}

WWcft_UV_EW_4FS = {-1:'(0.0 if MB == 0.0 else ((ee**2*(-7*epsUV + 20*cw**2*epsUV - 6*epsUV*Ncol - 12*epsIR*sw**2 + 20*epsUV*sw**2))/(96.*cmath.pi**2*sw**2)))',
                    0:'(0.0 if MB == 0.0 else (-(ee**2*(-7 + 20*cw**2 - 6*Ncol + 8*sw**2)*reglog(4*cmath.pi))/(96.*cmath.pi**2*sw**2) + (ee**2*(2*cw**2*sw**2*(46 - 15*reglog(cmath.pi) + 30*reglog(2*cmath.pi) + 15*recms(CMSParam==1.0 and WW != 0.0,reglog(MU_R**2/MW**2))) - 36*cw**2*MW**2*recms(CMSParam==1.0 and WW != 0.0,-MW**(-2) - ((MH**2 - 3*MW**2)*B0F(MW**2,MH**2,MW**2))/((MH - 2*MW)*MW**2*(MH + 2*MW)) + ((MH**2 - 2*MW**2)*reglog(MU_R**2/MH**2))/((MH - 2*MW)*MW**2*(MH + 2*MW)) - ((MH**2 - 2*MW**2)*reglog(MU_R**2/MW**2))/((MH - 2*MW)*MW**2*(MH + 2*MW))) + 36*MW**2*sw**4*recms(CMSParam==1.0 and WW != 0.0,MW**(-2) + ((3*MW**2 - MZ**2)*B0F(MW**2,MW**2,MZ**2))/(MW**2*(2*MW - MZ)*(2*MW + MZ)) - reglog(MU_R**2/MW**2)/((2*MW - MZ)*(2*MW + MZ)) + reglog(MU_R**2/MZ**2)/((2*MW - MZ)*(2*MW + MZ))) + 4*cw**4*recms(CMSParam==1.0 and WW != 0.0,(3*(3*MW**6 - 46*MW**4*MZ**2 + 29*MW**2*MZ**4 - 4*MZ**6)*B0F(MW**2,MW**2,MZ**2))/(MW**4*(2*MW - MZ)*(2*MW + MZ)) - (-23*MW**4 + 45*MW**2*MZ**2 - 12*MZ**4 + 30*MW**4*reglog(cmath.pi) - 60*MW**4*reglog(2*cmath.pi))/MW**4 + (3*(7*MW**4 + 21*MW**2*MZ**2 - 4*MZ**4)*reglog(MU_R**2/MW**2))/(MW**2*(2*MW - MZ)*(2*MW + MZ)) + (3*(33*MW**4 - 31*MW**2*MZ**2 + 4*MZ**4)*reglog(MU_R**2/MZ**2))/(MW**2*(2*MW - MZ)*(2*MW + MZ))) + 18*cw**2*MW**2*sw**2*recms(CMSParam==1.0 and WW != 0.0,2/MW**2 + reglog((4*cmath.pi*MU_R**2)/MW**2)/MW**2) - cw**2*(34 + 24*Ncol - 42*reglog(cmath.pi) - 36*Ncol*reglog(cmath.pi) + 84*reglog(2*cmath.pi) + 72*Ncol*reglog(2*cmath.pi) + 12*Ncol*recms(CMSParam==1.0 and WW != 0.0,MB**4/MW**4) - 6*recms(CMSParam==1.0 and WW != 0.0,MH**4/MW**4) - 24*Ncol*recms(CMSParam==1.0 and WW != 0.0,(MB**2*MT**2)/MW**4) + 12*Ncol*recms(CMSParam==1.0 and WW != 0.0,MT**4/MW**4) + 6*Ncol*recms(CMSParam==1.0 and WW != 0.0,MB**2/MW**2) + 18*recms(CMSParam==1.0 and WW != 0.0,MH**2/MW**2) + 6*Ncol*recms(CMSParam==1.0 and WW != 0.0,MT**2/MW**2) + 18*recms(CMSParam==1.0 and WW != 0.0,MZ**2/MW**2) - 6*recms(CMSParam==1.0 and WW != 0.0,MZ**4/MW**4) + 12*Ncol*recms(CMSParam==1.0 and WW != 0.0,((MB**8 - 4*MB**6*MT**2 + 6*MB**4*MT**4 - 4*MB**2*MT**6 + MT**8 - MB**6*MW**2 + MB**4*MT**2*MW**2 + MB**2*MT**4*MW**2 - MT**6*MW**2 - 2*MB**2*MT**2*MW**4 - MB**2*MW**6 - MT**2*MW**6 + MW**8)*B0F(MW**2,MB**2,MT**2))/((MB - MT - MW)*(MB + MT - MW)*MW**4*(MB - MT + MW)*(MB + MT + MW))) - 60*recms(CMSParam==1.0 and WW != 0.0,(MH**2*B0F(MW**2,MH**2,MW**2))/((MH - 2*MW)*(MH + 2*MW))) - 6*recms(CMSParam==1.0 and WW != 0.0,(MH**6*B0F(MW**2,MH**2,MW**2))/((MH - 2*MW)*MW**4*(MH + 2*MW))) + 39*recms(CMSParam==1.0 and WW != 0.0,(MH**4*B0F(MW**2,MH**2,MW**2))/((MH - 2*MW)*MW**2*(MH + 2*MW))) + 3*recms(CMSParam==1.0 and WW != 0.0,(MZ**2*(5*MW**2 - 2*MZ**2)*B0F(MW**2,MW**2,MZ**2))/MW**4) - 12*Ncol*recms(CMSParam==1.0 and WW != 0.0,(MB**2*(MB**2 - MT**2 - MT*MW - MW**2)*(MB**2 - MT**2 + MT*MW - MW**2)*(MB**2 - MT**2 + MW**2)*reglog(MU_R**2/MB**2))/((MB - MT - MW)*(MB + MT - MW)*MW**4*(MB - MT + MW)*(MB + MT + MW))) + 36*recms(CMSParam==1.0 and WW != 0.0,(MH**2*reglog(MU_R**2/MH**2))/((MH - 2*MW)*(MH + 2*MW))) + 6*recms(CMSParam==1.0 and WW != 0.0,(MH**6*reglog(MU_R**2/MH**2))/((MH - 2*MW)*MW**4*(MH + 2*MW))) - 33*recms(CMSParam==1.0 and WW != 0.0,(MH**4*reglog(MU_R**2/MH**2))/((MH - 2*MW)*MW**2*(MH + 2*MW))) + 12*Ncol*recms(CMSParam==1.0 and WW != 0.0,((MB**8 - 3*MB**6*MT**2 + 3*MB**4*MT**4 - MB**2*MT**6 - MB**6*MW**2 + MB**4*MT**2*MW**2 - 2*MB**2*MT**2*MW**4 + MT**4*MW**4 - MB**2*MW**6 - 2*MT**2*MW**6 + MW**8)*reglog(MU_R**2/MT**2))/((MB - MT - MW)*(MB + MT - MW)*MW**4*(MB - MT + MW)*(MB + MT + MW))) - 30*recms(CMSParam==1.0 and WW != 0.0,(MH**2*reglog(MU_R**2/MW**2))/((MH - 2*MW)*(MH + 2*MW))) - 6*recms(CMSParam==1.0 and WW != 0.0,(MH**6*reglog(MU_R**2/MW**2))/((MH - 2*MW)*MW**4*(MH + 2*MW))) + 33*recms(CMSParam==1.0 and WW != 0.0,(MH**4*reglog(MU_R**2/MW**2))/((MH - 2*MW)*MW**2*(MH + 2*MW))) + 24*recms(CMSParam==1.0 and WW != 0.0,(MW**2*reglog(MU_R**2/MW**2))/((-MH + 2*MW)*(MH + 2*MW))) + 24*recms(CMSParam==1.0 and WW != 0.0,(MZ**2*reglog(MU_R**2/MW**2))/((MH - 2*MW)*(MH + 2*MW))) - 6*recms(CMSParam==1.0 and WW != 0.0,(MH**2*MZ**2*reglog(MU_R**2/MW**2))/((MH - 2*MW)*MW**2*(MH + 2*MW))) + 6*recms(CMSParam==1.0 and WW != 0.0,(MZ**2*reglog(MU_R**2/MZ**2))/MW**2) - 12*(3 + 2*Ncol)*recms(CMSParam==1.0 and WW != 0.0,reglogm(-((MW**2 + vep*complex(0,1))/MU_R**2))))))/(576.*cw**2*cmath.pi**2*sw**2)))'}

ZZWcft_UV_EW_4FS = {-1:'(0.0 if MB == 0.0 else ((ee**2*epsUV*(-39 + 117*cw**4 + 72*sw**2 + 6*cw**2*sw**2 - 147*sw**4 - 4*Ncol*(9 - 18*sw**2 + 20*sw**4)))/(576.*cw**2*cmath.pi**2*sw**2)))',
                     0:'(0.0 if MB == 0.0 else (-(ee**2*(-39 + 117*cw**4 + 72*sw**2 + 6*cw**2*sw**2 - 147*sw**4 - 4*Ncol*(9 - 18*sw**2 + 20*sw**4))*reglog(4*cmath.pi))/(576.*cw**2*cmath.pi**2*sw**2) + (ee**2*(216*cw**2*MW**2*sw**4*recms(CMSParam==1.0 and WZ != 0.0,MZ**(-2) + (2*MW**2*B0F(MZ**2,MW**2,MW**2))/((2*MW - MZ)*MZ**2*(2*MW + MZ))) - 9*cw**6*recms(CMSParam==1.0 and WZ != 0.0,(3*(40*MW**4 - 26*MW**2*MZ**2 + 13*MZ**4)*B0F(MZ**2,MW**2,MW**2))/((2*MW - MZ)*MZ**2*(2*MW + MZ)) + (60*MW**2 - 41*MZ**2 + 39*MZ**2*reglog(cmath.pi) - 78*MZ**2*reglog(2*cmath.pi))/MZ**2 - 39*reglog(MU_R**2/MW**2)) + 6*cw**4*sw**2*(5 + reglog(64) + 3*reglog(cmath.pi) + 12*recms(CMSParam==1.0 and WZ != 0.0,MW**2/MZ**2) + 3*recms(CMSParam==1.0 and WZ != 0.0,((2*MW**2 + MZ**2)*B0F(MZ**2,MW**2,MW**2))/MZ**2) + 3*recms(CMSParam==1.0 and WZ != 0.0,reglog(MU_R**2/MW**2))) - 108*MW**2*recms(CMSParam==1.0 and WZ != 0.0,-MZ**(-2) - ((MH**2 - 3*MZ**2)*B0F(MZ**2,MH**2,MZ**2))/((MH - 2*MZ)*MZ**2*(MH + 2*MZ)) + ((MH**2 - 2*MZ**2)*reglog(MU_R**2/MH**2))/((MH - 2*MZ)*MZ**2*(MH + 2*MZ)) - ((MH**2 - 2*MZ**2)*reglog(MU_R**2/MZ**2))/((MH - 2*MZ)*MZ**2*(MH + 2*MZ))) + 24*cw**2*sw**2*recms(CMSParam==1.0 and WZ != 0.0,-(((4*MB**4 - 2*MB**2*MZ**2 + MZ**4)*Ncol*B0F(MZ**2,MB**2,MB**2))/((2*MB - MZ)*MZ**2*(2*MB + MZ))) - (2*(4*MT**4 - 2*MT**2*MZ**2 + MZ**4)*Ncol*B0F(MZ**2,MT**2,MT**2))/((2*MT - MZ)*MZ**2*(2*MT + MZ)) - (-6*MZ**2 + 2*MB**2*Ncol + 4*MT**2*Ncol - 6*MZ**2*Ncol + 9*MZ**2*reglog(cmath.pi) + 9*MZ**2*Ncol*reglog(cmath.pi) - 18*MZ**2*reglog(2*cmath.pi) - 18*MZ**2*Ncol*reglog(2*cmath.pi))/MZ**2 + Ncol*reglog(MU_R**2/MB**2) + 2*Ncol*reglog(MU_R**2/MT**2) - 3*(3 + 2*Ncol)*reglogm(-((MZ**2 + vep*complex(0,1))/MU_R**2))) + 3*cw**2*recms(CMSParam==1.0 and WZ != 0.0,(-6*(2*MB**4 + 2*MB**2*MZ**2 - MZ**4)*Ncol*B0F(MZ**2,MB**2,MB**2))/((2*MB - MZ)*MZ**2*(2*MB + MZ)) + (3*MH**2*(2*MH**2 - 5*MZ**2)*B0F(MZ**2,MH**2,MZ**2))/MZ**4 - (6*(2*MT**4 + 2*MT**2*MZ**2 - MZ**4)*Ncol*B0F(MZ**2,MT**2,MT**2))/((2*MT - MZ)*MZ**2*(2*MT + MZ)) - (-6*MH**4 + 18*MH**2*MZ**2 + 29*MZ**4 + 6*MB**2*MZ**2*Ncol + 6*MT**2*MZ**2*Ncol + 24*MZ**4*Ncol - 39*MZ**4*reglog(cmath.pi) - 36*MZ**4*Ncol*reglog(cmath.pi) + 78*MZ**4*reglog(2*cmath.pi) + 72*MZ**4*Ncol*reglog(2*cmath.pi))/MZ**4 - 6*Ncol*reglog(MU_R**2/MB**2) - (3*MH**2*(2*MH**2 - 3*MZ**2)*reglog(MU_R**2/MH**2))/MZ**4 - 6*Ncol*reglog(MU_R**2/MT**2) + (3*(2*MH**4 - 3*MH**2*MZ**2 - MZ**4)*reglog(MU_R**2/MZ**2))/MZ**4 + 12*(3 + 2*Ncol)*reglogm(-((MZ**2 + vep*complex(0,1))/MU_R**2))) - cw**2*sw**4*recms(CMSParam==1.0 and WZ != 0.0,(-16*(4*MB**4 - 2*MB**2*MZ**2 + MZ**4)*Ncol*B0F(MZ**2,MB**2,MB**2))/((2*MB - MZ)*MZ**2*(2*MB + MZ)) - (64*(4*MT**4 - 2*MT**2*MZ**2 + MZ**4)*Ncol*B0F(MZ**2,MT**2,MT**2))/((2*MT - MZ)*MZ**2*(2*MT + MZ)) + (9*(2*MW**2 + MZ**2)*B0F(MZ**2,MW**2,MW**2))/MZ**2 - (-36*MW**2 - 303*MZ**2 + 32*MB**2*Ncol + 128*MT**2*Ncol - 160*MZ**2*Ncol + 441*MZ**2*reglog(cmath.pi) + 240*MZ**2*Ncol*reglog(cmath.pi) - 882*MZ**2*reglog(2*cmath.pi) - 480*MZ**2*Ncol*reglog(2*cmath.pi))/MZ**2 + 16*Ncol*reglog(MU_R**2/MB**2) + 64*Ncol*reglog(MU_R**2/MT**2) + 9*reglog(MU_R**2/MW**2) - 16*(27 + 10*Ncol)*reglogm(-((MZ**2 + vep*complex(0,1))/MU_R**2)))))/(1728.*cw**4*cmath.pi**2*sw**2)))'}

AZWcft_UV_EW_4FS = {-1:'(0.0 if MB == 0.0 else (-(ee**2*epsUV*(cw**2*(36*MW**2 + 57*MZ**2) - 18*MZ**2*(1 + Ncol) + 36*MW**2*sw**2 + 5*MZ**2*(15 + 8*Ncol)*sw**2))/(144.*cw*MZ**2*cmath.pi**2*sw)))',
                     0:'(0.0 if MB == 0.0 else ((ee**2*(3*(cw**2*(36*MW**2 + 57*MZ**2) - 18*MZ**2*(1 + Ncol) + 36*MW**2*sw**2 + 5*MZ**2*(15 + 8*Ncol)*sw**2)*reglog(4*cmath.pi) - 3*cw**2*((192 - 36*reglog(cmath.pi) + 72*reglog(2*cmath.pi))*recms(CMSParam==1.0 and WZ != 0.0,MW**2) + (116 - 57*reglog(cmath.pi) + 114*reglog(2*cmath.pi))*recms(CMSParam==1.0 and WZ != 0.0,MZ**2) + 3*(recms(CMSParam==1.0 and WZ != 0.0,(32*MW**2 + 19*MZ**2)*B0F(MZ**2,MW**2,MW**2)) + recms(CMSParam==1.0 and WZ != 0.0,(12*MW**2 + 19*MZ**2)*reglog(MU_R**2/MW**2)))) - 108*MW**2*sw**2*(2 + recms(CMSParam==1.0 and WZ != 0.0,B0F(MZ**2,MW**2,MW**2)) + recms(CMSParam==1.0 and WZ != 0.0,reglog((4*cmath.pi*MU_R**2)/MW**2))) - sw**2*(32*Ncol*recms(CMSParam==1.0 and WZ != 0.0,MB**2) + 128*Ncol*recms(CMSParam==1.0 and WZ != 0.0,MT**2) - 72*recms(CMSParam==1.0 and WZ != 0.0,MW**2) + 384*recms(CMSParam==1.0 and WZ != 0.0,MZ**2) + 200*Ncol*recms(CMSParam==1.0 and WZ != 0.0,MZ**2) - 225*reglog(cmath.pi)*recms(CMSParam==1.0 and WZ != 0.0,MZ**2) - 120*Ncol*reglog(cmath.pi)*recms(CMSParam==1.0 and WZ != 0.0,MZ**2) + 450*reglog(2*cmath.pi)*recms(CMSParam==1.0 and WZ != 0.0,MZ**2) + 240*Ncol*reglog(2*cmath.pi)*recms(CMSParam==1.0 and WZ != 0.0,MZ**2) + 8*Ncol*recms(CMSParam==1.0 and WZ != 0.0,(2*MB**2 + MZ**2)*B0F(MZ**2,MB**2,MB**2)) + 32*Ncol*recms(CMSParam==1.0 and WZ != 0.0,(2*MT**2 + MZ**2)*B0F(MZ**2,MT**2,MT**2)) - 36*recms(CMSParam==1.0 and WZ != 0.0,MW**2*B0F(MZ**2,MW**2,MW**2)) + 9*recms(CMSParam==1.0 and WZ != 0.0,MZ**2*B0F(MZ**2,MW**2,MW**2)) + 8*Ncol*recms(CMSParam==1.0 and WZ != 0.0,MZ**2*reglog(MU_R**2/MB**2)) + 32*Ncol*recms(CMSParam==1.0 and WZ != 0.0,MZ**2*reglog(MU_R**2/MT**2)) + 9*recms(CMSParam==1.0 and WZ != 0.0,MZ**2*reglog(MU_R**2/MW**2)) - 216*recms(CMSParam==1.0 and WZ != 0.0,MZ**2*reglogm(-((MZ**2 + vep*complex(0,1))/MU_R**2))) - 80*Ncol*recms(CMSParam==1.0 and WZ != 0.0,MZ**2*reglogm(-((MZ**2 + vep*complex(0,1))/MU_R**2)))) + 6*(4*Ncol*recms(CMSParam==1.0 and WZ != 0.0,MB**2) + 8*Ncol*recms(CMSParam==1.0 and WZ != 0.0,MT**2) + 15*recms(CMSParam==1.0 and WZ != 0.0,MZ**2) + 15*Ncol*recms(CMSParam==1.0 and WZ != 0.0,MZ**2) + reglog(262144)*recms(CMSParam==1.0 and WZ != 0.0,MZ**2) + Ncol*reglog(262144)*recms(CMSParam==1.0 and WZ != 0.0,MZ**2) + 9*reglog(cmath.pi)*recms(CMSParam==1.0 and WZ != 0.0,MZ**2) + 9*Ncol*reglog(cmath.pi)*recms(CMSParam==1.0 and WZ != 0.0,MZ**2) + Ncol*recms(CMSParam==1.0 and WZ != 0.0,(2*MB**2 + MZ**2)*B0F(MZ**2,MB**2,MB**2)) + 2*Ncol*recms(CMSParam==1.0 and WZ != 0.0,(2*MT**2 + MZ**2)*B0F(MZ**2,MT**2,MT**2)) + Ncol*recms(CMSParam==1.0 and WZ != 0.0,MZ**2*reglog(MU_R**2/MB**2)) + 2*Ncol*recms(CMSParam==1.0 and WZ != 0.0,MZ**2*reglog(MU_R**2/MT**2)) - 9*recms(CMSParam==1.0 and WZ != 0.0,MZ**2*reglogm(-((MZ**2 + vep*complex(0,1))/MU_R**2))) - 6*Ncol*recms(CMSParam==1.0 and WZ != 0.0,MZ**2*reglogm(-((MZ**2 + vep*complex(0,1))/MU_R**2))))))/(432.*cw*MZ**2*cmath.pi**2*sw)))'}


AAWcft_UV_EW_4FS = {-1:'(0.0 if MB == 0.0 else ((ee**2*(4*epsIR*(27 + 10*Ncol) - 3*epsUV*(9 + 20*Ncol)))/(432.*cmath.pi**2)))',
                     0:'(0.0 if MB == 0.0 else ((ee**2*(18 - 4*Ncol*reglog(MU_R**2/MB**2) - 16*Ncol*reglog(MU_R**2/MT**2) + 81*reglog(MU_R**2/MW**2)))/(432.*cmath.pi**2)))'}


eCoup_UV_EW_4FS = {-1:'(0.0 if MB == 0.0 else ((ee**2*epsUV*(cw**2*(-36*MW**2 + MZ**2*(9 + 20*Ncol)) - 36*MW**2*sw**2))/(288.*cw**2*MZ**2*cmath.pi**2)))',
                    0:'(0.0 if MB == 0.0 else re(-(ee**2*(cw**2*(-36*MW**2 + MZ**2*(9 + 20*Ncol)) - 36*MW**2*sw**2)*reglog(4*cmath.pi))/(288.*cw**2*MZ**2*cmath.pi**2) + (ee**2*MW**2*(cw**2 + sw**2)*(-reglog(4*cmath.pi) + reglog(MW**2/MU_R**2)))/(8.*cw**2*MZ**2*cmath.pi**2) - (ee**2*(18 - 81*reglog(cmath.pi) + 20*Ncol*reglog(cmath.pi) + 162*reglog(2*cmath.pi) - 40*Ncol*reglog(2*cmath.pi) - 4*Ncol*reglog(MU_R**2/MB**2) - 16*Ncol*reglog(MU_R**2/MT**2) + 81*reglog(MU_R**2/MW**2)))/(864.*cmath.pi**2) + (ee**2*((108*(-12*sw**2 + (-7 + 4*sw**2)*reglog(cw**2)))/sw**4 + 8*(18 - 81*reglog(cmath.pi) + 20*Ncol*reglog(cmath.pi) + 162*reglog(2*cmath.pi) - 40*Ncol*reglog(2*cmath.pi) - 4*Ncol*reglog(MU_R**2/MB**2) - 16*Ncol*reglog(MU_R**2/MT**2) + 81*reglog(MU_R**2/MW**2)) - (864*MW**2*(cw**2 + sw**2)*reglog((4*cmath.pi*MU_R**2)/MW**2))/(MZ**2*sw**2) - (3*(9*((-(cw**2*(MH**2 + MZ**2 + 2*MB**2*Ncol + 2*MT**2*Ncol + MB**2*Ncol*reglog(256) + MT**2*Ncol*reglog(256) + 4*MB**2*Ncol*reglog(cmath.pi) + 4*MT**2*Ncol*reglog(cmath.pi) + 2*MW**2*(-7 + 16*reglog(cmath.pi) + 4*sw**2*(2 + reglog(64) + 3*reglog(cmath.pi)) - 32*reglog(2*cmath.pi)))) + 8*cw**4*(MW**2*(-3 + 4*reglog(cmath.pi) - 8*reglog(2*cmath.pi)) + MZ**2*(-2 - reglog(4*cmath.pi))) + 8*MW**2*sw**4*(1 + reglog(4*cmath.pi)))/cw**2 - (4*MB**4*Ncol*reglog(MU_R**2/MB**2))/(MB**2 - MT**2) + (6*MH**2*MW**2*reglog(MU_R**2/MH**2))/(MH**2 - MW**2) + (4*MT**4*Ncol*reglog(MU_R**2/MT**2))/(MB**2 - MT**2) + (2*MW**2*(16*cw**4*MW**2*(-MH**2 + MW**2) + 4*MW**2*(MH**2 - MW**2)*sw**4 + cw**2*(MW**2*(MZ**2*(17 - 12*sw**2) + 4*MW**2*(-4 + 3*sw**2)) + MH**2*(MW**2*(13 - 12*sw**2) + 2*MZ**2*(-7 + 6*sw**2))))*reglog(MU_R**2/MW**2))/(cw**2*(MH - MW)*(MH + MW)*(MW - MZ)*(MW + MZ)) + (2*MZ**2*(cw**2*MW**2 + 4*cw**4*(3*MW**2 + MZ**2) - 4*MW**2*sw**4)*reglog(MU_R**2/MZ**2))/(cw**2*(MW - MZ)*(MW + MZ))) - 2*(-18*MH**2 + (3*MH**4)/MW**2 + 166*MW**2 - 428*cw**2*MW**2 - 18*MZ**2 - 216*cw**2*MZ**2 + (3*MZ**4)/MW**2 + (24*cw**2*MZ**4)/MW**2 - 12*MB**2*Ncol - 12*MT**2*Ncol - (6*MB**4*Ncol)/MW**2 + (12*MB**2*MT**2*Ncol)/MW**2 - (6*MT**4*Ncol)/MW**2 + 60*MW**2*Ncol - 356*MW**2*sw**2 + (72*MW**2*sw**4)/cw**2 - (6*(MB**4 + MT**4 + MT**2*MW**2 - 2*MW**4 + MB**2*(-2*MT**2 + MW**2))*Ncol*B0F(MW**2,MB**2,MT**2))/MW**2 + (-12*MH**2 + (3*MH**4)/MW**2 + 36*MW**2)*B0F(MW**2,MH**2,MW**2) - 180*cw**2*MW**2*B0F(MW**2,MW**2,MZ**2) - 12*MZ**2*B0F(MW**2,MW**2,MZ**2) - 132*cw**2*MZ**2*B0F(MW**2,MW**2,MZ**2) + (3*MZ**4*B0F(MW**2,MW**2,MZ**2))/MW**2 + (24*cw**2*MZ**4*B0F(MW**2,MW**2,MZ**2))/MW**2 + (36*MW**2*sw**4*B0F(MW**2,MW**2,MZ**2))/cw**2 - 186*MW**2*reglog(cmath.pi) + 264*cw**2*MW**2*reglog(cmath.pi) + 36*cw**2*MZ**2*reglog(cmath.pi) + 18*MB**2*Ncol*reglog(cmath.pi) + 18*MT**2*Ncol*reglog(cmath.pi) - 36*MW**2*Ncol*reglog(cmath.pi) + 228*MW**2*sw**2*reglog(cmath.pi) - (36*MW**2*sw**4*reglog(cmath.pi))/cw**2 + 372*MW**2*reglog(2*cmath.pi) - 528*cw**2*MW**2*reglog(2*cmath.pi) - 72*cw**2*MZ**2*reglog(2*cmath.pi) - 36*MB**2*Ncol*reglog(2*cmath.pi) - 36*MT**2*Ncol*reglog(2*cmath.pi) + 72*MW**2*Ncol*reglog(2*cmath.pi) - 456*MW**2*sw**2*reglog(2*cmath.pi) + (72*MW**2*sw**4*reglog(2*cmath.pi))/cw**2 + (6*MB**2*(MB**2 - MT**2 - 2*MW**2)*Ncol*reglog(MU_R**2/MB**2))/MW**2 - (3*MH**2*(MH**2 - 3*MW**2)*reglog(MU_R**2/MH**2))/MW**2 - (6*(MB**4 + 3*MT**2*MW**2 - 2*MW**4 + MB**2*(-MT**2 + MW**2))*Ncol*reglog(MU_R**2/MT**2))/MW**2 + (3*(MH**4 - 3*MH**2*MW**2 + MW**2*((1 + 8*cw**2)*MZ**2 + MW**2*(50 - 28*cw**2 - 76*sw**2)))*reglog(MU_R**2/MW**2))/MW**2 - (3*(cw**2*MZ**2 + 20*cw**4*(3*MW**2 + MZ**2) - 12*MW**2*sw**4)*reglog(MU_R**2/MZ**2))/cw**2 - 36*MW**2*reglogm(-((MW**2 + vep*complex(0,1))/MU_R**2)) - 24*MW**2*Ncol*reglogm(-((MW**2 + vep*complex(0,1))/MU_R**2)))))/(MW**2*sw**2) + (2*cw**2*((-3*(-18*MH**2 + (3*MH**4)/MW**2 + 166*MW**2 - 428*cw**2*MW**2 - 18*MZ**2 - 216*cw**2*MZ**2 + (3*MZ**4)/MW**2 + (24*cw**2*MZ**4)/MW**2 - 12*MB**2*Ncol - 12*MT**2*Ncol - (6*MB**4*Ncol)/MW**2 + (12*MB**2*MT**2*Ncol)/MW**2 - (6*MT**4*Ncol)/MW**2 + 60*MW**2*Ncol - 356*MW**2*sw**2 + (72*MW**2*sw**4)/cw**2 - (6*(MB**4 + MT**4 + MT**2*MW**2 - 2*MW**4 + MB**2*(-2*MT**2 + MW**2))*Ncol*B0F(MW**2,MB**2,MT**2))/MW**2 + (-12*MH**2 + (3*MH**4)/MW**2 + 36*MW**2)*B0F(MW**2,MH**2,MW**2) - 180*cw**2*MW**2*B0F(MW**2,MW**2,MZ**2) - 12*MZ**2*B0F(MW**2,MW**2,MZ**2) - 132*cw**2*MZ**2*B0F(MW**2,MW**2,MZ**2) + (3*MZ**4*B0F(MW**2,MW**2,MZ**2))/MW**2 + (24*cw**2*MZ**4*B0F(MW**2,MW**2,MZ**2))/MW**2 + (36*MW**2*sw**4*B0F(MW**2,MW**2,MZ**2))/cw**2 - 186*MW**2*reglog(cmath.pi) + 264*cw**2*MW**2*reglog(cmath.pi) + 36*cw**2*MZ**2*reglog(cmath.pi) + 18*MB**2*Ncol*reglog(cmath.pi) + 18*MT**2*Ncol*reglog(cmath.pi) - 36*MW**2*Ncol*reglog(cmath.pi) + 228*MW**2*sw**2*reglog(cmath.pi) - (36*MW**2*sw**4*reglog(cmath.pi))/cw**2 + 372*MW**2*reglog(2*cmath.pi) - 528*cw**2*MW**2*reglog(2*cmath.pi) - 72*cw**2*MZ**2*reglog(2*cmath.pi) - 36*MB**2*Ncol*reglog(2*cmath.pi) - 36*MT**2*Ncol*reglog(2*cmath.pi) + 72*MW**2*Ncol*reglog(2*cmath.pi) - 456*MW**2*sw**2*reglog(2*cmath.pi) + (72*MW**2*sw**4*reglog(2*cmath.pi))/cw**2 + (6*MB**2*(MB**2 - MT**2 - 2*MW**2)*Ncol*reglog(MU_R**2/MB**2))/MW**2 - (3*MH**2*(MH**2 - 3*MW**2)*reglog(MU_R**2/MH**2))/MW**2 - (6*(MB**4 + 3*MT**2*MW**2 - 2*MW**4 + MB**2*(-MT**2 + MW**2))*Ncol*reglog(MU_R**2/MT**2))/MW**2 + (3*(MH**4 - 3*MH**2*MW**2 + MW**2*((1 + 8*cw**2)*MZ**2 + MW**2*(50 - 28*cw**2 - 76*sw**2)))*reglog(MU_R**2/MW**2))/MW**2 - (3*(cw**2*MZ**2 + 20*cw**4*(3*MW**2 + MZ**2) - 12*MW**2*sw**4)*reglog(MU_R**2/MZ**2))/cw**2 - 36*MW**2*reglogm(-((MW**2 + vep*complex(0,1))/MU_R**2)) - 24*MW**2*Ncol*reglogm(-((MW**2 + vep*complex(0,1))/MU_R**2))))/MW**2 + (9*cw**2*MH**4 - 54*cw**2*MH**2*MZ**2 + 216*MW**2*MZ**2 - 1080*cw**6*MW**2*MZ**2 + 177*cw**2*MZ**4 - 720*cw**6*MZ**4 - 36*cw**2*MB**2*MZ**2*Ncol - 36*cw**2*MT**2*MZ**2*Ncol + 180*cw**2*MZ**4*Ncol + 144*cw**4*MW**2*MZ**2*sw**2 - 360*cw**2*MZ**4*sw**2 - 48*cw**4*MZ**4*sw**2 - 96*cw**2*MB**2*MZ**2*Ncol*sw**2 - 192*cw**2*MT**2*MZ**2*Ncol*sw**2 - 360*cw**2*MZ**4*Ncol*sw**2 + 360*cw**2*MW**2*MZ**2*sw**4 + 744*cw**2*MZ**4*sw**4 + 64*cw**2*MB**2*MZ**2*Ncol*sw**4 + 256*cw**2*MT**2*MZ**2*Ncol*sw**4 + 400*cw**2*MZ**4*Ncol*sw**4 + 2*cw**2*MZ**2*Ncol*(MZ**2*(9 - 12*sw**2 + 8*sw**4) + MB**2*(-9 - 24*sw**2 + 16*sw**4))*B0F(MZ**2,MB**2,MB**2) + 9*(12*MW**2*MZ**2 + cw**2*(MH**4 - 4*MH**2*MZ**2))*B0F(MZ**2,MH**2,MZ**2) - 18*cw**2*MT**2*MZ**2*Ncol*B0F(MZ**2,MT**2,MT**2) + 18*cw**2*MZ**4*Ncol*B0F(MZ**2,MT**2,MT**2) - 96*cw**2*MT**2*MZ**2*Ncol*sw**2*B0F(MZ**2,MT**2,MT**2) - 48*cw**2*MZ**4*Ncol*sw**2*B0F(MZ**2,MT**2,MT**2) + 128*cw**2*MT**2*MZ**2*Ncol*sw**4*B0F(MZ**2,MT**2,MT**2) + 64*cw**2*MZ**4*Ncol*sw**4*B0F(MZ**2,MT**2,MT**2) - 540*cw**6*MW**2*MZ**2*B0F(MZ**2,MW**2,MW**2) - 351*cw**6*MZ**4*B0F(MZ**2,MW**2,MW**2) + 72*cw**4*MW**2*MZ**2*sw**2*B0F(MZ**2,MW**2,MW**2) - 18*cw**4*MZ**4*sw**2*B0F(MZ**2,MW**2,MW**2) + 180*cw**2*MW**2*MZ**2*sw**4*B0F(MZ**2,MW**2,MW**2) + 9*cw**2*MZ**4*sw**4*B0F(MZ**2,MW**2,MW**2) - 108*MW**2*MZ**2*reglog(cmath.pi) + 216*cw**6*MW**2*MZ**2*reglog(cmath.pi) - 117*cw**2*MZ**4*reglog(cmath.pi) + 351*cw**6*MZ**4*reglog(cmath.pi) + 54*cw**2*MB**2*MZ**2*Ncol*reglog(cmath.pi) + 54*cw**2*MT**2*MZ**2*Ncol*reglog(cmath.pi) - 108*cw**2*MZ**4*Ncol*reglog(cmath.pi) + 216*cw**2*MZ**4*sw**2*reglog(cmath.pi) + 18*cw**4*MZ**4*sw**2*reglog(cmath.pi) + 216*cw**2*MZ**4*Ncol*sw**2*reglog(cmath.pi) - 216*cw**2*MW**2*MZ**2*sw**4*reglog(cmath.pi) - 441*cw**2*MZ**4*sw**4*reglog(cmath.pi) - 240*cw**2*MZ**4*Ncol*sw**4*reglog(cmath.pi) + 216*MW**2*MZ**2*reglog(2*cmath.pi) - 432*cw**6*MW**2*MZ**2*reglog(2*cmath.pi) + 234*cw**2*MZ**4*reglog(2*cmath.pi) - 702*cw**6*MZ**4*reglog(2*cmath.pi) - 108*cw**2*MB**2*MZ**2*Ncol*reglog(2*cmath.pi) - 108*cw**2*MT**2*MZ**2*Ncol*reglog(2*cmath.pi) + 216*cw**2*MZ**4*Ncol*reglog(2*cmath.pi) - 432*cw**2*MZ**4*sw**2*reglog(2*cmath.pi) - 36*cw**4*MZ**4*sw**2*reglog(2*cmath.pi) - 432*cw**2*MZ**4*Ncol*sw**2*reglog(2*cmath.pi) + 432*cw**2*MW**2*MZ**2*sw**4*reglog(2*cmath.pi) + 882*cw**2*MZ**4*sw**4*reglog(2*cmath.pi) + 480*cw**2*MZ**4*Ncol*sw**4*reglog(2*cmath.pi) - 54*cw**2*MB**2*MZ**2*Ncol*reglog(MU_R**2/MB**2) + 18*cw**2*MZ**4*Ncol*reglog(MU_R**2/MB**2) - 24*cw**2*MZ**4*Ncol*sw**2*reglog(MU_R**2/MB**2) + 16*cw**2*MZ**4*Ncol*sw**4*reglog(MU_R**2/MB**2) - 9*cw**2*MH**4*reglog(MU_R**2/MH**2) + 27*cw**2*MH**2*MZ**2*reglog(MU_R**2/MH**2) - 54*cw**2*MT**2*MZ**2*Ncol*reglog(MU_R**2/MT**2) + 18*cw**2*MZ**4*Ncol*reglog(MU_R**2/MT**2) - 48*cw**2*MZ**4*Ncol*sw**2*reglog(MU_R**2/MT**2) + 64*cw**2*MZ**4*Ncol*sw**4*reglog(MU_R**2/MT**2) - 216*cw**6*MW**2*MZ**2*reglog(MU_R**2/MW**2) - 351*cw**6*MZ**4*reglog(MU_R**2/MW**2) - 18*cw**4*MZ**4*sw**2*reglog(MU_R**2/MW**2) + 216*cw**2*MW**2*MZ**2*sw**4*reglog(MU_R**2/MW**2) + 9*cw**2*MZ**4*sw**4*reglog(MU_R**2/MW**2) + 9*cw**2*MH**4*reglog(MU_R**2/MZ**2) - 27*cw**2*MH**2*MZ**2*reglog(MU_R**2/MZ**2) + 108*MW**2*MZ**2*reglog(MU_R**2/MZ**2) + 9*cw**2*MZ**4*reglog(MU_R**2/MZ**2) - 108*cw**2*MZ**4*reglogm(-((MZ**2 + vep*complex(0,1))/MU_R**2)) - 72*cw**2*MZ**4*Ncol*reglogm(-((MZ**2 + vep*complex(0,1))/MU_R**2)) + 216*cw**2*MZ**4*sw**2*reglogm(-((MZ**2 + vep*complex(0,1))/MU_R**2)) + 144*cw**2*MZ**4*Ncol*sw**2*reglogm(-((MZ**2 + vep*complex(0,1))/MU_R**2)) - 432*cw**2*MZ**4*sw**4*reglogm(-((MZ**2 + vep*complex(0,1))/MU_R**2)) - 160*cw**2*MZ**4*Ncol*sw**4*reglogm(-((MZ**2 + vep*complex(0,1))/MU_R**2)))/(cw**4*MZ**4)))/sw**4))/(6912.*cmath.pi**2)))'}


# ================================================ #
# QED UV parameters                                #
# Following UV parameters with MB==0               #
# ================================================ #

HiggsTadpole_UV_EW_5FS = {-1:'-(ee*epsUV*(8*MW**2*MZ**2 - 2*cw*MW*MZ**3 + cw**2*(3*MH**4 + 12*MW**4 + MH**2*(2*MW**2 + MZ**2) - 8*MT**4*Ncol)))/(64.*cw**2*MW*cmath.pi**2*sw)',
                           0:'-(ee*(3*cw**2*MH**4 + 2*cw**2*MH**2*MW**2 + 4*cw**2*MW**4 + cw**2*MH**2*MZ**2 + 4*MW**2*MZ**2 - 2*cw*MW*MZ**3 - 8*cw**2*MT**4*Ncol + 3*cw**2*MH**4*reglog(MU_R**2/MH**2) - 8*cw**2*MT**4*Ncol*reglog(MU_R**2/MT**2) + 2*cw**2*MH**2*MW**2*reglog(MU_R**2/MW**2) + 12*cw**2*MW**4*reglog(MU_R**2/MW**2) + cw**2*MH**2*MZ**2*reglog(MU_R**2/MZ**2) + 8*MW**2*MZ**2*reglog(MU_R**2/MZ**2) - 2*cw*MW*MZ**3*reglog(MU_R**2/MZ**2)))/(64.*cw**2*MW*cmath.pi**2*sw)'}



tMass_UV_EW_5FS = {-1:'(ee**2*epsUV*MT*(MW**2*(3 + 24*sw**2 - 32*sw**4) + cw**2*(9*MT**2 + 2*MW**2*(3 - 16*sw**2))))/(384.*cw**2*MW**2*cmath.pi**2*sw**2)',
                    0:'-(ee**2*MT*(9*cw**2*MT**2 + 3*MW**2 + 6*cw**2*MW**2 + 24*MW**2*sw**2 - 32*cw**2*MW**2*sw**2 - 32*MW**2*sw**4)*reglog(4*cmath.pi))/(384.*cw**2*MW**2*cmath.pi**2*sw**2) - (ee**2*MT*recms(CMSParam==1.0 and WT != 0.0,4 + reglog(64) + 3*reglog(cmath.pi) + 3*reglog(MU_R**2/MT**2)))/(36.*cmath.pi**2) + (ee**2*MT*recms(CMSParam==1.0 and WT != 0.0,-(((MT - MW)**2*(MT + MW)**2*grreglog(LogSwitch,1 - MT**2/MW**2,-((-MW**2 + ep*complex(0,1) + re(MT**2))/MW**2)))/MT**4) + (MT**2 - MW**2 + MT**2*reglog(4) + MT**2*reglog(cmath.pi))/MT**2 + reglog(MU_R**2/MW**2)))/(64.*cmath.pi**2*sw**2) - (ee**2*MT*(-3 + 4*sw**2)*recms(CMSParam==1.0 and WT != 0.0,(-2*(2*MT**2 + MZ**2)*grreglog(LogSwitch,-(MZ**2 - regsqrt(-4*MT**2*MZ**2 + MZ**4))/(2.*MT**2),-1 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2) + regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2))/(2.*(ep*complex(0,1) + re(MT**2)))))/MT**2 + ((2*MT**2 + MZ**2)*(2*MT**2 - MZ**2 + regsqrt(-(MZ**2*(4*MT**2 - MZ**2))))*grreglog(LogSwitch,-((MZ**2 - regsqrt(-4*MT**2*MZ**2 + MZ**4))/(2*MT**2 - MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4))),-((-MT**2 + MZ**2 + ep*complex(0,1) + re(MT**2) - regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2))/(MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2) + regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2)))))/MT**4 - (2*(2*MT**2 + MZ**2)*grreglog(LogSwitch,-(MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4))/(2.*MT**2),(complex(0,0.5)*(-MT**2 + MZ**2 + ep*complex(0,1) + re(MT**2) + regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2)))/(ep + complex(0,-1)*re(MT**2))))/MT**2 - ((2*MT**2 + MZ**2)*(-2*MT**2 + MZ**2 + regsqrt(-(MZ**2*(4*MT**2 - MZ**2))))*grreglog(LogSwitch,-((MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4))/(2*MT**2 - MZ**2 - regsqrt(-4*MT**2*MZ**2 + MZ**4))),-((-MT**2 + MZ**2 + ep*complex(0,1) + re(MT**2) + regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2))/(MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2) - regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2)))))/MT**4 - (2*(-4*MT**2 - MZ**2 + 3*MT**2*reglog(cmath.pi) - 6*MT**2*reglog(2*cmath.pi)))/MT**2 - (2*(2*MT**2 + MZ**2)*reglog(MT**2/MU_R**2))/MT**2 + 2*reglog(MU_R**2/MT**2) - (2*MZ**2*reglog(MU_R**2/MZ**2))/MT**2))/(288.*cw**2*cmath.pi**2) - (ee**2*MT**3*recms(CMSParam==1.0 and WT != 0.0,-(((MH - 2*MT)*(MH + 2*MT)*(-MH**2 + regsqrt(MH**2*(MH**2 - 4*MT**2)))*grreglog(LogSwitch,(MH**2 - 2*MT**2 - regsqrt(MH**4 - 4*MH**2*MT**2))/(MH**2 - regsqrt(MH**4 - 4*MH**2*MT**2)),-((-MH**2 + MT**2 + ep*complex(0,1) + re(MT**2) + regsqrt(-4*MH**2*MT**2 + (MH**2 - MT**2 + ep*complex(0,1) + re(MT**2))**2))/(MH**2 - MT**2 + ep*complex(0,1) + re(MT**2) - regsqrt(-4*MH**2*MT**2 + (MH**2 - MT**2 + ep*complex(0,1) + re(MT**2))**2)))))/MT**4) + ((MH - 2*MT)*(MH + 2*MT)*(MH**2 + regsqrt(MH**2*(MH**2 - 4*MT**2)))*grreglog(LogSwitch,(MH**2 - 2*MT**2 + regsqrt(MH**4 - 4*MH**2*MT**2))/(MH**2 + regsqrt(MH**4 - 4*MH**2*MT**2)),-((-MH**2 + MT**2 + ep*complex(0,1) + re(MT**2) - regsqrt(-4*MH**2*MT**2 + (MH**2 - MT**2 + ep*complex(0,1) + re(MT**2))**2))/(MH**2 - MT**2 + ep*complex(0,1) + re(MT**2) + regsqrt(-4*MH**2*MT**2 + (MH**2 - MT**2 + ep*complex(0,1) + re(MT**2))**2)))))/MT**4 - (2*(MH - 2*MT)*(MH + 2*MT)*grreglog(LogSwitch,-1 + (MH**2 - regsqrt(MH**4 - 4*MH**2*MT**2))/(2.*MT**2),(complex(0,0.5)*(-MH**2 + MT**2 + ep*complex(0,1) + re(MT**2) + regsqrt(-4*MH**2*MT**2 + (MH**2 - MT**2 + ep*complex(0,1) + re(MT**2))**2)))/(ep + complex(0,-1)*re(MT**2))))/MT**2 - (2*(MH - 2*MT)*(MH + 2*MT)*grreglog(LogSwitch,-1 + (MH**2 + regsqrt(MH**4 - 4*MH**2*MT**2))/(2.*MT**2),-1 + (MH**2 - MT**2 + ep*complex(0,1) + re(MT**2) + regsqrt(-4*MH**2*MT**2 + (MH**2 - MT**2 + ep*complex(0,1) + re(MT**2))**2))/(2.*(ep*complex(0,1) + re(MT**2)))))/MT**2 + (2*(MT - MW)**2*(MT + MW)**2*grreglog(LogSwitch,1 - MT**2/MW**2,-((-MW**2 + ep*complex(0,1) + re(MT**2))/MW**2)))/MT**4 - (2*MZ**2*grreglog(LogSwitch,-(MZ**2 - regsqrt(-4*MT**2*MZ**2 + MZ**4))/(2.*MT**2),-1 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2) + regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2))/(2.*(ep*complex(0,1) + re(MT**2)))))/MT**2 + (MZ**2*(2*MT**2 - MZ**2 + regsqrt(-(MZ**2*(4*MT**2 - MZ**2))))*grreglog(LogSwitch,-((MZ**2 - regsqrt(-4*MT**2*MZ**2 + MZ**4))/(2*MT**2 - MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4))),-((-MT**2 + MZ**2 + ep*complex(0,1) + re(MT**2) - regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2))/(MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2) + regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2)))))/MT**4 - (2*MZ**2*grreglog(LogSwitch,-(MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4))/(2.*MT**2),(complex(0,0.5)*(-MT**2 + MZ**2 + ep*complex(0,1) + re(MT**2) + regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2)))/(ep + complex(0,-1)*re(MT**2))))/MT**2 - (MZ**2*(-2*MT**2 + MZ**2 + regsqrt(-(MZ**2*(4*MT**2 - MZ**2))))*grreglog(LogSwitch,-((MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4))/(2*MT**2 - MZ**2 - regsqrt(-4*MT**2*MZ**2 + MZ**4))),-((-MT**2 + MZ**2 + ep*complex(0,1) + re(MT**2) + regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2))/(MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2) - regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2)))))/MT**4 + (2*(MH**2 - 8*MT**2 + MW**2 + MZ**2 + 3*MT**2*reglog(cmath.pi) - 6*MT**2*reglog(2*cmath.pi)))/MT**2 - (2*(MH**2 - 4*MT**2 + MZ**2)*reglog(MT**2/MU_R**2))/MT**2 - (2*MH**2*reglog(MU_R**2/MH**2))/MT**2 + 4*reglog(MU_R**2/MT**2) - 2*reglog(MU_R**2/MW**2) - (2*MZ**2*reglog(MU_R**2/MZ**2))/MT**2))/(256.*MW**2*cmath.pi**2*sw**2) + (ee**2*MT*recms(CMSParam==1.0 and WT != 0.0,(-2*(2*MT**2 - MZ**2)*grreglog(LogSwitch,-(MZ**2 - regsqrt(-4*MT**2*MZ**2 + MZ**4))/(2.*MT**2),-1 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2) + regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2))/(2.*(ep*complex(0,1) + re(MT**2)))))/MT**2 - ((-2*MT**2 + MZ**2)*(2*MT**2 - MZ**2 + regsqrt(-(MZ**2*(4*MT**2 - MZ**2))))*grreglog(LogSwitch,-((MZ**2 - regsqrt(-4*MT**2*MZ**2 + MZ**4))/(2*MT**2 - MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4))),-((-MT**2 + MZ**2 + ep*complex(0,1) + re(MT**2) - regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2))/(MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2) + regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2)))))/MT**4 - (2*(2*MT**2 - MZ**2)*grreglog(LogSwitch,-(MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4))/(2.*MT**2),(complex(0,0.5)*(-MT**2 + MZ**2 + ep*complex(0,1) + re(MT**2) + regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2)))/(ep + complex(0,-1)*re(MT**2))))/MT**2 + ((-2*MT**2 + MZ**2)*(-2*MT**2 + MZ**2 + regsqrt(-(MZ**2*(4*MT**2 - MZ**2))))*grreglog(LogSwitch,-((MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4))/(2*MT**2 - MZ**2 - regsqrt(-4*MT**2*MZ**2 + MZ**4))),-((-MT**2 + MZ**2 + ep*complex(0,1) + re(MT**2) + regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2))/(MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2) - regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2)))))/MT**4 - (2*(-2*MT**2 + MZ**2 + MT**2*reglog(cmath.pi) - 2*MT**2*reglog(2*cmath.pi)))/MT**2 - (2*(2*MT**2 - MZ**2)*reglog(MT**2/MU_R**2))/MT**2 - 2*reglog(MU_R**2/MT**2) + (2*MZ**2*reglog(MU_R**2/MZ**2))/MT**2))/(256.*cw**2*cmath.pi**2*sw**2)'}

HMass2_UV_EW_5FS = {-1:'(ee**2*epsUV*(16*MW**4 + 2*cw**2*MW**2*(-2*MH**2 + MZ**2) + cw**4*(15*MH**4 + 36*MW**4 - 24*MT**4*Ncol + MH**2*(-6*MW**2 + MZ**2 + 4*MT**2*Ncol))))/(128.*cw**4*MW**2*cmath.pi**2*sw**2)',
                     0:'-(ee**2*(16*MW**4 + 2*cw**2*MW**2*(-2*MH**2 + MZ**2) + cw**4*(15*MH**4 + 36*MW**4 - 24*MT**4*Ncol + MH**2*(-6*MW**2 + MZ**2 + 4*MT**2*Ncol)))*reglog(4*cmath.pi))/(128.*cw**4*MW**2*cmath.pi**2*sw**2) + (ee**2*(cw**4*MH**4*recms(CMSParam==1.0 and WH != 0.0,(9*(MH**2 + regsqrt(3)*regsqrt(-MH**4))*grreglog(LogSwitch,-((MH**2 - regsqrt(3)*regsqrt(-MH**4))/(MH**2 + regsqrt(3)*regsqrt(-MH**4))),-((ep*complex(0,1) + re(MH**2) - regsqrt(-4*MH**4 + (ep*complex(0,1) + re(MH**2))**2))/(ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**4 + (ep*complex(0,1) + re(MH**2))**2)))))/MH**2 - 18*grreglog(LogSwitch,-(MH**2 + regsqrt(3)*regsqrt(-MH**4))/(2.*MH**2),(complex(0,0.5)*(ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**4 + (ep*complex(0,1) + re(MH**2))**2)))/(ep + complex(0,-1)*re(MH**2))) - (9*(-MH**2 + regsqrt(3)*regsqrt(-MH**4))*grreglog(LogSwitch,-((MH**2 + regsqrt(3)*regsqrt(-MH**4))/(MH**2 - regsqrt(3)*regsqrt(-MH**4))),-((ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**4 + (ep*complex(0,1) + re(MH**2))**2))/(ep*complex(0,1) + re(MH**2) - regsqrt(-4*MH**4 + (ep*complex(0,1) + re(MH**2))**2)))))/MH**2 - 18*grreglog(LogSwitch,(-1 + (regsqrt(3)*regsqrt(-MH**4))/MH**2)/2.,-1 + (ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**4 + (ep*complex(0,1) + re(MH**2))**2))/(2.*(ep*complex(0,1) + re(MH**2)))) + (2*(MH**2 + regsqrt(MH**2*(MH**2 - 4*MW**2)))*grreglog(LogSwitch,-((MH**2 - regsqrt(MH**4 - 4*MH**2*MW**2))/(MH**2 + regsqrt(MH**4 - 4*MH**2*MW**2))),-((ep*complex(0,1) + re(MH**2) - regsqrt(-4*MH**2*MW**2 + (ep*complex(0,1) + re(MH**2))**2))/(ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**2*MW**2 + (ep*complex(0,1) + re(MH**2))**2)))))/MH**2 - 4*grreglog(LogSwitch,-(MH**2 + regsqrt(MH**4 - 4*MH**2*MW**2))/(2.*MH**2),(complex(0,0.5)*(ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**2*MW**2 + (ep*complex(0,1) + re(MH**2))**2)))/(ep + complex(0,-1)*re(MH**2))) - (2*(-MH**2 + regsqrt(MH**2*(MH**2 - 4*MW**2)))*grreglog(LogSwitch,-((MH**2 + regsqrt(MH**4 - 4*MH**2*MW**2))/(MH**2 - regsqrt(MH**4 - 4*MH**2*MW**2))),-((ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**2*MW**2 + (ep*complex(0,1) + re(MH**2))**2))/(ep*complex(0,1) + re(MH**2) - regsqrt(-4*MH**2*MW**2 + (ep*complex(0,1) + re(MH**2))**2)))))/MH**2 - 4*grreglog(LogSwitch,-0.5 + regsqrt(MH**4 - 4*MH**2*MW**2)/(2.*MH**2),-1 + (ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**2*MW**2 + (ep*complex(0,1) + re(MH**2))**2))/(2.*(ep*complex(0,1) + re(MH**2)))) + ((MH**2 + regsqrt(MH**2*(MH**2 - 4*MZ**2)))*grreglog(LogSwitch,-((MH**2 - regsqrt(MH**4 - 4*MH**2*MZ**2))/(MH**2 + regsqrt(MH**4 - 4*MH**2*MZ**2))),-((ep*complex(0,1) + re(MH**2) - regsqrt(-4*MH**2*MZ**2 + (ep*complex(0,1) + re(MH**2))**2))/(ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**2*MZ**2 + (ep*complex(0,1) + re(MH**2))**2)))))/MH**2 - 2*grreglog(LogSwitch,-(MH**2 + regsqrt(MH**4 - 4*MH**2*MZ**2))/(2.*MH**2),(complex(0,0.5)*(ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**2*MZ**2 + (ep*complex(0,1) + re(MH**2))**2)))/(ep + complex(0,-1)*re(MH**2))) - ((-MH**2 + regsqrt(MH**2*(MH**2 - 4*MZ**2)))*grreglog(LogSwitch,-((MH**2 + regsqrt(MH**4 - 4*MH**2*MZ**2))/(MH**2 - regsqrt(MH**4 - 4*MH**2*MZ**2))),-((ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**2*MZ**2 + (ep*complex(0,1) + re(MH**2))**2))/(ep*complex(0,1) + re(MH**2) - regsqrt(-4*MH**2*MZ**2 + (ep*complex(0,1) + re(MH**2))**2)))))/MH**2 - 2*grreglog(LogSwitch,-0.5 + regsqrt(MH**4 - 4*MH**2*MZ**2)/(2.*MH**2),-1 + (ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**2*MZ**2 + (ep*complex(0,1) + re(MH**2))**2))/(2.*(ep*complex(0,1) + re(MH**2)))) - 24*(-2 + reglog(cmath.pi) - 2*reglog(2*cmath.pi)) - 24*reglog(MH**2/MU_R**2)) + 2*(8*MW**4*recms(CMSParam==1.0 and WH != 0.0,3 + ((MH**2 + regsqrt(MH**2*(MH**2 - 4*MZ**2)))*grreglog(LogSwitch,-((MH**2 - regsqrt(MH**4 - 4*MH**2*MZ**2))/(MH**2 + regsqrt(MH**4 - 4*MH**2*MZ**2))),-((ep*complex(0,1) + re(MH**2) - regsqrt(-4*MH**2*MZ**2 + (ep*complex(0,1) + re(MH**2))**2))/(ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**2*MZ**2 + (ep*complex(0,1) + re(MH**2))**2)))))/MH**2 - 2*grreglog(LogSwitch,-(MH**2 + regsqrt(MH**4 - 4*MH**2*MZ**2))/(2.*MH**2),(complex(0,0.5)*(ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**2*MZ**2 + (ep*complex(0,1) + re(MH**2))**2)))/(ep + complex(0,-1)*re(MH**2))) - ((-MH**2 + regsqrt(MH**2*(MH**2 - 4*MZ**2)))*grreglog(LogSwitch,-((MH**2 + regsqrt(MH**4 - 4*MH**2*MZ**2))/(MH**2 - regsqrt(MH**4 - 4*MH**2*MZ**2))),-((ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**2*MZ**2 + (ep*complex(0,1) + re(MH**2))**2))/(ep*complex(0,1) + re(MH**2) - regsqrt(-4*MH**2*MZ**2 + (ep*complex(0,1) + re(MH**2))**2)))))/MH**2 - 2*grreglog(LogSwitch,-0.5 + regsqrt(MH**4 - 4*MH**2*MZ**2)/(2.*MH**2),-1 + (ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**2*MZ**2 + (ep*complex(0,1) + re(MH**2))**2))/(2.*(ep*complex(0,1) + re(MH**2)))) - 2*reglog(cmath.pi) + 4*reglog(2*cmath.pi) - 2*reglog(MH**2/MU_R**2)) + cw**2*(2*cw**2*MW**4*recms(CMSParam==1.0 and WH != 0.0,(7*(MH**2 + regsqrt(MH**2*(MH**2 - 4*MW**2)))*grreglog(LogSwitch,-((MH**2 - regsqrt(MH**4 - 4*MH**2*MW**2))/(MH**2 + regsqrt(MH**4 - 4*MH**2*MW**2))),-((ep*complex(0,1) + re(MH**2) - regsqrt(-4*MH**2*MW**2 + (ep*complex(0,1) + re(MH**2))**2))/(ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**2*MW**2 + (ep*complex(0,1) + re(MH**2))**2)))))/MH**2 - 14*grreglog(LogSwitch,-(MH**2 + regsqrt(MH**4 - 4*MH**2*MW**2))/(2.*MH**2),(complex(0,0.5)*(ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**2*MW**2 + (ep*complex(0,1) + re(MH**2))**2)))/(ep + complex(0,-1)*re(MH**2))) - (7*(-MH**2 + regsqrt(MH**2*(MH**2 - 4*MW**2)))*grreglog(LogSwitch,-((MH**2 + regsqrt(MH**4 - 4*MH**2*MW**2))/(MH**2 - regsqrt(MH**4 - 4*MH**2*MW**2))),-((ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**2*MW**2 + (ep*complex(0,1) + re(MH**2))**2))/(ep*complex(0,1) + re(MH**2) - regsqrt(-4*MH**2*MW**2 + (ep*complex(0,1) + re(MH**2))**2)))))/MH**2 - 14*grreglog(LogSwitch,-0.5 + regsqrt(MH**4 - 4*MH**2*MW**2)/(2.*MH**2),-1 + (ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**2*MW**2 + (ep*complex(0,1) + re(MH**2))**2))/(2.*(ep*complex(0,1) + re(MH**2)))) - 2*(-10 + 7*reglog(cmath.pi) - 14*reglog(2*cmath.pi)) - 14*reglog(MH**2/MU_R**2)) - MW**2*MZ**2*recms(CMSParam==1.0 and WH != 0.0,((MH**2 + regsqrt(MH**2*(MH**2 - 4*MZ**2)))*grreglog(LogSwitch,-((MH**2 - regsqrt(MH**4 - 4*MH**2*MZ**2))/(MH**2 + regsqrt(MH**4 - 4*MH**2*MZ**2))),-((ep*complex(0,1) + re(MH**2) - regsqrt(-4*MH**2*MZ**2 + (ep*complex(0,1) + re(MH**2))**2))/(ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**2*MZ**2 + (ep*complex(0,1) + re(MH**2))**2)))))/MH**2 - 2*grreglog(LogSwitch,-(MH**2 + regsqrt(MH**4 - 4*MH**2*MZ**2))/(2.*MH**2),(complex(0,0.5)*(ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**2*MZ**2 + (ep*complex(0,1) + re(MH**2))**2)))/(ep + complex(0,-1)*re(MH**2))) - ((-MH**2 + regsqrt(MH**2*(MH**2 - 4*MZ**2)))*grreglog(LogSwitch,-((MH**2 + regsqrt(MH**4 - 4*MH**2*MZ**2))/(MH**2 - regsqrt(MH**4 - 4*MH**2*MZ**2))),-((ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**2*MZ**2 + (ep*complex(0,1) + re(MH**2))**2))/(ep*complex(0,1) + re(MH**2) - regsqrt(-4*MH**2*MZ**2 + (ep*complex(0,1) + re(MH**2))**2)))))/MH**2 - 2*grreglog(LogSwitch,-0.5 + regsqrt(MH**4 - 4*MH**2*MZ**2)/(2.*MH**2),-1 + (ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**2*MZ**2 + (ep*complex(0,1) + re(MH**2))**2))/(2.*(ep*complex(0,1) + re(MH**2)))) - 2*(-2 + reglog(cmath.pi) - 2*reglog(2*cmath.pi)) - 2*reglog(MH**2/MU_R**2)) + 2*cw**2*MT**2*Ncol*recms(CMSParam==1.0 and WH != 0.0,((MH - 2*MT)*(MH + 2*MT)*(MH**2 + regsqrt(MH**2*(MH**2 - 4*MT**2)))*grreglog(LogSwitch,-((MH**2 - regsqrt(MH**4 - 4*MH**2*MT**2))/(MH**2 + regsqrt(MH**4 - 4*MH**2*MT**2))),-((ep*complex(0,1) + re(MH**2) - regsqrt(-4*MH**2*MT**2 + (ep*complex(0,1) + re(MH**2))**2))/(ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**2*MT**2 + (ep*complex(0,1) + re(MH**2))**2)))))/MH**2 - 2*(MH - 2*MT)*(MH + 2*MT)*grreglog(LogSwitch,-(MH**2 + regsqrt(MH**4 - 4*MH**2*MT**2))/(2.*MH**2),(complex(0,0.5)*(ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**2*MT**2 + (ep*complex(0,1) + re(MH**2))**2)))/(ep + complex(0,-1)*re(MH**2))) - ((MH - 2*MT)*(MH + 2*MT)*(-MH**2 + regsqrt(MH**2*(MH**2 - 4*MT**2)))*grreglog(LogSwitch,-((MH**2 + regsqrt(MH**4 - 4*MH**2*MT**2))/(MH**2 - regsqrt(MH**4 - 4*MH**2*MT**2))),-((ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**2*MT**2 + (ep*complex(0,1) + re(MH**2))**2))/(ep*complex(0,1) + re(MH**2) - regsqrt(-4*MH**2*MT**2 + (ep*complex(0,1) + re(MH**2))**2)))))/MH**2 - 2*(MH - 2*MT)*(MH + 2*MT)*grreglog(LogSwitch,-0.5 + regsqrt(MH**4 - 4*MH**2*MT**2)/(2.*MH**2),-1 + (ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**2*MT**2 + (ep*complex(0,1) + re(MH**2))**2))/(2.*(ep*complex(0,1) + re(MH**2)))) - 2*(-2*MH**2 + 10*MT**2 + MH**2*reglog(cmath.pi) - 6*MT**2*reglog(cmath.pi) - 2*MH**2*reglog(2*cmath.pi) + 12*MT**2*reglog(2*cmath.pi)) - 2*(MH - 2*MT)*(MH + 2*MT)*reglog(MH**2/MU_R**2) - 4*MT**2*reglog(MU_R**2/MT**2)) - 2*cw**2*MW**2*recms(CMSParam==1.0 and WH != 0.0,((2*MH**2 + MW**2)*(MH**2 + regsqrt(MH**2*(MH**2 - 4*MW**2)))*grreglog(LogSwitch,-((MH**2 - regsqrt(MH**4 - 4*MH**2*MW**2))/(MH**2 + regsqrt(MH**4 - 4*MH**2*MW**2))),-((ep*complex(0,1) + re(MH**2) - regsqrt(-4*MH**2*MW**2 + (ep*complex(0,1) + re(MH**2))**2))/(ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**2*MW**2 + (ep*complex(0,1) + re(MH**2))**2)))))/MH**2 - 2*(2*MH**2 + MW**2)*grreglog(LogSwitch,-(MH**2 + regsqrt(MH**4 - 4*MH**2*MW**2))/(2.*MH**2),(complex(0,0.5)*(ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**2*MW**2 + (ep*complex(0,1) + re(MH**2))**2)))/(ep + complex(0,-1)*re(MH**2))) - ((2*MH**2 + MW**2)*(-MH**2 + regsqrt(MH**2*(MH**2 - 4*MW**2)))*grreglog(LogSwitch,-((MH**2 + regsqrt(MH**4 - 4*MH**2*MW**2))/(MH**2 - regsqrt(MH**4 - 4*MH**2*MW**2))),-((ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**2*MW**2 + (ep*complex(0,1) + re(MH**2))**2))/(ep*complex(0,1) + re(MH**2) - regsqrt(-4*MH**2*MW**2 + (ep*complex(0,1) + re(MH**2))**2)))))/MH**2 - 2*(2*MH**2 + MW**2)*grreglog(LogSwitch,-0.5 + regsqrt(MH**4 - 4*MH**2*MW**2)/(2.*MH**2),-1 + (ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**2*MW**2 + (ep*complex(0,1) + re(MH**2))**2))/(2.*(ep*complex(0,1) + re(MH**2)))) - 2*(-4*MH**2 - MW**2 + 2*MH**2*reglog(cmath.pi) - 2*MW**2*reglog(cmath.pi) - 4*MH**2*reglog(2*cmath.pi) + 4*MW**2*reglog(2*cmath.pi)) - 2*(2*MH**2 + MW**2)*reglog(MH**2/MU_R**2) - 6*MW**2*reglog(MU_R**2/MW**2)) - MW**2*recms(CMSParam==1.0 and WH != 0.0,((2*MH**2 + MZ**2)*(MH**2 + regsqrt(MH**2*(MH**2 - 4*MZ**2)))*grreglog(LogSwitch,-((MH**2 - regsqrt(MH**4 - 4*MH**2*MZ**2))/(MH**2 + regsqrt(MH**4 - 4*MH**2*MZ**2))),-((ep*complex(0,1) + re(MH**2) - regsqrt(-4*MH**2*MZ**2 + (ep*complex(0,1) + re(MH**2))**2))/(ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**2*MZ**2 + (ep*complex(0,1) + re(MH**2))**2)))))/MH**2 - 2*(2*MH**2 + MZ**2)*grreglog(LogSwitch,-(MH**2 + regsqrt(MH**4 - 4*MH**2*MZ**2))/(2.*MH**2),(complex(0,0.5)*(ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**2*MZ**2 + (ep*complex(0,1) + re(MH**2))**2)))/(ep + complex(0,-1)*re(MH**2))) - ((2*MH**2 + MZ**2)*(-MH**2 + regsqrt(MH**2*(MH**2 - 4*MZ**2)))*grreglog(LogSwitch,-((MH**2 + regsqrt(MH**4 - 4*MH**2*MZ**2))/(MH**2 - regsqrt(MH**4 - 4*MH**2*MZ**2))),-((ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**2*MZ**2 + (ep*complex(0,1) + re(MH**2))**2))/(ep*complex(0,1) + re(MH**2) - regsqrt(-4*MH**2*MZ**2 + (ep*complex(0,1) + re(MH**2))**2)))))/MH**2 - 2*(2*MH**2 + MZ**2)*grreglog(LogSwitch,-0.5 + regsqrt(MH**4 - 4*MH**2*MZ**2)/(2.*MH**2),-1 + (ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**2*MZ**2 + (ep*complex(0,1) + re(MH**2))**2))/(2.*(ep*complex(0,1) + re(MH**2)))) - 2*(-4*MH**2 - MZ**2 + 2*MH**2*reglog(cmath.pi) - 2*MZ**2*reglog(cmath.pi) - 4*MH**2*reglog(2*cmath.pi) + 4*MZ**2*reglog(2*cmath.pi)) - 2*(2*MH**2 + MZ**2)*reglog(MH**2/MU_R**2) - 6*MZ**2*reglog(MU_R**2/MZ**2)) + cw**2*MH**2*recms(CMSParam==1.0 and WH != 0.0,3*MH**2 + 2*MW**2 + MZ**2 + MZ**2*reglog(4) + MW**2*reglog(16) + MH**2*reglog(64) + 3*MH**2*reglog(cmath.pi) + 2*MW**2*reglog(cmath.pi) + MZ**2*reglog(cmath.pi) + 3*MH**2*reglog(MU_R**2/MH**2) + 2*MW**2*reglog(MU_R**2/MW**2) + MZ**2*reglog(MU_R**2/MZ**2))))))/(256.*cw**4*MW**2*cmath.pi**2*sw**2)'}

WMass2_UV_EW_5FS = {-1:'-(ee**2*epsUV*(cw**4*(44*MW**2 + 6*MZ**2) - 6*MW**2*sw**4 + cw**2*(3*MT**2*Ncol + MW**2*(-31 - 6*Ncol + 38*sw**2))))/(96.*cw**2*cmath.pi**2*sw**2)',
                     0:'(ee**2*(cw**4*(44*MW**2 + 6*MZ**2) - 6*MW**2*sw**4 + cw**2*(3*MT**2*Ncol + MW**2*(-31 - 6*Ncol + 38*sw**2)))*reglog(4*cmath.pi))/(96.*cw**2*cmath.pi**2*sw**2) + (ee**2*(36*MW**2*sw**4*recms(CMSParam==1.0 and WW != 0.0,-2*grreglog(LogSwitch,-(MZ**2 - regsqrt(-4*MW**2*MZ**2 + MZ**4))/(2.*MW**2),-1 + (MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2) + regsqrt(-4*MW**4 + (MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2))**2))/(2.*(ep*complex(0,1) + re(MW**2)))) + ((2*MW**2 - MZ**2 + regsqrt(-(MZ**2*(4*MW**2 - MZ**2))))*grreglog(LogSwitch,-((MZ**2 - regsqrt(-4*MW**2*MZ**2 + MZ**4))/(2*MW**2 - MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))),-((-MW**2 + MZ**2 + ep*complex(0,1) + re(MW**2) - regsqrt(-4*MW**4 + (MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2))**2))/(MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2) + regsqrt(-4*MW**4 + (MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2))**2)))))/MW**2 - 2*grreglog(LogSwitch,-(MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))/(2.*MW**2),(complex(0,0.5)*(-MW**2 + MZ**2 + ep*complex(0,1) + re(MW**2) + regsqrt(-4*MW**4 + (MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2))**2)))/(ep + complex(0,-1)*re(MW**2))) - ((-2*MW**2 + MZ**2 + regsqrt(-(MZ**2*(4*MW**2 - MZ**2))))*grreglog(LogSwitch,-((MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))/(2*MW**2 - MZ**2 - regsqrt(-4*MW**2*MZ**2 + MZ**4))),-((-MW**2 + MZ**2 + ep*complex(0,1) + re(MW**2) + regsqrt(-4*MW**4 + (MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2))**2))/(MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2) - regsqrt(-4*MW**4 + (MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2))**2)))))/MW**2 - 2*(-2 + reglog(cmath.pi) - 2*reglog(2*cmath.pi)) - 2*reglog(MW**2/MU_R**2)) + cw**2*(36*MW**2*recms(CMSParam==1.0 and WW != 0.0,4 - ((-MH**2 + regsqrt(MH**2*(MH**2 - 4*MW**2)))*grreglog(LogSwitch,(MH**2 - 2*MW**2 - regsqrt(MH**4 - 4*MH**2*MW**2))/(MH**2 - regsqrt(MH**4 - 4*MH**2*MW**2)),-((-MH**2 + MW**2 + ep*complex(0,1) + re(MW**2) + regsqrt(-4*MH**2*MW**2 + (MH**2 - MW**2 + ep*complex(0,1) + re(MW**2))**2))/(MH**2 - MW**2 + ep*complex(0,1) + re(MW**2) - regsqrt(-4*MH**2*MW**2 + (MH**2 - MW**2 + ep*complex(0,1) + re(MW**2))**2)))))/MW**2 + ((MH**2 + regsqrt(MH**2*(MH**2 - 4*MW**2)))*grreglog(LogSwitch,(MH**2 - 2*MW**2 + regsqrt(MH**4 - 4*MH**2*MW**2))/(MH**2 + regsqrt(MH**4 - 4*MH**2*MW**2)),-((-MH**2 + MW**2 + ep*complex(0,1) + re(MW**2) - regsqrt(-4*MH**2*MW**2 + (MH**2 - MW**2 + ep*complex(0,1) + re(MW**2))**2))/(MH**2 - MW**2 + ep*complex(0,1) + re(MW**2) + regsqrt(-4*MH**2*MW**2 + (MH**2 - MW**2 + ep*complex(0,1) + re(MW**2))**2)))))/MW**2 - 2*grreglog(LogSwitch,-1 + (MH**2 - regsqrt(MH**4 - 4*MH**2*MW**2))/(2.*MW**2),(complex(0,0.5)*(-MH**2 + MW**2 + ep*complex(0,1) + re(MW**2) + regsqrt(-4*MH**2*MW**2 + (MH**2 - MW**2 + ep*complex(0,1) + re(MW**2))**2)))/(ep + complex(0,-1)*re(MW**2))) - 2*grreglog(LogSwitch,-1 + (MH**2 + regsqrt(MH**4 - 4*MH**2*MW**2))/(2.*MW**2),-1 + (MH**2 - MW**2 + ep*complex(0,1) + re(MW**2) + regsqrt(-4*MH**2*MW**2 + (MH**2 - MW**2 + ep*complex(0,1) + re(MW**2))**2))/(2.*(ep*complex(0,1) + re(MW**2)))) - 2*reglog(MW**2/(4.*cmath.pi*MU_R**2))) - 8*sw**2*recms(CMSParam==1.0 and WW != 0.0,-(MW**2*(-107 + 66*reglog(cmath.pi) - 132*reglog(2*cmath.pi))) + 66*MW**2*reglog(MU_R**2/MW**2)) + recms(CMSParam==1.0 and WW != 0.0,(-12*(MT - MW)**2*(MT + MW)**2*(MT**2 + 2*MW**2)*Ncol*grreglog(LogSwitch,1 - MW**2/MT**2,-((-MT**2 + ep*complex(0,1) + re(MW**2))/MT**2)))/MW**4 - (3*MH**2*(MH - 2*MW)*(MH + 2*MW)*(-MH**2 + regsqrt(MH**2*(MH**2 - 4*MW**2)))*grreglog(LogSwitch,(MH**2 - 2*MW**2 - regsqrt(MH**4 - 4*MH**2*MW**2))/(MH**2 - regsqrt(MH**4 - 4*MH**2*MW**2)),-((-MH**2 + MW**2 + ep*complex(0,1) + re(MW**2) + regsqrt(-4*MH**2*MW**2 + (MH**2 - MW**2 + ep*complex(0,1) + re(MW**2))**2))/(MH**2 - MW**2 + ep*complex(0,1) + re(MW**2) - regsqrt(-4*MH**2*MW**2 + (MH**2 - MW**2 + ep*complex(0,1) + re(MW**2))**2)))))/MW**4 + (3*MH**2*(MH - 2*MW)*(MH + 2*MW)*(MH**2 + regsqrt(MH**2*(MH**2 - 4*MW**2)))*grreglog(LogSwitch,(MH**2 - 2*MW**2 + regsqrt(MH**4 - 4*MH**2*MW**2))/(MH**2 + regsqrt(MH**4 - 4*MH**2*MW**2)),-((-MH**2 + MW**2 + ep*complex(0,1) + re(MW**2) - regsqrt(-4*MH**2*MW**2 + (MH**2 - MW**2 + ep*complex(0,1) + re(MW**2))**2))/(MH**2 - MW**2 + ep*complex(0,1) + re(MW**2) + regsqrt(-4*MH**2*MW**2 + (MH**2 - MW**2 + ep*complex(0,1) + re(MW**2))**2)))))/MW**4 - (6*MH**2*(MH - 2*MW)*(MH + 2*MW)*grreglog(LogSwitch,-1 + (MH**2 - regsqrt(MH**4 - 4*MH**2*MW**2))/(2.*MW**2),(complex(0,0.5)*(-MH**2 + MW**2 + ep*complex(0,1) + re(MW**2) + regsqrt(-4*MH**2*MW**2 + (MH**2 - MW**2 + ep*complex(0,1) + re(MW**2))**2)))/(ep + complex(0,-1)*re(MW**2))))/MW**2 - (6*MH**2*(MH - 2*MW)*(MH + 2*MW)*grreglog(LogSwitch,-1 + (MH**2 + regsqrt(MH**4 - 4*MH**2*MW**2))/(2.*MW**2),-1 + (MH**2 - MW**2 + ep*complex(0,1) + re(MW**2) + regsqrt(-4*MH**2*MW**2 + (MH**2 - MW**2 + ep*complex(0,1) + re(MW**2))**2))/(2.*(ep*complex(0,1) + re(MW**2)))))/MW**2 - (6*MZ**2*(-2*MW + MZ)*(2*MW + MZ)*grreglog(LogSwitch,-(MZ**2 - regsqrt(-4*MW**2*MZ**2 + MZ**4))/(2.*MW**2),-1 + (MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2) + regsqrt(-4*MW**4 + (MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2))**2))/(2.*(ep*complex(0,1) + re(MW**2)))))/MW**2 - (3*MZ**2*(-2*MW + MZ)*(2*MW + MZ)*(-2*MW**2 + MZ**2 - regsqrt(-(MZ**2*(4*MW**2 - MZ**2))))*grreglog(LogSwitch,-((MZ**2 - regsqrt(-4*MW**2*MZ**2 + MZ**4))/(2*MW**2 - MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))),-((-MW**2 + MZ**2 + ep*complex(0,1) + re(MW**2) - regsqrt(-4*MW**4 + (MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2))**2))/(MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2) + regsqrt(-4*MW**4 + (MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2))**2)))))/MW**4 - (6*MZ**2*(-2*MW + MZ)*(2*MW + MZ)*grreglog(LogSwitch,-(MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))/(2.*MW**2),(complex(0,0.5)*(-MW**2 + MZ**2 + ep*complex(0,1) + re(MW**2) + regsqrt(-4*MW**4 + (MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2))**2)))/(ep + complex(0,-1)*re(MW**2))))/MW**2 - (3*MZ**2*(-2*MW + MZ)*(2*MW + MZ)*(-2*MW**2 + MZ**2 + regsqrt(-(MZ**2*(4*MW**2 - MZ**2))))*grreglog(LogSwitch,-((MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))/(2*MW**2 - MZ**2 - regsqrt(-4*MW**2*MZ**2 + MZ**4))),-((-MW**2 + MZ**2 + ep*complex(0,1) + re(MW**2) + regsqrt(-4*MW**4 + (MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2))**2))/(MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2) - regsqrt(-4*MW**4 + (MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2))**2)))))/MW**4 - 24*MW**2*(3 + 2*Ncol)*grreglog(LogSwitch,-(MW**2/MU_R**2),-((ep*complex(0,1) + re(MW**2))/MU_R**2)) + (2*(3*MH**4 - 18*MH**2*MW**2 + 94*MW**4 - 18*MW**2*MZ**2 + 3*MZ**4 - 6*MT**4*Ncol - 12*MT**2*MW**2*Ncol + 60*MW**4*Ncol - 150*MW**4*reglog(cmath.pi) + 18*MT**2*MW**2*Ncol*reglog(cmath.pi) - 36*MW**4*Ncol*reglog(cmath.pi) + 300*MW**4*reglog(2*cmath.pi) - 36*MT**2*MW**2*Ncol*reglog(2*cmath.pi) + 72*MW**4*Ncol*reglog(2*cmath.pi)))/MW**2 - (6*(MH**4 - 4*MH**2*MW**2 - 4*MW**2*MZ**2 + MZ**4)*reglog(MW**2/MU_R**2))/MW**2 - (6*MH**2*(MH**2 - 3*MW**2)*reglog(MU_R**2/MH**2))/MW**2 - 12*(3*MT**2 - 2*MW**2)*Ncol*reglog(MU_R**2/MT**2) + 6*(MH**2 + 38*MW**2 + MZ**2)*reglog(MU_R**2/MW**2) - (6*MZ**2*(-3*MW**2 + MZ**2)*reglog(MU_R**2/MZ**2))/MW**2) - 4*cw**2*recms(CMSParam==1.0 and WW != 0.0,(-6*(15*MW**4 + 11*MW**2*MZ**2 - 2*MZ**4)*grreglog(LogSwitch,-(MZ**2 - regsqrt(-4*MW**2*MZ**2 + MZ**4))/(2.*MW**2),-1 + (MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2) + regsqrt(-4*MW**4 + (MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2))**2))/(2.*(ep*complex(0,1) + re(MW**2)))))/MW**2 - (3*(-15*MW**4 - 11*MW**2*MZ**2 + 2*MZ**4)*(2*MW**2 - MZ**2 + regsqrt(-(MZ**2*(4*MW**2 - MZ**2))))*grreglog(LogSwitch,-((MZ**2 - regsqrt(-4*MW**2*MZ**2 + MZ**4))/(2*MW**2 - MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))),-((-MW**2 + MZ**2 + ep*complex(0,1) + re(MW**2) - regsqrt(-4*MW**4 + (MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2))**2))/(MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2) + regsqrt(-4*MW**4 + (MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2))**2)))))/MW**4 - (6*(15*MW**4 + 11*MW**2*MZ**2 - 2*MZ**4)*grreglog(LogSwitch,-(MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))/(2.*MW**2),(complex(0,0.5)*(-MW**2 + MZ**2 + ep*complex(0,1) + re(MW**2) + regsqrt(-4*MW**4 + (MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2))**2)))/(ep + complex(0,-1)*re(MW**2))))/MW**2 + (3*(-15*MW**4 - 11*MW**2*MZ**2 + 2*MZ**4)*(-2*MW**2 + MZ**2 + regsqrt(-(MZ**2*(4*MW**2 - MZ**2))))*grreglog(LogSwitch,-((MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))/(2*MW**2 - MZ**2 - regsqrt(-4*MW**2*MZ**2 + MZ**4))),-((-MW**2 + MZ**2 + ep*complex(0,1) + re(MW**2) + regsqrt(-4*MW**4 + (MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2))**2))/(MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2) - regsqrt(-4*MW**4 + (MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2))**2)))))/MW**4 - (2*(-107*MW**4 - 54*MW**2*MZ**2 + 6*MZ**4 + 66*MW**4*reglog(cmath.pi) + 9*MW**2*MZ**2*reglog(cmath.pi) - 132*MW**4*reglog(2*cmath.pi) - 18*MW**2*MZ**2*reglog(2*cmath.pi)))/MW**2 - (6*(15*MW**4 + 11*MW**2*MZ**2 - 2*MZ**4)*reglog(MW**2/MU_R**2))/MW**2 + 6*(7*MW**2 - 2*MZ**2)*reglog(MU_R**2/MW**2) + (12*MZ**2*(-3*MW**2 + MZ**2)*reglog(MU_R**2/MZ**2))/MW**2) + 72*MW**2*sw**2*recms(CMSParam==1.0 and WW != 0.0,2 + reglog((4*cmath.pi*MU_R**2)/MW**2)))))/(1152.*cw**2*cmath.pi**2*sw**2)'}

ZMass2_UV_EW_5FS = {-1:'-(ee**2*epsUV*(36*MW**2*(-1 + 2*cw**6 - 2*cw**2*sw**4) + cw**2*(18*MT**2*Ncol + MZ**2*(-39 + 117*cw**4 + 72*sw**2 + 6*cw**2*sw**2 - 147*sw**4 - 4*Ncol*(9 - 18*sw**2 + 20*sw**4)))))/(576.*cw**4*cmath.pi**2*sw**2)',
                     0:'(ee**2*(36*MW**2*(-1 + 2*cw**6 - 2*cw**2*sw**4) + cw**2*(18*MT**2*Ncol + MZ**2*(-39 + 117*cw**4 + 72*sw**2 + 6*cw**2*sw**2 - 147*sw**4 - 4*Ncol*(9 - 18*sw**2 + 20*sw**4))))*reglog(4*cmath.pi))/(576.*cw**4*cmath.pi**2*sw**2) + (ee**2*(216*cw**2*MW**2*sw**4*recms(CMSParam==1.0 and WZ != 0.0,((MZ**2 + regsqrt(MZ**2*(-4*MW**2 + MZ**2)))*grreglog(LogSwitch,-((MZ**2 - regsqrt(-4*MW**2*MZ**2 + MZ**4))/(MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))),-((ep*complex(0,1) + re(MZ**2) - regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2)))))/MZ**2 - 2*grreglog(LogSwitch,-(MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))/(2.*MZ**2),(complex(0,0.5)*(ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2)))/(ep + complex(0,-1)*re(MZ**2))) - ((-MZ**2 + regsqrt(MZ**2*(-4*MW**2 + MZ**2)))*grreglog(LogSwitch,-((MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))/(MZ**2 - regsqrt(-4*MW**2*MZ**2 + MZ**4))),-((ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(ep*complex(0,1) + re(MZ**2) - regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2)))))/MZ**2 - 2*grreglog(LogSwitch,-0.5 + regsqrt(-4*MW**2*MZ**2 + MZ**4)/(2.*MZ**2),-1 + (ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(2.*(ep*complex(0,1) + re(MZ**2)))) - 2*(-2 + reglog(cmath.pi) - 2*reglog(2*cmath.pi)) - 2*reglog(MZ**2/MU_R**2)) + 108*MW**2*recms(CMSParam==1.0 and WZ != 0.0,4 - ((-MH**2 + regsqrt(MH**2*(MH**2 - 4*MZ**2)))*grreglog(LogSwitch,(MH**2 - 2*MZ**2 - regsqrt(MH**4 - 4*MH**2*MZ**2))/(MH**2 - regsqrt(MH**4 - 4*MH**2*MZ**2)),-((-MH**2 + MZ**2 + ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MH**2*MZ**2 + (MH**2 - MZ**2 + ep*complex(0,1) + re(MZ**2))**2))/(MH**2 - MZ**2 + ep*complex(0,1) + re(MZ**2) - regsqrt(-4*MH**2*MZ**2 + (MH**2 - MZ**2 + ep*complex(0,1) + re(MZ**2))**2)))))/MZ**2 + ((MH**2 + regsqrt(MH**2*(MH**2 - 4*MZ**2)))*grreglog(LogSwitch,(MH**2 - 2*MZ**2 + regsqrt(MH**4 - 4*MH**2*MZ**2))/(MH**2 + regsqrt(MH**4 - 4*MH**2*MZ**2)),-((-MH**2 + MZ**2 + ep*complex(0,1) + re(MZ**2) - regsqrt(-4*MH**2*MZ**2 + (MH**2 - MZ**2 + ep*complex(0,1) + re(MZ**2))**2))/(MH**2 - MZ**2 + ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MH**2*MZ**2 + (MH**2 - MZ**2 + ep*complex(0,1) + re(MZ**2))**2)))))/MZ**2 - 2*grreglog(LogSwitch,-1 + (MH**2 - regsqrt(MH**4 - 4*MH**2*MZ**2))/(2.*MZ**2),(complex(0,0.5)*(-MH**2 + MZ**2 + ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MH**2*MZ**2 + (MH**2 - MZ**2 + ep*complex(0,1) + re(MZ**2))**2)))/(ep + complex(0,-1)*re(MZ**2))) - 2*grreglog(LogSwitch,-1 + (MH**2 + regsqrt(MH**4 - 4*MH**2*MZ**2))/(2.*MZ**2),-1 + (MH**2 - MZ**2 + ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MH**2*MZ**2 + (MH**2 - MZ**2 + ep*complex(0,1) + re(MZ**2))**2))/(2.*(ep*complex(0,1) + re(MZ**2)))) - 2*reglog(MZ**2/(4.*cmath.pi*MU_R**2))) + cw**2*(-48*sw**2*recms(CMSParam==1.0 and WZ != 0.0,15*MZ**2 + 8*MT**2*Ncol + 15*MZ**2*Ncol + ((2*MT**2 + MZ**2)*(MZ**2 + regsqrt(MZ**2*(-4*MT**2 + MZ**2)))*Ncol*grreglog(LogSwitch,-((MZ**2 - regsqrt(-4*MT**2*MZ**2 + MZ**4))/(MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4))),-((ep*complex(0,1) + re(MZ**2) - regsqrt(-4*MT**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MT**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2)))))/MZ**2 - 2*(2*MT**2 + MZ**2)*Ncol*grreglog(LogSwitch,-(MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4))/(2.*MZ**2),(complex(0,0.5)*(ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MT**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2)))/(ep + complex(0,-1)*re(MZ**2))) - ((2*MT**2 + MZ**2)*(-MZ**2 + regsqrt(MZ**2*(-4*MT**2 + MZ**2)))*Ncol*grreglog(LogSwitch,-((MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4))/(MZ**2 - regsqrt(-4*MT**2*MZ**2 + MZ**4))),-((ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MT**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(ep*complex(0,1) + re(MZ**2) - regsqrt(-4*MT**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2)))))/MZ**2 - 2*(2*MT**2 + MZ**2)*Ncol*grreglog(LogSwitch,-0.5 + regsqrt(-4*MT**2*MZ**2 + MZ**4)/(2.*MZ**2),-1 + (ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MT**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(2.*(ep*complex(0,1) + re(MZ**2)))) - MZ**2*(9 + 7*Ncol)*grreglog(LogSwitch,-(MZ**2/MU_R**2),-((ep*complex(0,1) + re(MZ**2))/MU_R**2)) - 9*MZ**2*reglog(cmath.pi) - 9*MZ**2*Ncol*reglog(cmath.pi) + 18*MZ**2*reglog(2*cmath.pi) + 18*MZ**2*Ncol*reglog(2*cmath.pi) - 2*(2*MT**2 + MZ**2)*Ncol*reglog(MZ**2/MU_R**2) - 4*MT**2*Ncol*reglog(MU_R**2/MT**2)) - 9*cw**4*recms(CMSParam==1.0 and WZ != 0.0,(3*(20*MW**2 + 13*MZ**2)*(MZ**2 + regsqrt(MZ**2*(-4*MW**2 + MZ**2)))*grreglog(LogSwitch,-((MZ**2 - regsqrt(-4*MW**2*MZ**2 + MZ**4))/(MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))),-((ep*complex(0,1) + re(MZ**2) - regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2)))))/MZ**2 - 6*(20*MW**2 + 13*MZ**2)*grreglog(LogSwitch,-(MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))/(2.*MZ**2),(complex(0,0.5)*(ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2)))/(ep + complex(0,-1)*re(MZ**2))) - (3*(20*MW**2 + 13*MZ**2)*(-MZ**2 + regsqrt(MZ**2*(-4*MW**2 + MZ**2)))*grreglog(LogSwitch,-((MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))/(MZ**2 - regsqrt(-4*MW**2*MZ**2 + MZ**4))),-((ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(ep*complex(0,1) + re(MZ**2) - regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2)))))/MZ**2 - 6*(20*MW**2 + 13*MZ**2)*grreglog(LogSwitch,-0.5 + regsqrt(-4*MW**2*MZ**2 + MZ**4)/(2.*MZ**2),-1 + (ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(2.*(ep*complex(0,1) + re(MZ**2)))) - 2*(-120*MW**2 - 80*MZ**2 + 24*MW**2*reglog(cmath.pi) + 39*MZ**2*reglog(cmath.pi) - 48*MW**2*reglog(2*cmath.pi) - 78*MZ**2*reglog(2*cmath.pi)) - 6*(20*MW**2 + 13*MZ**2)*reglog(MZ**2/MU_R**2) - 72*MW**2*reglog(MU_R**2/MW**2)) - sw**4*recms(CMSParam==1.0 and WZ != 0.0,(-64*(2*MT**2 + MZ**2)*(MZ**2 + regsqrt(MZ**2*(-4*MT**2 + MZ**2)))*Ncol*grreglog(LogSwitch,-((MZ**2 - regsqrt(-4*MT**2*MZ**2 + MZ**4))/(MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4))),-((ep*complex(0,1) + re(MZ**2) - regsqrt(-4*MT**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MT**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2)))))/MZ**2 + 128*(2*MT**2 + MZ**2)*Ncol*grreglog(LogSwitch,-(MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4))/(2.*MZ**2),(complex(0,0.5)*(ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MT**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2)))/(ep + complex(0,-1)*re(MZ**2))) + (64*(2*MT**2 + MZ**2)*(-MZ**2 + regsqrt(MZ**2*(-4*MT**2 + MZ**2)))*Ncol*grreglog(LogSwitch,-((MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4))/(MZ**2 - regsqrt(-4*MT**2*MZ**2 + MZ**4))),-((ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MT**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(ep*complex(0,1) + re(MZ**2) - regsqrt(-4*MT**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2)))))/MZ**2 + 128*(2*MT**2 + MZ**2)*Ncol*grreglog(LogSwitch,-0.5 + regsqrt(-4*MT**2*MZ**2 + MZ**4)/(2.*MZ**2),-1 + (ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MT**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(2.*(ep*complex(0,1) + re(MZ**2)))) - (9*(-2*MW + MZ)*(2*MW + MZ)*(MZ**2 + regsqrt(MZ**2*(-4*MW**2 + MZ**2)))*grreglog(LogSwitch,-((MZ**2 - regsqrt(-4*MW**2*MZ**2 + MZ**4))/(MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))),-((ep*complex(0,1) + re(MZ**2) - regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2)))))/MZ**2 - 18*(2*MW - MZ)*(2*MW + MZ)*grreglog(LogSwitch,-(MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))/(2.*MZ**2),(complex(0,0.5)*(ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2)))/(ep + complex(0,-1)*re(MZ**2))) + (9*(-2*MW + MZ)*(2*MW + MZ)*(-MZ**2 + regsqrt(MZ**2*(-4*MW**2 + MZ**2)))*grreglog(LogSwitch,-((MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))/(MZ**2 - regsqrt(-4*MW**2*MZ**2 + MZ**4))),-((ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(ep*complex(0,1) + re(MZ**2) - regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2)))))/MZ**2 - 18*(2*MW - MZ)*(2*MW + MZ)*grreglog(LogSwitch,-0.5 + regsqrt(-4*MW**2*MZ**2 + MZ**4)/(2.*MZ**2),-1 + (ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(2.*(ep*complex(0,1) + re(MZ**2)))) + 32*MZ**2*(27 + 11*Ncol)*grreglog(LogSwitch,-(MZ**2/MU_R**2),-((ep*complex(0,1) + re(MZ**2))/MU_R**2)) + 2*(72*MW**2 - 744*MZ**2 - 256*MT**2*Ncol - 400*MZ**2*Ncol + 441*MZ**2*reglog(cmath.pi) + 240*MZ**2*Ncol*reglog(cmath.pi) - 882*MZ**2*reglog(2*cmath.pi) - 480*MZ**2*Ncol*reglog(2*cmath.pi)) - 2*(36*MW**2 - 9*MZ**2 - 128*MT**2*Ncol - 64*MZ**2*Ncol)*reglog(MZ**2/MU_R**2) + 256*MT**2*Ncol*reglog(MU_R**2/MT**2) - 72*MW**2*reglog(MU_R**2/MW**2)) + 6*cw**2*sw**2*recms(CMSParam==1.0 and WZ != 0.0,(-3*(-2*MW + MZ)*(2*MW + MZ)*(MZ**2 + regsqrt(MZ**2*(-4*MW**2 + MZ**2)))*grreglog(LogSwitch,-((MZ**2 - regsqrt(-4*MW**2*MZ**2 + MZ**4))/(MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))),-((ep*complex(0,1) + re(MZ**2) - regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2)))))/MZ**2 - 6*(2*MW - MZ)*(2*MW + MZ)*grreglog(LogSwitch,-(MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))/(2.*MZ**2),(complex(0,0.5)*(ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2)))/(ep + complex(0,-1)*re(MZ**2))) + (3*(-2*MW + MZ)*(2*MW + MZ)*(-MZ**2 + regsqrt(MZ**2*(-4*MW**2 + MZ**2)))*grreglog(LogSwitch,-((MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))/(MZ**2 - regsqrt(-4*MW**2*MZ**2 + MZ**4))),-((ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(ep*complex(0,1) + re(MZ**2) - regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2)))))/MZ**2 - 6*(2*MW - MZ)*(2*MW + MZ)*grreglog(LogSwitch,-0.5 + regsqrt(-4*MW**2*MZ**2 + MZ**4)/(2.*MZ**2),-1 + (ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(2.*(ep*complex(0,1) + re(MZ**2)))) + 2*(24*MW**2 - 8*MZ**2 + 3*MZ**2*reglog(cmath.pi) - 6*MZ**2*reglog(2*cmath.pi)) - 6*(2*MW - MZ)*(2*MW + MZ)*reglog(MZ**2/MU_R**2) - 24*MW**2*reglog(MU_R**2/MW**2)) + 3*recms(CMSParam==1.0 and WZ != 0.0,(-3*MH**2*(MH - 2*MZ)*(MH + 2*MZ)*(-MH**2 + regsqrt(MH**2*(MH**2 - 4*MZ**2)))*grreglog(LogSwitch,(MH**2 - 2*MZ**2 - regsqrt(MH**4 - 4*MH**2*MZ**2))/(MH**2 - regsqrt(MH**4 - 4*MH**2*MZ**2)),-((-MH**2 + MZ**2 + ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MH**2*MZ**2 + (MH**2 - MZ**2 + ep*complex(0,1) + re(MZ**2))**2))/(MH**2 - MZ**2 + ep*complex(0,1) + re(MZ**2) - regsqrt(-4*MH**2*MZ**2 + (MH**2 - MZ**2 + ep*complex(0,1) + re(MZ**2))**2)))))/MZ**4 + (3*MH**2*(MH - 2*MZ)*(MH + 2*MZ)*(MH**2 + regsqrt(MH**2*(MH**2 - 4*MZ**2)))*grreglog(LogSwitch,(MH**2 - 2*MZ**2 + regsqrt(MH**4 - 4*MH**2*MZ**2))/(MH**2 + regsqrt(MH**4 - 4*MH**2*MZ**2)),-((-MH**2 + MZ**2 + ep*complex(0,1) + re(MZ**2) - regsqrt(-4*MH**2*MZ**2 + (MH**2 - MZ**2 + ep*complex(0,1) + re(MZ**2))**2))/(MH**2 - MZ**2 + ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MH**2*MZ**2 + (MH**2 - MZ**2 + ep*complex(0,1) + re(MZ**2))**2)))))/MZ**4 + (6*(-MT + MZ)*(MT + MZ)*(MZ**2 + regsqrt(MZ**2*(-4*MT**2 + MZ**2)))*Ncol*grreglog(LogSwitch,-((MZ**2 - regsqrt(-4*MT**2*MZ**2 + MZ**4))/(MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4))),-((ep*complex(0,1) + re(MZ**2) - regsqrt(-4*MT**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MT**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2)))))/MZ**2 + 12*(MT - MZ)*(MT + MZ)*Ncol*grreglog(LogSwitch,-(MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4))/(2.*MZ**2),(complex(0,0.5)*(ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MT**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2)))/(ep + complex(0,-1)*re(MZ**2))) - (6*(-MT + MZ)*(MT + MZ)*(-MZ**2 + regsqrt(MZ**2*(-4*MT**2 + MZ**2)))*Ncol*grreglog(LogSwitch,-((MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4))/(MZ**2 - regsqrt(-4*MT**2*MZ**2 + MZ**4))),-((ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MT**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(ep*complex(0,1) + re(MZ**2) - regsqrt(-4*MT**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2)))))/MZ**2 + 12*(MT - MZ)*(MT + MZ)*Ncol*grreglog(LogSwitch,-0.5 + regsqrt(-4*MT**2*MZ**2 + MZ**4)/(2.*MZ**2),-1 + (ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MT**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(2.*(ep*complex(0,1) + re(MZ**2)))) - (6*MH**2*(MH - 2*MZ)*(MH + 2*MZ)*grreglog(LogSwitch,-1 + (MH**2 - regsqrt(MH**4 - 4*MH**2*MZ**2))/(2.*MZ**2),(complex(0,0.5)*(-MH**2 + MZ**2 + ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MH**2*MZ**2 + (MH**2 - MZ**2 + ep*complex(0,1) + re(MZ**2))**2)))/(ep + complex(0,-1)*re(MZ**2))))/MZ**2 - (6*MH**2*(MH - 2*MZ)*(MH + 2*MZ)*grreglog(LogSwitch,-1 + (MH**2 + regsqrt(MH**4 - 4*MH**2*MZ**2))/(2.*MZ**2),-1 + (MH**2 - MZ**2 + ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MH**2*MZ**2 + (MH**2 - MZ**2 + ep*complex(0,1) + re(MZ**2))**2))/(2.*(ep*complex(0,1) + re(MZ**2)))))/MZ**2 - 12*MZ**2*(6 + 5*Ncol)*grreglog(LogSwitch,-(MZ**2/MU_R**2),-((ep*complex(0,1) + re(MZ**2))/MU_R**2)) + (2*(3*MH**4 - 18*MH**2*MZ**2 + 59*MZ**4 - 12*MT**2*MZ**2*Ncol + 60*MZ**4*Ncol - 39*MZ**4*reglog(cmath.pi) + 18*MT**2*MZ**2*Ncol*reglog(cmath.pi) - 36*MZ**4*Ncol*reglog(cmath.pi) + 78*MZ**4*reglog(2*cmath.pi) - 36*MT**2*MZ**2*Ncol*reglog(2*cmath.pi) + 72*MZ**4*Ncol*reglog(2*cmath.pi)))/MZ**2 - (6*(MH**4 - 4*MH**2*MZ**2 - 2*MT**2*MZ**2*Ncol + 2*MZ**4*Ncol)*reglog(MZ**2/MU_R**2))/MZ**2 - (6*MH**2*(MH**2 - 3*MZ**2)*reglog(MU_R**2/MH**2))/MZ**2 - 24*MT**2*Ncol*reglog(MU_R**2/MT**2) + 6*(MH**2 + MZ**2)*reglog(MU_R**2/MZ**2)))))/(3456.*cw**4*cmath.pi**2*sw**2)'}

tWcft_UV_EW_R_5FS = {-1:'-(ee**2*(8*epsUV*MW**2*sw**4 + cw**2*(9*epsUV*MT**2 + 16*epsIR*MW**2*sw**2 + 8*epsUV*MW**2*sw**2)))/(288.*cw**2*MW**2*cmath.pi**2*sw**2)',
                      0:'(ee**2*(9*cw**2*MT**2 + 24*cw**2*MW**2*sw**2 + 8*MW**2*sw**4)*reglog(4*cmath.pi))/(288.*cw**2*MW**2*cmath.pi**2*sw**2) + (ee**2*recms(CMSParam==1.0 and WT != 0.0,(MT**2 - 2*MW**2)/MT**2 + (2*(MT - MW)*MW**2*(MT + MW)*grreglog(LogSwitch,1 - MT**2/MW**2,(MW**2 + ep*complex(0,-1) - re(MT**2))/MW**2))/MT**4))/(32.*cmath.pi**2*sw**2) - (ee**2*recms(CMSParam==1.0 and WT != 0.0,4 + reglog(64) + 3*reglog(cmath.pi) + 3*reglog(MU_R**2/MT**2)))/(36.*cmath.pi**2) - (ee**2*MT**2*recms(CMSParam==1.0 and WT != 0.0,(-3*(MH**2 - 2*MT**2)*(-MH**2 + regsqrt(MH**2*(MH**2 - 4*MT**2)))*grreglog(LogSwitch,(MH**2 - 2*MT**2 - regsqrt(MH**4 - 4*MH**2*MT**2))/(MH**2 - regsqrt(MH**4 - 4*MH**2*MT**2)),-((-MH**2 + MT**2 + ep*complex(0,1) + re(MT**2) + regsqrt(-4*MH**2*MT**2 + (MH**2 - MT**2 + ep*complex(0,1) + re(MT**2))**2))/(MH**2 - MT**2 + ep*complex(0,1) + re(MT**2) - regsqrt(-4*MH**2*MT**2 + (MH**2 - MT**2 + ep*complex(0,1) + re(MT**2))**2)))))/MT**4 + (3*(MH**2 - 2*MT**2)*(MH**2 + regsqrt(MH**2*(MH**2 - 4*MT**2)))*grreglog(LogSwitch,(MH**2 - 2*MT**2 + regsqrt(MH**4 - 4*MH**2*MT**2))/(MH**2 + regsqrt(MH**4 - 4*MH**2*MT**2)),-((-MH**2 + MT**2 + ep*complex(0,1) + re(MT**2) - regsqrt(-4*MH**2*MT**2 + (MH**2 - MT**2 + ep*complex(0,1) + re(MT**2))**2))/(MH**2 - MT**2 + ep*complex(0,1) + re(MT**2) + regsqrt(-4*MH**2*MT**2 + (MH**2 - MT**2 + ep*complex(0,1) + re(MT**2))**2)))))/MT**4 - (6*(MH**2 - 2*MT**2)*grreglog(LogSwitch,-1 + (MH**2 - regsqrt(MH**4 - 4*MH**2*MT**2))/(2.*MT**2),(complex(0,0.5)*(-MH**2 + MT**2 + ep*complex(0,1) + re(MT**2) + regsqrt(-4*MH**2*MT**2 + (MH**2 - MT**2 + ep*complex(0,1) + re(MT**2))**2)))/(ep + complex(0,-1)*re(MT**2))))/MT**2 - (6*(MH**2 - 2*MT**2)*grreglog(LogSwitch,-1 + (MH**2 + regsqrt(MH**4 - 4*MH**2*MT**2))/(2.*MT**2),-1 + (MH**2 - MT**2 + ep*complex(0,1) + re(MT**2) + regsqrt(-4*MH**2*MT**2 + (MH**2 - MT**2 + ep*complex(0,1) + re(MT**2))**2))/(2.*(ep*complex(0,1) + re(MT**2)))))/MT**2 - (4*(MT - MW)*(MT + MW)*(MT**2 + MW**2)*grreglog(LogSwitch,1 - MT**2/MW**2,-((-MW**2 + ep*complex(0,1) + re(MT**2))/MW**2)))/MT**4 - (2*MZ**2*(10*MT**2 - 3*MZ**2)*grreglog(LogSwitch,-(MZ**2 - regsqrt(-4*MT**2*MZ**2 + MZ**4))/(2.*MT**2),-1 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2) + regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2))/(2.*(ep*complex(0,1) + re(MT**2)))))/(MT**2*(2*MT - MZ)*(2*MT + MZ)) + (MZ**2*(10*MT**2 - 3*MZ**2)*(2*MT**2 - MZ**2 + regsqrt(-(MZ**2*(4*MT**2 - MZ**2))))*grreglog(LogSwitch,-((MZ**2 - regsqrt(-4*MT**2*MZ**2 + MZ**4))/(2*MT**2 - MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4))),-((-MT**2 + MZ**2 + ep*complex(0,1) + re(MT**2) - regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2))/(MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2) + regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2)))))/(MT**4*(2*MT - MZ)*(2*MT + MZ)) - (2*MZ**2*(10*MT**2 - 3*MZ**2)*grreglog(LogSwitch,-(MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4))/(2.*MT**2),(complex(0,0.5)*(-MT**2 + MZ**2 + ep*complex(0,1) + re(MT**2) + regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2)))/(ep + complex(0,-1)*re(MT**2))))/(MT**2*(2*MT - MZ)*(2*MT + MZ)) + (MZ**2*(10*MT**2 - 3*MZ**2)*(2*MT**2 - MZ**2 - regsqrt(-(MZ**2*(4*MT**2 - MZ**2))))*grreglog(LogSwitch,-((MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4))/(2*MT**2 - MZ**2 - regsqrt(-4*MT**2*MZ**2 + MZ**4))),-((-MT**2 + MZ**2 + ep*complex(0,1) + re(MT**2) + regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2))/(MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2) - regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2)))))/(MT**4*(2*MT - MZ)*(2*MT + MZ)) + (2*(3*MH**2 - 4*MT**2 + 2*MW**2 + 3*MZ**2 - 4*MT**2*reglog(cmath.pi) + 8*MT**2*reglog(2*cmath.pi)))/MT**2 - (2*(12*MH**2*MT**2 - 24*MT**4 - 3*MH**2*MZ**2 + 16*MT**2*MZ**2 - 3*MZ**4)*reglog(MT**2/MU_R**2))/(MT**2*(2*MT - MZ)*(2*MT + MZ)) - (2*(3*MH**2 - 4*MT**2)*reglog(MU_R**2/MH**2))/MT**2 + (4*(8*MT**2 - 3*MZ**2)*reglog(MU_R**2/MT**2))/((2*MT - MZ)*(2*MT + MZ)) + 4*reglog(MU_R**2/MW**2) - (2*MZ**2*(8*MT**2 - 3*MZ**2)*reglog(MU_R**2/MZ**2))/(MT**2*(2*MT - MZ)*(2*MT + MZ))))/(256.*MW**2*cmath.pi**2*sw**2) - (ee**2*sw**2*recms(CMSParam==1.0 and WT != 0.0,(-6*(4*MT**4 + 2*MT**2*MZ**2 - MZ**4)*grreglog(LogSwitch,-(MZ**2 - regsqrt(-4*MT**2*MZ**2 + MZ**4))/(2.*MT**2),-1 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2) + regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2))/(2.*(ep*complex(0,1) + re(MT**2)))))/(MT**2*(2*MT - MZ)*(2*MT + MZ)) - (3*(-4*MT**4 - 2*MT**2*MZ**2 + MZ**4)*(2*MT**2 - MZ**2 + regsqrt(-(MZ**2*(4*MT**2 - MZ**2))))*grreglog(LogSwitch,-((MZ**2 - regsqrt(-4*MT**2*MZ**2 + MZ**4))/(2*MT**2 - MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4))),-((-MT**2 + MZ**2 + ep*complex(0,1) + re(MT**2) - regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2))/(MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2) + regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2)))))/(MT**4*(2*MT - MZ)*(2*MT + MZ)) - (6*(4*MT**4 + 2*MT**2*MZ**2 - MZ**4)*grreglog(LogSwitch,-(MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4))/(2.*MT**2),(complex(0,0.5)*(-MT**2 + MZ**2 + ep*complex(0,1) + re(MT**2) + regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2)))/(ep + complex(0,-1)*re(MT**2))))/(MT**2*(2*MT - MZ)*(2*MT + MZ)) + (3*(-4*MT**4 - 2*MT**2*MZ**2 + MZ**4)*(-2*MT**2 + MZ**2 + regsqrt(-(MZ**2*(4*MT**2 - MZ**2))))*grreglog(LogSwitch,-((MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4))/(2*MT**2 - MZ**2 - regsqrt(-4*MT**2*MZ**2 + MZ**4))),-((-MT**2 + MZ**2 + ep*complex(0,1) + re(MT**2) + regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2))/(MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2) - regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2)))))/(MT**4*(2*MT - MZ)*(2*MT + MZ)) - (2*(-4*MT**2 - 3*MZ**2 + MT**2*reglog(cmath.pi) - 2*MT**2*reglog(2*cmath.pi)))/MT**2 - (6*(4*MT**4 + 2*MT**2*MZ**2 - MZ**4)*reglog(MT**2/MU_R**2))/(MT**2*(2*MT - MZ)*(2*MT + MZ)) - (6*MZ**2*reglog(MU_R**2/MT**2))/((2*MT - MZ)*(2*MT + MZ)) - (2*(8*MT**4 + 4*MT**2*MZ**2 - 3*MZ**4)*reglog(MU_R**2/MZ**2))/(MT**2*(2*MT - MZ)*(2*MT + MZ))))/(72.*cw**2*cmath.pi**2) + (ee**2*recms(CMSParam==1.0 and WT != 0.0,(MT**2 + 2*MZ**2)/MT**2 - (2*(MT**4 + 3*MT**2*MZ**2 - MZ**4)*grreglog(LogSwitch,(-MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4))/(2.*MT**2),-1 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2) + regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2))/(2.*(ep*complex(0,1) + re(MT**2)))))/(MT**2*(2*MT - MZ)*(2*MT + MZ)) + ((MT**4 + 3*MT**2*MZ**2 - MZ**4)*(2*MT**2 - MZ**2 + regsqrt(-(MZ**2*(4*MT**2 - MZ**2))))*grreglog(LogSwitch,(-MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4))/(2*MT**2 - MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4)),(MT**2 - MZ**2 + ep*complex(0,-1) - re(MT**2) + regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2))/(MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2) + regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2))))/(MT**4*(2*MT - MZ)*(2*MT + MZ)) - (2*(MT**4 + 3*MT**2*MZ**2 - MZ**4)*grreglog(LogSwitch,-(MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4))/(2.*MT**2),(complex(0,0.5)*(-MT**2 + MZ**2 + ep*complex(0,1) + re(MT**2) + regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2)))/(ep + complex(0,-1)*re(MT**2))))/(MT**2*(2*MT - MZ)*(2*MT + MZ)) + ((MT**4 + 3*MT**2*MZ**2 - MZ**4)*(2*MT**2 - MZ**2 - regsqrt(-(MZ**2*(4*MT**2 - MZ**2))))*grreglog(LogSwitch,(MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4))/(-2*MT**2 + MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4)),(-MT**2 + MZ**2 + ep*complex(0,1) + re(MT**2) + regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2))/(-MT**2 + MZ**2 + ep*complex(0,-1) - re(MT**2) + regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2))))/(MT**4*(2*MT - MZ)*(2*MT + MZ)) - (2*(MT**4 + 3*MT**2*MZ**2 - MZ**4)*reglog(MT**2/MU_R**2))/(MT**2*(2*MT - MZ)*(2*MT + MZ)) + (2*(MT - MZ)*(MT + MZ)*reglog(MU_R**2/MT**2))/((2*MT - MZ)*(2*MT + MZ)) - (2*(2*MT**4 + 2*MT**2*MZ**2 - MZ**4)*reglog(MU_R**2/MZ**2))/(MT**2*(2*MT - MZ)*(2*MT + MZ))))/(24.*cw**2*cmath.pi**2) - (ee**2*recms(CMSParam==1.0 and WT != 0.0,-((3*MT**2 - 2*MZ**2)/MT**2) + (2*(5*MT**4 - 5*MT**2*MZ**2 + MZ**4)*grreglog(LogSwitch,(-MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4))/(2.*MT**2),-1 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2) + regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2))/(2.*(ep*complex(0,1) + re(MT**2)))))/(MT**2*(2*MT - MZ)*(2*MT + MZ)) - ((5*MT**4 - 5*MT**2*MZ**2 + MZ**4)*(2*MT**2 - MZ**2 + regsqrt(-(MZ**2*(4*MT**2 - MZ**2))))*grreglog(LogSwitch,(-MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4))/(2*MT**2 - MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4)),(MT**2 - MZ**2 + ep*complex(0,-1) - re(MT**2) + regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2))/(MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2) + regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2))))/(MT**4*(2*MT - MZ)*(2*MT + MZ)) + (2*(5*MT**4 - 5*MT**2*MZ**2 + MZ**4)*grreglog(LogSwitch,-(MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4))/(2.*MT**2),(complex(0,0.5)*(-MT**2 + MZ**2 + ep*complex(0,1) + re(MT**2) + regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2)))/(ep + complex(0,-1)*re(MT**2))))/(MT**2*(2*MT - MZ)*(2*MT + MZ)) - ((5*MT**4 - 5*MT**2*MZ**2 + MZ**4)*(2*MT**2 - MZ**2 - regsqrt(-(MZ**2*(4*MT**2 - MZ**2))))*grreglog(LogSwitch,(MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4))/(-2*MT**2 + MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4)),(-MT**2 + MZ**2 + ep*complex(0,1) + re(MT**2) + regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2))/(-MT**2 + MZ**2 + ep*complex(0,-1) - re(MT**2) + regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2))))/(MT**4*(2*MT - MZ)*(2*MT + MZ)) + (2*(5*MT**4 - 5*MT**2*MZ**2 + MZ**4)*reglog(MT**2/MU_R**2))/(MT**2*(2*MT - MZ)*(2*MT + MZ)) + (2*(3*MT**2 - MZ**2)*reglog(MU_R**2/MT**2))/((2*MT - MZ)*(2*MT + MZ)) + (2*(2*MT**4 - 4*MT**2*MZ**2 + MZ**4)*reglog(MU_R**2/MZ**2))/(MT**2*(2*MT - MZ)*(2*MT + MZ))))/(64.*cw**2*cmath.pi**2*sw**2)'}


cWcft_UV_EW_R = CTParameter(name = 'cWcft_UV_EW_R',
                            type = 'complex',
                            value = {-1:'(ee**2*(cw**2*(epsIR - epsUV) - epsUV*sw**2))/(36.*cw**2*cmath.pi**2)',
                                      0:'-(ee**2*sw**2*(-1 + 2*recms(CMSParam==1.0,reglog(MU_R**2/MZ**2))))/(72.*cw**2*cmath.pi**2)'},
                            texname = '\delta ZR_c^{EW}')

uWcft_UV_EW_R = CTParameter(name = 'uWcft_UV_EW_R',
                            type = 'complex',
                            value = {-1:'(ee**2*(cw**2*(epsIR - epsUV) - epsUV*sw**2))/(36.*cw**2*cmath.pi**2)',
                                      0:'-(ee**2*sw**2*(-1 + 2*recms(CMSParam==1.0,reglog(MU_R**2/MZ**2))))/(72.*cw**2*cmath.pi**2)'},
                            texname = '\delta ZR_u^{EW}')


bWcft_UV_EW_R_5FS = {-1:'(ee**2*(cw**2*(epsIR - epsUV) - epsUV*sw**2))/(144.*cw**2*cmath.pi**2)',
                      0:'-(ee**2*sw**2*(-1 + 2*recms(CMSParam==1.0,reglog(MU_R**2/MZ**2))))/(288.*cw**2*cmath.pi**2)'}


sWcft_UV_EW_R = CTParameter(name = 'sWcft_UV_EW_R',
                            type = 'complex',
                            value = {-1:'(ee**2*(cw**2*(epsIR - epsUV) - epsUV*sw**2))/(144.*cw**2*cmath.pi**2)',
                                      0:'-(ee**2*sw**2*(-1 + 2*recms(CMSParam==1.0,reglog(MU_R**2/MZ**2))))/(288.*cw**2*cmath.pi**2)'},
                            texname = '\delta ZR_s^{EW}')


dWcft_UV_EW_R = CTParameter(name = 'dWcft_UV_EW_R',
                            type = 'complex',
                            value = {-1:'(ee**2*(cw**2*(epsIR - epsUV) - epsUV*sw**2))/(144.*cw**2*cmath.pi**2)',
                                      0:'-(ee**2*sw**2*(-1 + 2*recms(CMSParam==1.0,reglog(MU_R**2/MZ**2))))/(288.*cw**2*cmath.pi**2)'},
                            texname = '\delta ZR_d^{EW}')


tauWcft_UV_EW_R = CTParameter(name = 'tauWcft_UV_EW_R',
                              type = 'complex',
                              value = {-1:'(ee**2*(cw**2*(epsIR - epsUV) - epsUV*sw**2))/(16.*cw**2*cmath.pi**2)',
                                        0:'-(ee**2*sw**2*(-1 + 2*recms(CMSParam==1.0,reglog(MU_R**2/MZ**2))))/(32.*cw**2*cmath.pi**2)'},
                              texname = '\delta ZR_tau^{EW}')


muWcft_UV_EW_R = CTParameter(name = 'muWcft_UV_EW_R',
                             type = 'complex',
                             value = {-1:'(ee**2*(cw**2*(epsIR - epsUV) - epsUV*sw**2))/(16.*cw**2*cmath.pi**2)',
                                       0:'-(ee**2*sw**2*(-1 + 2*recms(CMSParam==1.0,reglog(MU_R**2/MZ**2))))/(32.*cw**2*cmath.pi**2)'},
                             texname = '\delta ZR_mu^{EW}')

eWcft_UV_EW_R = CTParameter(name = 'eWcft_UV_EW_R',
                            type = 'complex',
                            value = {-1:'(ee**2*(cw**2*(epsIR - epsUV) - epsUV*sw**2))/(16.*cw**2*cmath.pi**2)',
                                      0:'-(ee**2*sw**2*(-1 + 2*recms(CMSParam==1.0,reglog(MU_R**2/MZ**2))))/(32.*cw**2*cmath.pi**2)'},
                            texname = '\delta ZR_e^{EW}')

tWcft_UV_EW_L_5FS = {-1:'-(ee**2*(epsUV*MW**2*(3 - 4*sw**2)**2 + cw**2*(32*epsIR*MW**2*sw**2 + epsUV*(9*MT**2 + 2*MW**2*(9 + 8*sw**2)))))/(576.*cw**2*MW**2*cmath.pi**2*sw**2)',
                      0:'(ee**2*(9*cw**2*MT**2 + 9*MW**2 + 18*cw**2*MW**2 - 24*MW**2*sw**2 + 48*cw**2*MW**2*sw**2 + 16*MW**2*sw**4)*reglog(4*cmath.pi))/(576.*cw**2*MW**2*cmath.pi**2*sw**2) - (ee**2*recms(CMSParam==1.0 and WT != 0.0,4 + reglog(64) + 3*reglog(cmath.pi) + 3*reglog(MU_R**2/MT**2)))/(36.*cmath.pi**2) - (ee**2*recms(CMSParam==1.0 and WT != 0.0,-(((MT - MW)*(MT + MW)*(MT**2 + MW**2)*grreglog(LogSwitch,1 - MT**2/MW**2,-((-MW**2 + ep*complex(0,1) + re(MT**2))/MW**2)))/MT**4) + (MW**2 + MT**2*reglog(4) + MT**2*reglog(cmath.pi))/MT**2 + reglog(MU_R**2/MW**2)))/(32.*cmath.pi**2*sw**2) - (ee**2*MT**2*recms(CMSParam==1.0 and WT != 0.0,(-3*(MH**2 - 2*MT**2)*(-MH**2 + regsqrt(MH**2*(MH**2 - 4*MT**2)))*grreglog(LogSwitch,(MH**2 - 2*MT**2 - regsqrt(MH**4 - 4*MH**2*MT**2))/(MH**2 - regsqrt(MH**4 - 4*MH**2*MT**2)),-((-MH**2 + MT**2 + ep*complex(0,1) + re(MT**2) + regsqrt(-4*MH**2*MT**2 + (MH**2 - MT**2 + ep*complex(0,1) + re(MT**2))**2))/(MH**2 - MT**2 + ep*complex(0,1) + re(MT**2) - regsqrt(-4*MH**2*MT**2 + (MH**2 - MT**2 + ep*complex(0,1) + re(MT**2))**2)))))/MT**4 + (3*(MH**2 - 2*MT**2)*(MH**2 + regsqrt(MH**2*(MH**2 - 4*MT**2)))*grreglog(LogSwitch,(MH**2 - 2*MT**2 + regsqrt(MH**4 - 4*MH**2*MT**2))/(MH**2 + regsqrt(MH**4 - 4*MH**2*MT**2)),-((-MH**2 + MT**2 + ep*complex(0,1) + re(MT**2) - regsqrt(-4*MH**2*MT**2 + (MH**2 - MT**2 + ep*complex(0,1) + re(MT**2))**2))/(MH**2 - MT**2 + ep*complex(0,1) + re(MT**2) + regsqrt(-4*MH**2*MT**2 + (MH**2 - MT**2 + ep*complex(0,1) + re(MT**2))**2)))))/MT**4 - (6*(MH**2 - 2*MT**2)*grreglog(LogSwitch,-1 + (MH**2 - regsqrt(MH**4 - 4*MH**2*MT**2))/(2.*MT**2),(complex(0,0.5)*(-MH**2 + MT**2 + ep*complex(0,1) + re(MT**2) + regsqrt(-4*MH**2*MT**2 + (MH**2 - MT**2 + ep*complex(0,1) + re(MT**2))**2)))/(ep + complex(0,-1)*re(MT**2))))/MT**2 - (6*(MH**2 - 2*MT**2)*grreglog(LogSwitch,-1 + (MH**2 + regsqrt(MH**4 - 4*MH**2*MT**2))/(2.*MT**2),-1 + (MH**2 - MT**2 + ep*complex(0,1) + re(MT**2) + regsqrt(-4*MH**2*MT**2 + (MH**2 - MT**2 + ep*complex(0,1) + re(MT**2))**2))/(2.*(ep*complex(0,1) + re(MT**2)))))/MT**2 + (8*MW**2*(-MT + MW)*(MT + MW)*grreglog(LogSwitch,1 - MT**2/MW**2,-((-MW**2 + ep*complex(0,1) + re(MT**2))/MW**2)))/MT**4 - (2*MZ**2*(10*MT**2 - 3*MZ**2)*grreglog(LogSwitch,-(MZ**2 - regsqrt(-4*MT**2*MZ**2 + MZ**4))/(2.*MT**2),-1 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2) + regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2))/(2.*(ep*complex(0,1) + re(MT**2)))))/(MT**2*(2*MT - MZ)*(2*MT + MZ)) + (MZ**2*(10*MT**2 - 3*MZ**2)*(2*MT**2 - MZ**2 + regsqrt(-(MZ**2*(4*MT**2 - MZ**2))))*grreglog(LogSwitch,-((MZ**2 - regsqrt(-4*MT**2*MZ**2 + MZ**4))/(2*MT**2 - MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4))),-((-MT**2 + MZ**2 + ep*complex(0,1) + re(MT**2) - regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2))/(MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2) + regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2)))))/(MT**4*(2*MT - MZ)*(2*MT + MZ)) - (2*MZ**2*(10*MT**2 - 3*MZ**2)*grreglog(LogSwitch,-(MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4))/(2.*MT**2),(complex(0,0.5)*(-MT**2 + MZ**2 + ep*complex(0,1) + re(MT**2) + regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2)))/(ep + complex(0,-1)*re(MT**2))))/(MT**2*(2*MT - MZ)*(2*MT + MZ)) + (MZ**2*(10*MT**2 - 3*MZ**2)*(2*MT**2 - MZ**2 - regsqrt(-(MZ**2*(4*MT**2 - MZ**2))))*grreglog(LogSwitch,-((MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4))/(2*MT**2 - MZ**2 - regsqrt(-4*MT**2*MZ**2 + MZ**4))),-((-MT**2 + MZ**2 + ep*complex(0,1) + re(MT**2) + regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2))/(MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2) - regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2)))))/(MT**4*(2*MT - MZ)*(2*MT + MZ)) + (2*(3*MH**2 - 8*MT**2 + 4*MW**2 + 3*MZ**2 - 2*MT**2*reglog(cmath.pi) + 4*MT**2*reglog(2*cmath.pi)))/MT**2 - (2*(12*MH**2*MT**2 - 24*MT**4 - 3*MH**2*MZ**2 + 16*MT**2*MZ**2 - 3*MZ**4)*reglog(MT**2/MU_R**2))/(MT**2*(2*MT - MZ)*(2*MT + MZ)) - (2*(3*MH**2 - 4*MT**2)*reglog(MU_R**2/MH**2))/MT**2 + (4*(8*MT**2 - 3*MZ**2)*reglog(MU_R**2/MT**2))/((2*MT - MZ)*(2*MT + MZ)) - (2*MZ**2*(8*MT**2 - 3*MZ**2)*reglog(MU_R**2/MZ**2))/(MT**2*(2*MT - MZ)*(2*MT + MZ))))/(256.*MW**2*cmath.pi**2*sw**2) + (ee**2*recms(CMSParam==1.0 and WT != 0.0,(-2*(2*MT**4 - 4*MT**2*MZ**2 + MZ**4)*grreglog(LogSwitch,-(MZ**2 - regsqrt(-4*MT**2*MZ**2 + MZ**4))/(2.*MT**2),-1 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2) + regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2))/(2.*(ep*complex(0,1) + re(MT**2)))))/(MT**2*(2*MT - MZ)*(2*MT + MZ)) + ((2*MT**4 - 4*MT**2*MZ**2 + MZ**4)*(2*MT**2 - MZ**2 + regsqrt(-(MZ**2*(4*MT**2 - MZ**2))))*grreglog(LogSwitch,-((MZ**2 - regsqrt(-4*MT**2*MZ**2 + MZ**4))/(2*MT**2 - MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4))),-((-MT**2 + MZ**2 + ep*complex(0,1) + re(MT**2) - regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2))/(MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2) + regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2)))))/(MT**4*(2*MT - MZ)*(2*MT + MZ)) - (2*(2*MT**4 - 4*MT**2*MZ**2 + MZ**4)*grreglog(LogSwitch,-(MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4))/(2.*MT**2),(complex(0,0.5)*(-MT**2 + MZ**2 + ep*complex(0,1) + re(MT**2) + regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2)))/(ep + complex(0,-1)*re(MT**2))))/(MT**2*(2*MT - MZ)*(2*MT + MZ)) - ((2*MT**4 - 4*MT**2*MZ**2 + MZ**4)*(-2*MT**2 + MZ**2 + regsqrt(-(MZ**2*(4*MT**2 - MZ**2))))*grreglog(LogSwitch,-((MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4))/(2*MT**2 - MZ**2 - regsqrt(-4*MT**2*MZ**2 + MZ**4))),-((-MT**2 + MZ**2 + ep*complex(0,1) + re(MT**2) + regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2))/(MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2) - regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2)))))/(MT**4*(2*MT - MZ)*(2*MT + MZ)) + (2*(MT**2 - MZ**2 + MT**2*reglog(cmath.pi) - 2*MT**2*reglog(2*cmath.pi)))/MT**2 - (2*(2*MT**4 - 4*MT**2*MZ**2 + MZ**4)*reglog(MT**2/MU_R**2))/(MT**2*(2*MT - MZ)*(2*MT + MZ)) - (2*(2*MT**2 - MZ**2)*reglog(MU_R**2/MT**2))/((2*MT - MZ)*(2*MT + MZ)) - (2*(2*MT**2 - MZ**2)**2*reglog(MU_R**2/MZ**2))/(MT**2*(2*MT - MZ)*(2*MT + MZ))))/(128.*cw**2*cmath.pi**2*sw**2) + (ee**2*recms(CMSParam==1.0 and WT != 0.0,(-2*(10*MT**4 - MZ**4)*grreglog(LogSwitch,-(MZ**2 - regsqrt(-4*MT**2*MZ**2 + MZ**4))/(2.*MT**2),-1 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2) + regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2))/(2.*(ep*complex(0,1) + re(MT**2)))))/(MT**2*(2*MT - MZ)*(2*MT + MZ)) - ((-10*MT**4 + MZ**4)*(2*MT**2 - MZ**2 + regsqrt(-(MZ**2*(4*MT**2 - MZ**2))))*grreglog(LogSwitch,-((MZ**2 - regsqrt(-4*MT**2*MZ**2 + MZ**4))/(2*MT**2 - MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4))),-((-MT**2 + MZ**2 + ep*complex(0,1) + re(MT**2) - regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2))/(MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2) + regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2)))))/(MT**4*(2*MT - MZ)*(2*MT + MZ)) - (2*(10*MT**4 - MZ**4)*grreglog(LogSwitch,-(MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4))/(2.*MT**2),(complex(0,0.5)*(-MT**2 + MZ**2 + ep*complex(0,1) + re(MT**2) + regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2)))/(ep + complex(0,-1)*re(MT**2))))/(MT**2*(2*MT - MZ)*(2*MT + MZ)) + ((-10*MT**4 + MZ**4)*(-2*MT**2 + MZ**2 + regsqrt(-(MZ**2*(4*MT**2 - MZ**2))))*grreglog(LogSwitch,-((MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4))/(2*MT**2 - MZ**2 - regsqrt(-4*MT**2*MZ**2 + MZ**4))),-((-MT**2 + MZ**2 + ep*complex(0,1) + re(MT**2) + regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2))/(MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2) - regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2)))))/(MT**4*(2*MT - MZ)*(2*MT + MZ)) - (2*(-3*MT**2 - MZ**2 + MT**2*reglog(cmath.pi) - 2*MT**2*reglog(2*cmath.pi)))/MT**2 - (2*(10*MT**4 - MZ**4)*reglog(MT**2/MU_R**2))/(MT**2*(2*MT - MZ)*(2*MT + MZ)) - (2*(2*MT**2 + MZ**2)*reglog(MU_R**2/MT**2))/((2*MT - MZ)*(2*MT + MZ)) - (2*(2*MT**2 - MZ**2)*(2*MT**2 + MZ**2)*reglog(MU_R**2/MZ**2))/(MT**2*(2*MT - MZ)*(2*MT + MZ))))/(48.*cw**2*cmath.pi**2) - (ee**2*sw**2*recms(CMSParam==1.0 and WT != 0.0,(-6*(4*MT**4 + 2*MT**2*MZ**2 - MZ**4)*grreglog(LogSwitch,-(MZ**2 - regsqrt(-4*MT**2*MZ**2 + MZ**4))/(2.*MT**2),-1 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2) + regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2))/(2.*(ep*complex(0,1) + re(MT**2)))))/(MT**2*(2*MT - MZ)*(2*MT + MZ)) - (3*(-4*MT**4 - 2*MT**2*MZ**2 + MZ**4)*(2*MT**2 - MZ**2 + regsqrt(-(MZ**2*(4*MT**2 - MZ**2))))*grreglog(LogSwitch,-((MZ**2 - regsqrt(-4*MT**2*MZ**2 + MZ**4))/(2*MT**2 - MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4))),-((-MT**2 + MZ**2 + ep*complex(0,1) + re(MT**2) - regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2))/(MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2) + regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2)))))/(MT**4*(2*MT - MZ)*(2*MT + MZ)) - (6*(4*MT**4 + 2*MT**2*MZ**2 - MZ**4)*grreglog(LogSwitch,-(MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4))/(2.*MT**2),(complex(0,0.5)*(-MT**2 + MZ**2 + ep*complex(0,1) + re(MT**2) + regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2)))/(ep + complex(0,-1)*re(MT**2))))/(MT**2*(2*MT - MZ)*(2*MT + MZ)) + (3*(-4*MT**4 - 2*MT**2*MZ**2 + MZ**4)*(-2*MT**2 + MZ**2 + regsqrt(-(MZ**2*(4*MT**2 - MZ**2))))*grreglog(LogSwitch,-((MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4))/(2*MT**2 - MZ**2 - regsqrt(-4*MT**2*MZ**2 + MZ**4))),-((-MT**2 + MZ**2 + ep*complex(0,1) + re(MT**2) + regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2))/(MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2) - regsqrt(-4*MT**4 + (MT**2 - MZ**2 + ep*complex(0,1) + re(MT**2))**2)))))/(MT**4*(2*MT - MZ)*(2*MT + MZ)) - (2*(-4*MT**2 - 3*MZ**2 + MT**2*reglog(cmath.pi) - 2*MT**2*reglog(2*cmath.pi)))/MT**2 - (6*(4*MT**4 + 2*MT**2*MZ**2 - MZ**4)*reglog(MT**2/MU_R**2))/(MT**2*(2*MT - MZ)*(2*MT + MZ)) - (6*MZ**2*reglog(MU_R**2/MT**2))/((2*MT - MZ)*(2*MT + MZ)) - (2*(8*MT**4 + 4*MT**2*MZ**2 - 3*MZ**4)*reglog(MU_R**2/MZ**2))/(MT**2*(2*MT - MZ)*(2*MT + MZ))))/(72.*cw**2*cmath.pi**2)'}

cWcft_UV_EW_L = CTParameter(name = 'cWcft_UV_EW_L',
                            type = 'complex',
                            value = {-1:'-(ee**2*(-16*cw**2*epsIR*sw**2 + epsUV*((3 - 4*sw**2)**2 + 2*cw**2*(9 + 8*sw**2))))/(576.*cw**2*cmath.pi**2*sw**2)',
                                      0:'-(ee**2*(-9 - 18*cw**2 + 24*sw**2 - 16*sw**4 + 36*cw**2*recms(CMSParam==1.0,reglog(MU_R**2/MW**2)) + 2*(3 - 4*sw**2)**2*recms(CMSParam==1.0,reglog(MU_R**2/MZ**2))))/(1152.*cw**2*cmath.pi**2*sw**2)'},
                            texname = '\delta ZL_c^{EW}')

uWcft_UV_EW_L = CTParameter(name = 'uWcft_UV_EW_L',
                            type = 'complex',
                            value = {-1:'-(ee**2*(-16*cw**2*epsIR*sw**2 + epsUV*((3 - 4*sw**2)**2 + 2*cw**2*(9 + 8*sw**2))))/(576.*cw**2*cmath.pi**2*sw**2)',
                                      0:'-(ee**2*(-9 - 18*cw**2 + 24*sw**2 - 16*sw**4 + 36*cw**2*recms(CMSParam==1.0,reglog(MU_R**2/MW**2)) + 2*(3 - 4*sw**2)**2*recms(CMSParam==1.0,reglog(MU_R**2/MZ**2))))/(1152.*cw**2*cmath.pi**2*sw**2)'},
                            texname = '\delta ZL_u^{EW}')


bWcft_UV_EW_L_5FS = {-1:'-(ee**2*(epsUV*MW**2*(3 - 2*sw**2)**2 + cw**2*(-4*epsIR*MW**2*sw**2 + epsUV*(9*MT**2 + 2*MW**2*(9 + 2*sw**2)))))/(576.*cw**2*MW**2*cmath.pi**2*sw**2)',
                      0:'(ee**2*(18*cw**2*MT**2*reglog(4*cmath.pi) + 18*MW**2*reglog(4*cmath.pi) + 36*cw**2*MW**2*reglog(4*cmath.pi) - 24*MW**2*sw**2*reglog(4*cmath.pi) + 8*MW**2*sw**4*reglog(4*cmath.pi) - 18*cw**2*MW**2*recms(CMSParam==1.0,((MT**2 - MW**2)*(-(MW**2*(-1 + reglog(16) + 2*reglog(cmath.pi))) + MT**2*(1 + reglog(16) + 2*reglog(cmath.pi))) + 2*MT**4*reglog(MU_R**2/MT**2) + (-4*MT**2*MW**2 + 2*MW**4)*reglog(MU_R**2/MW**2))/((MT - MW)**2*(MT + MW)**2)) - 9*cw**2*MT**2*recms(CMSParam==1.0,((MT**2 - MW**2)*(-(MW**2*(1 + reglog(16) + 2*reglog(cmath.pi))) + MT**2*(3 + reglog(16) + 2*reglog(cmath.pi))) + 2*MT**4*reglog(MU_R**2/MT**2) + (-4*MT**2*MW**2 + 2*MW**4)*reglog(MU_R**2/MW**2))/((MT - MW)**2*(MT + MW)**2)) - 9*MW**2*recms(CMSParam==1.0,-1 + reglog(16) + 2*reglog(cmath.pi) + 2*reglog(MU_R**2/MZ**2)) + 12*MW**2*sw**2*recms(CMSParam==1.0,-1 + reglog(16) + 2*reglog(cmath.pi) + 2*reglog(MU_R**2/MZ**2)) - 4*MW**2*sw**4*recms(CMSParam==1.0,-1 + reglog(16) + 2*reglog(cmath.pi) + 2*reglog(MU_R**2/MZ**2))))/(1152.*cw**2*MW**2*cmath.pi**2*sw**2)'}

sWcft_UV_EW_L = CTParameter(name = 'sWcft_UV_EW_L',
                            type = 'complex',
                            value = {-1:'-(ee**2*(-4*cw**2*epsIR*sw**2 + epsUV*((3 - 2*sw**2)**2 + 2*cw**2*(9 + 2*sw**2))))/(576.*cw**2*cmath.pi**2*sw**2)',
                                      0:'-(ee**2*(-9 - 18*cw**2 + 12*sw**2 - 4*sw**4 + 36*cw**2*recms(CMSParam==1.0,reglog(MU_R**2/MW**2)) + 2*(3 - 2*sw**2)**2*recms(CMSParam==1.0,reglog(MU_R**2/MZ**2))))/(1152.*cw**2*cmath.pi**2*sw**2)'},
                            texname = '\delta ZL_s^{EW}')


dWcft_UV_EW_L = CTParameter(name = 'dWcft_UV_EW_L',
                            type = 'complex',
                            value = {-1:'-(ee**2*(-4*cw**2*epsIR*sw**2 + epsUV*((3 - 2*sw**2)**2 + 2*cw**2*(9 + 2*sw**2))))/(576.*cw**2*cmath.pi**2*sw**2)',
                                      0:'-(ee**2*(-9 - 18*cw**2 + 12*sw**2 - 4*sw**4 + 36*cw**2*recms(CMSParam==1.0,reglog(MU_R**2/MW**2)) + 2*(3 - 2*sw**2)**2*recms(CMSParam==1.0,reglog(MU_R**2/MZ**2))))/(1152.*cw**2*cmath.pi**2*sw**2)'},
                            texname = '\delta ZL_d^{EW}')

tauWcft_UV_EW_L = CTParameter(name = 'tauWcft_UV_EW_L',
                              type = 'complex',
                              value = {-1:'-(ee**2*(-4*cw**2*epsIR*sw**2 + epsUV*((1 - 2*sw**2)**2 + cw**2*(2 + 4*sw**2))))/(64.*cw**2*cmath.pi**2*sw**2)',
                                        0:'-(ee**2*(-1 - 2*cw**2 + 4*sw**2 - 4*sw**4 + 4*cw**2*recms(CMSParam==1.0,reglog(MU_R**2/MW**2)) + 2*(1 - 2*sw**2)**2*recms(CMSParam==1.0,reglog(MU_R**2/MZ**2))))/(128.*cw**2*cmath.pi**2*sw**2)'},
                              texname = '\delta ZL_tau^{EW}')

muWcft_UV_EW_L = CTParameter(name = 'muWcft_UV_EW_L',
                             type = 'complex',
                             value = {-1:'-(ee**2*(-4*cw**2*epsIR*sw**2 + epsUV*((1 - 2*sw**2)**2 + cw**2*(2 + 4*sw**2))))/(64.*cw**2*cmath.pi**2*sw**2)',
                                       0:'-(ee**2*(-1 - 2*cw**2 + 4*sw**2 - 4*sw**4 + 4*cw**2*recms(CMSParam==1.0,reglog(MU_R**2/MW**2)) + 2*(1 - 2*sw**2)**2*recms(CMSParam==1.0,reglog(MU_R**2/MZ**2))))/(128.*cw**2*cmath.pi**2*sw**2)'},
                             texname = '\delta ZL_mu^{EW}')

eWcft_UV_EW_L = CTParameter(name = 'eWcft_UV_EW_L',
                            type = 'complex',
                            value = {-1:'-(ee**2*(-4*cw**2*epsIR*sw**2 + epsUV*((1 - 2*sw**2)**2 + cw**2*(2 + 4*sw**2))))/(64.*cw**2*cmath.pi**2*sw**2)',
                                      0:'-(ee**2*(-1 - 2*cw**2 + 4*sw**2 - 4*sw**4 + 4*cw**2*recms(CMSParam==1.0,reglog(MU_R**2/MW**2)) + 2*(1 - 2*sw**2)**2*recms(CMSParam==1.0,reglog(MU_R**2/MZ**2))))/(128.*cw**2*cmath.pi**2*sw**2)'},
                            texname = '\delta ZL_e^{EW}')


vtWcft_UV_EW_L = CTParameter(name = 'vtWcft_UV_EW_L',
                             type = 'complex',
                             value = {-1:'-((1 + 2*cw**2)*ee**2*epsUV)/(64.*cw**2*cmath.pi**2*sw**2)',
                                       0:'-(ee**2*(-1 - 2*cw**2 + 4*cw**2*recms(CMSParam==1.0,reglog(MU_R**2/MW**2)) + 2*recms(CMSParam==1.0,reglog(MU_R**2/MZ**2))))/(128.*cw**2*cmath.pi**2*sw**2)'},
                             texname = '\delta ZL_vt^{EW}')


vmWcft_UV_EW_L = CTParameter(name = 'vmWcft_UV_EW_L',
                             type = 'complex',
                             value = {-1:'-((1 + 2*cw**2)*ee**2*epsUV)/(64.*cw**2*cmath.pi**2*sw**2)',
                                       0:'-(ee**2*(-1 - 2*cw**2 + 4*cw**2*recms(CMSParam==1.0,reglog(MU_R**2/MW**2)) + 2*recms(CMSParam==1.0,reglog(MU_R**2/MZ**2))))/(128.*cw**2*cmath.pi**2*sw**2)'},
                             texname = '\delta ZL_vm^{EW}')


veWcft_UV_EW_L = CTParameter(name = 'veWcft_UV_EW_L',
                             type = 'complex',
                             value = {-1:'-((1 + 2*cw**2)*ee**2*epsUV)/(64.*cw**2*cmath.pi**2*sw**2)',
                                       0:'-(ee**2*(-1 - 2*cw**2 + 4*cw**2*recms(CMSParam==1.0,reglog(MU_R**2/MW**2)) + 2*recms(CMSParam==1.0,reglog(MU_R**2/MZ**2))))/(128.*cw**2*cmath.pi**2*sw**2)'},
                             texname = '\delta ZL_ve^{EW}')

# ================================================ #
# QED UV parameters                                #
# ================================================ #

HiggsTadpole_UV_EW = CTParameter(name = 'HiggsTadpole_UV_EW',
                                 type = 'complex',
                                 value = {-1:'( '+HiggsTadpole_UV_EW_5FS[-1]+' if MB == 0.0 else '+HiggsTadpole_UV_EW_4FS[-1]+' )',
                                           0:'( '+HiggsTadpole_UV_EW_5FS[0]+'  if MB == 0.0 else '+HiggsTadpole_UV_EW_4FS[0]+'  )'},
                                 texname = '\delta ht^{EW}')

tMass_UV_EW = CTParameter(name = 'tMass_UV_EW',
                                 type = 'complex',
                                 value = {-1:'( '+tMass_UV_EW_5FS[-1]+' if MB == 0.0 else '+tMass_UV_EW_4FS[-1]+' )',
                                           0:'( '+tMass_UV_EW_5FS[0]+'  if MB == 0.0 else '+tMass_UV_EW_4FS[0]+'  )'},
                                 texname = '\delta m_t^{EW}')

HMass2_UV_EW = CTParameter(name = 'HMass2_UV_EW',
                                 type = 'complex',
                                 value = {-1:'( '+HMass2_UV_EW_5FS[-1]+' if MB == 0.0 else '+HMass2_UV_EW_4FS[-1]+' )',
                                           0:'( '+HMass2_UV_EW_5FS[0]+'  if MB == 0.0 else '+HMass2_UV_EW_4FS[0]+'  )'},
                                 texname = '\delta m2_H^{EW}')

WMass2_UV_EW = CTParameter(name = 'WMass2_UV_EW',
                                 type = 'complex',
                                 value = {-1:'( '+WMass2_UV_EW_5FS[-1]+' if MB == 0.0 else '+WMass2_UV_EW_4FS[-1]+' )',
                                           0:'( '+WMass2_UV_EW_5FS[0]+'  if MB == 0.0 else '+WMass2_UV_EW_4FS[0]+'  )'},
                                 texname = '\delta m2_W^{EW}')

ZMass2_UV_EW = CTParameter(name = 'ZMass2_UV_EW',
                                 type = 'complex',
                                 value = {-1:'( '+ZMass2_UV_EW_5FS[-1]+' if MB == 0.0 else '+ZMass2_UV_EW_4FS[-1]+' )',
                                           0:'( '+ZMass2_UV_EW_5FS[0]+'  if MB == 0.0 else '+ZMass2_UV_EW_4FS[0]+'  )'},
                                 texname = '\delta m2_Z^{EW}')

bMass_UV_EW = CTParameter(name = 'bMass_UV_EW',
                          type = 'complex',
                          value = {-1:'( 0.0 if MB == 0.0 else '+bMass_UV_EW_4FS[-1]+' )',
                                    0:'( 0.0 if MB == 0.0 else '+bMass_UV_EW_4FS[0]+'  )'},
                          texname = '\delta m_b^{EW}')


tWcft_UV_EW_R = CTParameter(name = 'tWcft_UV_EW_R',
                                 type = 'complex',
                                 value = {-1:'( '+tWcft_UV_EW_R_5FS[-1]+' if MB == 0.0 else '+tWcft_UV_EW_R_4FS[-1]+' )',
                                           0:'( '+tWcft_UV_EW_R_5FS[0]+'  if MB == 0.0 else '+tWcft_UV_EW_R_4FS[0]+'  )'},
                                 texname = '\delta ZR_t^{EW}')

bWcft_UV_EW_R = CTParameter(name = 'bWcft_UV_EW_R',
                                 type = 'complex',
                                 value = {-1:'( '+bWcft_UV_EW_R_5FS[-1]+' if MB == 0.0 else '+bWcft_UV_EW_R_4FS[-1]+' )',
                                           0:'( '+bWcft_UV_EW_R_5FS[0]+'  if MB == 0.0 else '+bWcft_UV_EW_R_4FS[0]+'  )'},
                                 texname = '\delta ZR_b^{EW}')

tWcft_UV_EW_L = CTParameter(name = 'tWcft_UV_EW_L',
                                 type = 'complex',
                                 value = {-1:'( '+tWcft_UV_EW_L_5FS[-1]+' if MB == 0.0 else '+tWcft_UV_EW_L_4FS[-1]+' )',
                                           0:'( '+tWcft_UV_EW_L_5FS[0]+'  if MB == 0.0 else '+tWcft_UV_EW_L_4FS[0]+'  )'},
                                 texname = '\delta ZL_t^{EW}')

bWcft_UV_EW_L = CTParameter(name = 'bWcft_UV_EW_L',
                                 type = 'complex',
                                 value = {-1:'( '+bWcft_UV_EW_L_5FS[-1]+' if MB == 0.0 else '+bWcft_UV_EW_L_4FS[-1]+' )',
                                           0:'( '+bWcft_UV_EW_L_5FS[0]+'  if MB == 0.0 else '+bWcft_UV_EW_L_4FS[0]+'  )'},
                                 texname = '\delta ZL_b^{EW}')




HWcft_UV_EW_5FS = {-1:'(ee**2*epsUV*(MW**2 + 2*cw**2*MW**2 - cw**2*MT**2*Ncol))/(32.*cw**2*MW**2*cmath.pi**2*sw**2)',
                    0:'-(ee**2*(MW**2 + 2*cw**2*MW**2 - cw**2*MT**2*Ncol)*reglog(4*cmath.pi))/(32.*cw**2*MW**2*cmath.pi**2*sw**2) - (ee**2*MT**2*Ncol*recms(CMSParam==1.0 and WH != 0.0,((MH**2 + 2*MT**2)*(MH**2 + regsqrt(MH**2*(MH**2 - 4*MT**2)))*grreglog(LogSwitch,-((MH**2 - regsqrt(MH**4 - 4*MH**2*MT**2))/(MH**2 + regsqrt(MH**4 - 4*MH**2*MT**2))),-((ep*complex(0,1) + re(MH**2) - regsqrt(-4*MH**2*MT**2 + (ep*complex(0,1) + re(MH**2))**2))/(ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**2*MT**2 + (ep*complex(0,1) + re(MH**2))**2)))))/MH**4 - (2*(MH**2 + 2*MT**2)*grreglog(LogSwitch,-(MH**2 + regsqrt(MH**4 - 4*MH**2*MT**2))/(2.*MH**2),(complex(0,0.5)*(ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**2*MT**2 + (ep*complex(0,1) + re(MH**2))**2)))/(ep + complex(0,-1)*re(MH**2))))/MH**2 - ((MH**2 + 2*MT**2)*(-MH**2 + regsqrt(MH**2*(MH**2 - 4*MT**2)))*grreglog(LogSwitch,-((MH**2 + regsqrt(MH**4 - 4*MH**2*MT**2))/(MH**2 - regsqrt(MH**4 - 4*MH**2*MT**2))),-((ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**2*MT**2 + (ep*complex(0,1) + re(MH**2))**2))/(ep*complex(0,1) + re(MH**2) - regsqrt(-4*MH**2*MT**2 + (ep*complex(0,1) + re(MH**2))**2)))))/MH**4 - (2*(MH**2 + 2*MT**2)*grreglog(LogSwitch,-0.5 + regsqrt(MH**4 - 4*MH**2*MT**2)/(2.*MH**2),-1 + (ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**2*MT**2 + (ep*complex(0,1) + re(MH**2))**2))/(2.*(ep*complex(0,1) + re(MH**2)))))/MH**2 - (2*(-MH**2 - 4*MT**2 + MH**2*reglog(cmath.pi) - 2*MH**2*reglog(2*cmath.pi)))/MH**2 - (2*(MH**2 + 2*MT**2)*reglog(MH**2/MU_R**2))/MH**2 - (4*MT**2*reglog(MU_R**2/MT**2))/MH**2))/(64.*MW**2*cmath.pi**2*sw**2) + (7*ee**2*MW**2*recms(CMSParam==1.0 and WH != 0.0,1/MH**2 - (MW**2*(MH**2 + regsqrt(MH**2*(MH**2 - 4*MW**2)))*grreglog(LogSwitch,(-MH**2 + regsqrt(MH**4 - 4*MH**2*MW**2))/(MH**2 + regsqrt(MH**4 - 4*MH**2*MW**2)),(ep*complex(0,-1) - re(MH**2) + regsqrt(-4*MH**2*MW**2 + (ep*complex(0,1) + re(MH**2))**2))/(ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**2*MW**2 + (ep*complex(0,1) + re(MH**2))**2))))/(MH**4*(MH - 2*MW)*(MH + 2*MW)) + (2*MW**2*grreglog(LogSwitch,-(MH**2 + regsqrt(MH**4 - 4*MH**2*MW**2))/(2.*MH**2),(complex(0,0.5)*(ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**2*MW**2 + (ep*complex(0,1) + re(MH**2))**2)))/(ep + complex(0,-1)*re(MH**2))))/(MH**2*(MH - 2*MW)*(MH + 2*MW)) - (MW**2*(MH**2 - regsqrt(MH**2*(MH**2 - 4*MW**2)))*grreglog(LogSwitch,(MH**2 + regsqrt(MH**4 - 4*MH**2*MW**2))/(-MH**2 + regsqrt(MH**4 - 4*MH**2*MW**2)),(ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**2*MW**2 + (ep*complex(0,1) + re(MH**2))**2))/(ep*complex(0,-1) - re(MH**2) + regsqrt(-4*MH**2*MW**2 + (ep*complex(0,1) + re(MH**2))**2))))/(MH**4*(MH - 2*MW)*(MH + 2*MW)) + (2*MW**2*grreglog(LogSwitch,-0.5 + regsqrt(MH**4 - 4*MH**2*MW**2)/(2.*MH**2),-1 + (ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**2*MW**2 + (ep*complex(0,1) + re(MH**2))**2))/(2.*(ep*complex(0,1) + re(MH**2)))))/(MH**2*(MH - 2*MW)*(MH + 2*MW)) + (2*MW**2*reglog(MH**2/MU_R**2))/(MH**2*(MH - 2*MW)*(MH + 2*MW)) + (2*MW**2*reglog(MU_R**2/MW**2))/(MH**2*(MH - 2*MW)*(MH + 2*MW))))/(32.*cmath.pi**2*sw**2) + (ee**2*recms(CMSParam==1.0 and WH != 0.0,((MH - MW)**2*(MH + MW)**2*(MH**2 + regsqrt(MH**2*(MH**2 - 4*MW**2)))*grreglog(LogSwitch,-((MH**2 - regsqrt(MH**4 - 4*MH**2*MW**2))/(MH**2 + regsqrt(MH**4 - 4*MH**2*MW**2))),-((ep*complex(0,1) + re(MH**2) - regsqrt(-4*MH**2*MW**2 + (ep*complex(0,1) + re(MH**2))**2))/(ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**2*MW**2 + (ep*complex(0,1) + re(MH**2))**2)))))/(MH**4*(MH - 2*MW)*(MH + 2*MW)) - (2*(MH - MW)**2*(MH + MW)**2*grreglog(LogSwitch,-(MH**2 + regsqrt(MH**4 - 4*MH**2*MW**2))/(2.*MH**2),(complex(0,0.5)*(ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**2*MW**2 + (ep*complex(0,1) + re(MH**2))**2)))/(ep + complex(0,-1)*re(MH**2))))/(MH**2*(MH - 2*MW)*(MH + 2*MW)) - ((MH - MW)**2*(MH + MW)**2*(-MH**2 + regsqrt(MH**2*(MH**2 - 4*MW**2)))*grreglog(LogSwitch,-((MH**2 + regsqrt(MH**4 - 4*MH**2*MW**2))/(MH**2 - regsqrt(MH**4 - 4*MH**2*MW**2))),-((ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**2*MW**2 + (ep*complex(0,1) + re(MH**2))**2))/(ep*complex(0,1) + re(MH**2) - regsqrt(-4*MH**2*MW**2 + (ep*complex(0,1) + re(MH**2))**2)))))/(MH**4*(MH - 2*MW)*(MH + 2*MW)) - (2*(MH - MW)**2*(MH + MW)**2*grreglog(LogSwitch,-0.5 + regsqrt(MH**4 - 4*MH**2*MW**2)/(2.*MH**2),-1 + (ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**2*MW**2 + (ep*complex(0,1) + re(MH**2))**2))/(2.*(ep*complex(0,1) + re(MH**2)))))/(MH**2*(MH - 2*MW)*(MH + 2*MW)) - (-2*MH**2 + MW**2 + 2*MH**2*reglog(cmath.pi) - 4*MH**2*reglog(2*cmath.pi))/MH**2 - (2*(MH - MW)**2*(MH + MW)**2*reglog(MH**2/MU_R**2))/(MH**2*(MH - 2*MW)*(MH + 2*MW)) - (2*MW**2*(2*MH**2 + MW**2)*reglog(MU_R**2/MW**2))/(MH**2*(MH - 2*MW)*(MH + 2*MW))))/(32.*cmath.pi**2*sw**2) - (ee**2*(-8*MW**2 + cw**2*MZ**2)*recms(CMSParam==1.0 and WH != 0.0,1/MH**2 - (MZ**2*(MH**2 + regsqrt(MH**2*(MH**2 - 4*MZ**2)))*grreglog(LogSwitch,(-MH**2 + regsqrt(MH**4 - 4*MH**2*MZ**2))/(MH**2 + regsqrt(MH**4 - 4*MH**2*MZ**2)),(ep*complex(0,-1) - re(MH**2) + regsqrt(-4*MH**2*MZ**2 + (ep*complex(0,1) + re(MH**2))**2))/(ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**2*MZ**2 + (ep*complex(0,1) + re(MH**2))**2))))/(MH**4*(MH - 2*MZ)*(MH + 2*MZ)) + (2*MZ**2*grreglog(LogSwitch,-(MH**2 + regsqrt(MH**4 - 4*MH**2*MZ**2))/(2.*MH**2),(complex(0,0.5)*(ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**2*MZ**2 + (ep*complex(0,1) + re(MH**2))**2)))/(ep + complex(0,-1)*re(MH**2))))/(MH**2*(MH - 2*MZ)*(MH + 2*MZ)) - (MZ**2*(MH**2 - regsqrt(MH**2*(MH**2 - 4*MZ**2)))*grreglog(LogSwitch,(MH**2 + regsqrt(MH**4 - 4*MH**2*MZ**2))/(-MH**2 + regsqrt(MH**4 - 4*MH**2*MZ**2)),(ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**2*MZ**2 + (ep*complex(0,1) + re(MH**2))**2))/(ep*complex(0,-1) - re(MH**2) + regsqrt(-4*MH**2*MZ**2 + (ep*complex(0,1) + re(MH**2))**2))))/(MH**4*(MH - 2*MZ)*(MH + 2*MZ)) + (2*MZ**2*grreglog(LogSwitch,-0.5 + regsqrt(MH**4 - 4*MH**2*MZ**2)/(2.*MH**2),-1 + (ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**2*MZ**2 + (ep*complex(0,1) + re(MH**2))**2))/(2.*(ep*complex(0,1) + re(MH**2)))))/(MH**2*(MH - 2*MZ)*(MH + 2*MZ)) + (2*MZ**2*reglog(MH**2/MU_R**2))/(MH**2*(MH - 2*MZ)*(MH + 2*MZ)) + (2*MZ**2*reglog(MU_R**2/MZ**2))/(MH**2*(MH - 2*MZ)*(MH + 2*MZ))))/(64.*cw**4*cmath.pi**2*sw**2) + (ee**2*MH**4*recms(CMSParam==1.0 and WH != 0.0,12/MH**2 + (3*(MH**2 + regsqrt(3)*regsqrt(-MH**4))*grreglog(LogSwitch,(-MH**2 + regsqrt(3)*regsqrt(-MH**4))/(MH**2 + regsqrt(3)*regsqrt(-MH**4)),(ep*complex(0,-1) - re(MH**2) + regsqrt(-4*MH**4 + (ep*complex(0,1) + re(MH**2))**2))/(ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**4 + (ep*complex(0,1) + re(MH**2))**2))))/MH**4 - (6*grreglog(LogSwitch,-(MH**2 + regsqrt(3)*regsqrt(-MH**4))/(2.*MH**2),(complex(0,0.5)*(ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**4 + (ep*complex(0,1) + re(MH**2))**2)))/(ep + complex(0,-1)*re(MH**2))))/MH**2 + (3*(MH**6 + regsqrt(3)*regsqrt((-MH**4))**3 - 4*MH**4*MW**2 + 4*regsqrt(3)*MH**2*regsqrt(-MH**4)*MW**2 - 4*MH**4*MZ**2 + 4*regsqrt(3)*MH**2*regsqrt(-MH**4)*MZ**2 + 16*MH**2*MW**2*MZ**2 - 16*regsqrt(3)*regsqrt(-MH**4)*MW**2*MZ**2)*grreglog(LogSwitch,(MH**2 + regsqrt(3)*regsqrt(-MH**4))/(-MH**2 + regsqrt(3)*regsqrt(-MH**4)),(ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**4 + (ep*complex(0,1) + re(MH**2))**2))/(ep*complex(0,-1) - re(MH**2) + regsqrt(-4*MH**4 + (ep*complex(0,1) + re(MH**2))**2))))/(MH**4*(MH - 2*MW)*(MH + 2*MW)*(MH - 2*MZ)*(MH + 2*MZ)) - (6*grreglog(LogSwitch,(-1 + (regsqrt(3)*regsqrt(-MH**4))/MH**2)/2.,-1 + (ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**4 + (ep*complex(0,1) + re(MH**2))**2))/(2.*(ep*complex(0,1) + re(MH**2)))))/MH**2 - (2*MW**2*(MH**2 + regsqrt(MH**2*(MH**2 - 4*MW**2)))*grreglog(LogSwitch,(-MH**2 + regsqrt(MH**4 - 4*MH**2*MW**2))/(MH**2 + regsqrt(MH**4 - 4*MH**2*MW**2)),(ep*complex(0,-1) - re(MH**2) + regsqrt(-4*MH**2*MW**2 + (ep*complex(0,1) + re(MH**2))**2))/(ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**2*MW**2 + (ep*complex(0,1) + re(MH**2))**2))))/(MH**4*(MH - 2*MW)*(MH + 2*MW)) + (4*MW**2*grreglog(LogSwitch,-(MH**2 + regsqrt(MH**4 - 4*MH**2*MW**2))/(2.*MH**2),(complex(0,0.5)*(ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**2*MW**2 + (ep*complex(0,1) + re(MH**2))**2)))/(ep + complex(0,-1)*re(MH**2))))/(MH**2*(MH - 2*MW)*(MH + 2*MW)) - (2*MW**2*(MH**2 - regsqrt(MH**2*(MH**2 - 4*MW**2)))*grreglog(LogSwitch,(MH**2 + regsqrt(MH**4 - 4*MH**2*MW**2))/(-MH**2 + regsqrt(MH**4 - 4*MH**2*MW**2)),(ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**2*MW**2 + (ep*complex(0,1) + re(MH**2))**2))/(ep*complex(0,-1) - re(MH**2) + regsqrt(-4*MH**2*MW**2 + (ep*complex(0,1) + re(MH**2))**2))))/(MH**4*(MH - 2*MW)*(MH + 2*MW)) + (4*MW**2*grreglog(LogSwitch,-0.5 + regsqrt(MH**4 - 4*MH**2*MW**2)/(2.*MH**2),-1 + (ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**2*MW**2 + (ep*complex(0,1) + re(MH**2))**2))/(2.*(ep*complex(0,1) + re(MH**2)))))/(MH**2*(MH - 2*MW)*(MH + 2*MW)) - (MZ**2*(MH**2 + regsqrt(MH**2*(MH**2 - 4*MZ**2)))*grreglog(LogSwitch,(-MH**2 + regsqrt(MH**4 - 4*MH**2*MZ**2))/(MH**2 + regsqrt(MH**4 - 4*MH**2*MZ**2)),(ep*complex(0,-1) - re(MH**2) + regsqrt(-4*MH**2*MZ**2 + (ep*complex(0,1) + re(MH**2))**2))/(ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**2*MZ**2 + (ep*complex(0,1) + re(MH**2))**2))))/(MH**4*(MH - 2*MZ)*(MH + 2*MZ)) + (2*MZ**2*grreglog(LogSwitch,-(MH**2 + regsqrt(MH**4 - 4*MH**2*MZ**2))/(2.*MH**2),(complex(0,0.5)*(ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**2*MZ**2 + (ep*complex(0,1) + re(MH**2))**2)))/(ep + complex(0,-1)*re(MH**2))))/(MH**2*(MH - 2*MZ)*(MH + 2*MZ)) - (MZ**2*(MH**2 - regsqrt(MH**2*(MH**2 - 4*MZ**2)))*grreglog(LogSwitch,(MH**2 + regsqrt(MH**4 - 4*MH**2*MZ**2))/(-MH**2 + regsqrt(MH**4 - 4*MH**2*MZ**2)),(ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**2*MZ**2 + (ep*complex(0,1) + re(MH**2))**2))/(ep*complex(0,-1) - re(MH**2) + regsqrt(-4*MH**2*MZ**2 + (ep*complex(0,1) + re(MH**2))**2))))/(MH**4*(MH - 2*MZ)*(MH + 2*MZ)) + (2*MZ**2*grreglog(LogSwitch,-0.5 + regsqrt(MH**4 - 4*MH**2*MZ**2)/(2.*MH**2),-1 + (ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**2*MZ**2 + (ep*complex(0,1) + re(MH**2))**2))/(2.*(ep*complex(0,1) + re(MH**2)))))/(MH**2*(MH - 2*MZ)*(MH + 2*MZ)) - (2*(3*MH**4 - 14*MH**2*MW**2 - 13*MH**2*MZ**2 + 60*MW**2*MZ**2)*reglog(MH**2/MU_R**2))/(MH**2*(MH - 2*MW)*(MH + 2*MW)*(MH - 2*MZ)*(MH + 2*MZ)) - (6*reglog(MU_R**2/MH**2))/MH**2 + (4*MW**2*reglog(MU_R**2/MW**2))/(MH**2*(MH - 2*MW)*(MH + 2*MW)) + (2*MZ**2*reglog(MU_R**2/MZ**2))/(MH**2*(MH - 2*MZ)*(MH + 2*MZ))))/(128.*MW**2*cmath.pi**2*sw**2) + (ee**2*recms(CMSParam==1.0 and WH != 0.0,((MH - MZ)**2*(MH + MZ)**2*(MH**2 + regsqrt(MH**2*(MH**2 - 4*MZ**2)))*grreglog(LogSwitch,-((MH**2 - regsqrt(MH**4 - 4*MH**2*MZ**2))/(MH**2 + regsqrt(MH**4 - 4*MH**2*MZ**2))),-((ep*complex(0,1) + re(MH**2) - regsqrt(-4*MH**2*MZ**2 + (ep*complex(0,1) + re(MH**2))**2))/(ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**2*MZ**2 + (ep*complex(0,1) + re(MH**2))**2)))))/(MH**4*(MH - 2*MZ)*(MH + 2*MZ)) - (2*(MH - MZ)**2*(MH + MZ)**2*grreglog(LogSwitch,-(MH**2 + regsqrt(MH**4 - 4*MH**2*MZ**2))/(2.*MH**2),(complex(0,0.5)*(ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**2*MZ**2 + (ep*complex(0,1) + re(MH**2))**2)))/(ep + complex(0,-1)*re(MH**2))))/(MH**2*(MH - 2*MZ)*(MH + 2*MZ)) - ((MH - MZ)**2*(MH + MZ)**2*(-MH**2 + regsqrt(MH**2*(MH**2 - 4*MZ**2)))*grreglog(LogSwitch,-((MH**2 + regsqrt(MH**4 - 4*MH**2*MZ**2))/(MH**2 - regsqrt(MH**4 - 4*MH**2*MZ**2))),-((ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**2*MZ**2 + (ep*complex(0,1) + re(MH**2))**2))/(ep*complex(0,1) + re(MH**2) - regsqrt(-4*MH**2*MZ**2 + (ep*complex(0,1) + re(MH**2))**2)))))/(MH**4*(MH - 2*MZ)*(MH + 2*MZ)) - (2*(MH - MZ)**2*(MH + MZ)**2*grreglog(LogSwitch,-0.5 + regsqrt(MH**4 - 4*MH**2*MZ**2)/(2.*MH**2),-1 + (ep*complex(0,1) + re(MH**2) + regsqrt(-4*MH**2*MZ**2 + (ep*complex(0,1) + re(MH**2))**2))/(2.*(ep*complex(0,1) + re(MH**2)))))/(MH**2*(MH - 2*MZ)*(MH + 2*MZ)) - (-2*MH**2 + MZ**2 + 2*MH**2*reglog(cmath.pi) - 4*MH**2*reglog(2*cmath.pi))/MH**2 - (2*(MH - MZ)**2*(MH + MZ)**2*reglog(MH**2/MU_R**2))/(MH**2*(MH - 2*MZ)*(MH + 2*MZ)) - (2*MZ**2*(2*MH**2 + MZ**2)*reglog(MU_R**2/MZ**2))/(MH**2*(MH - 2*MZ)*(MH + 2*MZ))))/(64.*cw**2*cmath.pi**2*sw**2)'}

G0Wcft_UV_EW_5FS = {-1:'(ee**2*epsUV*((1 + 2*cw**2)*MW**2 - cw**2*MT**2*Ncol))/(32.*cw**2*MW**2*cmath.pi**2*sw**2)',
                     0:'-(ee**2*((1 + 2*cw**2)*MW**2 - cw**2*MT**2*Ncol)*reglog(4*cmath.pi))/(32.*cw**2*MW**2*cmath.pi**2*sw**2) + (ee**2*(-2*cw**2*MT**2*Ncol*recms(CMSParam==1.0 and WZ != 0.0,-(((-2*MT**2 + MZ**2)*(MZ**2 + regsqrt(MZ**2*(-4*MT**2 + MZ**2)))*grreglog(LogSwitch,-((MZ**2 - regsqrt(-4*MT**2*MZ**2 + MZ**4))/(MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4))),-((ep*complex(0,1) + re(MZ**2) - regsqrt(-4*MT**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MT**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2)))))/((2*MT - MZ)*MZ**2*(2*MT + MZ))) - (2*(2*MT**2 - MZ**2)*grreglog(LogSwitch,-(MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4))/(2.*MZ**2),(complex(0,0.5)*(ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MT**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2)))/(ep + complex(0,-1)*re(MZ**2))))/((2*MT - MZ)*(2*MT + MZ)) + ((-2*MT**2 + MZ**2)*(-MZ**2 + regsqrt(MZ**2*(-4*MT**2 + MZ**2)))*grreglog(LogSwitch,-((MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4))/(MZ**2 - regsqrt(-4*MT**2*MZ**2 + MZ**4))),-((ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MT**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(ep*complex(0,1) + re(MZ**2) - regsqrt(-4*MT**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2)))))/((2*MT - MZ)*MZ**2*(2*MT + MZ)) - (2*(2*MT**2 - MZ**2)*grreglog(LogSwitch,-0.5 + regsqrt(-4*MT**2*MZ**2 + MZ**4)/(2.*MZ**2),-1 + (ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MT**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(2.*(ep*complex(0,1) + re(MZ**2)))))/((2*MT - MZ)*(2*MT + MZ)) - 2*(-1 + reglog(cmath.pi) - 2*reglog(2*cmath.pi)) - (2*(2*MT**2 - MZ**2)*reglog(MZ**2/MU_R**2))/((2*MT - MZ)*(2*MT + MZ)) + (4*MT**2*reglog(MU_R**2/MT**2))/((2*MT - MZ)*(2*MT + MZ))) + 4*cw**2*MW**4*recms(CMSParam==1.0 and WZ != 0.0,1/MZ**2 + (MW**2*(MZ**2 + regsqrt(MZ**2*(-4*MW**2 + MZ**2)))*grreglog(LogSwitch,(-MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))/(MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4)),(ep*complex(0,-1) - re(MZ**2) + regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))))/((2*MW - MZ)*MZ**4*(2*MW + MZ)) - (2*MW**2*grreglog(LogSwitch,-(MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))/(2.*MZ**2),(complex(0,0.5)*(ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2)))/(ep + complex(0,-1)*re(MZ**2))))/((2*MW - MZ)*MZ**2*(2*MW + MZ)) + (MW**2*(MZ**2 - regsqrt(MZ**2*(-4*MW**2 + MZ**2)))*grreglog(LogSwitch,(MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))/(-MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4)),(ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(ep*complex(0,-1) - re(MZ**2) + regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))))/((2*MW - MZ)*MZ**4*(2*MW + MZ)) - (2*MW**2*grreglog(LogSwitch,-0.5 + regsqrt(-4*MW**2*MZ**2 + MZ**4)/(2.*MZ**2),-1 + (ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(2.*(ep*complex(0,1) + re(MZ**2)))))/((2*MW - MZ)*MZ**2*(2*MW + MZ)) - (2*MW**2*reglog(MZ**2/MU_R**2))/((2*MW - MZ)*MZ**2*(2*MW + MZ)) - (2*MW**2*reglog(MU_R**2/MW**2))/((2*MW - MZ)*MZ**2*(2*MW + MZ))) - 4*cw**2*MW**2*recms(CMSParam==1.0 and WZ != 0.0,((MW - MZ)**2*(MW + MZ)**2*(MZ**2 + regsqrt(MZ**2*(-4*MW**2 + MZ**2)))*grreglog(LogSwitch,-((MZ**2 - regsqrt(-4*MW**2*MZ**2 + MZ**4))/(MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))),-((ep*complex(0,1) + re(MZ**2) - regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2)))))/((2*MW - MZ)*MZ**4*(2*MW + MZ)) - (2*(MW - MZ)**2*(MW + MZ)**2*grreglog(LogSwitch,-(MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))/(2.*MZ**2),(complex(0,0.5)*(ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2)))/(ep + complex(0,-1)*re(MZ**2))))/((2*MW - MZ)*MZ**2*(2*MW + MZ)) - ((MW - MZ)**2*(MW + MZ)**2*(-MZ**2 + regsqrt(MZ**2*(-4*MW**2 + MZ**2)))*grreglog(LogSwitch,-((MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))/(MZ**2 - regsqrt(-4*MW**2*MZ**2 + MZ**4))),-((ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(ep*complex(0,1) + re(MZ**2) - regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2)))))/((2*MW - MZ)*MZ**4*(2*MW + MZ)) - (2*(MW - MZ)**2*(MW + MZ)**2*grreglog(LogSwitch,-0.5 + regsqrt(-4*MW**2*MZ**2 + MZ**4)/(2.*MZ**2),-1 + (ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(2.*(ep*complex(0,1) + re(MZ**2)))))/((2*MW - MZ)*MZ**2*(2*MW + MZ)) + (MW**2 - 2*MZ**2 + 2*MZ**2*reglog(cmath.pi) - 4*MZ**2*reglog(2*cmath.pi))/MZ**2 - (2*(MW - MZ)**2*(MW + MZ)**2*reglog(MZ**2/MU_R**2))/((2*MW - MZ)*MZ**2*(2*MW + MZ)) - (2*MW**2*(MW**2 + 2*MZ**2)*reglog(MU_R**2/MW**2))/((2*MW - MZ)*MZ**2*(2*MW + MZ))) - cw**2*MH**4*recms(CMSParam==1.0 and WZ != 0.0,-2/MZ**2 - ((MH**2 - 3*MZ**2)*(MH**2 + regsqrt(MH**2*(MH**2 - 4*MZ**2)))*grreglog(LogSwitch,(MH**2 - 2*MZ**2 + regsqrt(MH**4 - 4*MH**2*MZ**2))/(MH**2 + regsqrt(MH**4 - 4*MH**2*MZ**2)),(MH**2 - MZ**2 + ep*complex(0,-1) - re(MZ**2) + regsqrt(-4*MH**2*MZ**2 + (MH**2 - MZ**2 + ep*complex(0,1) + re(MZ**2))**2))/(MH**2 - MZ**2 + ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MH**2*MZ**2 + (MH**2 - MZ**2 + ep*complex(0,1) + re(MZ**2))**2))))/((MH - 2*MZ)*MZ**4*(MH + 2*MZ)) + ((MH**2 - 3*MZ**2)*(-MH**2 + regsqrt(MH**2*(MH**2 - 4*MZ**2)))*grreglog(LogSwitch,(-MH**2 + 2*MZ**2 + regsqrt(MH**4 - 4*MH**2*MZ**2))/(-MH**2 + regsqrt(MH**4 - 4*MH**2*MZ**2)),(-MH**2 + MZ**2 + ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MH**2*MZ**2 + (MH**2 - MZ**2 + ep*complex(0,1) + re(MZ**2))**2))/(-MH**2 + MZ**2 + ep*complex(0,-1) - re(MZ**2) + regsqrt(-4*MH**2*MZ**2 + (MH**2 - MZ**2 + ep*complex(0,1) + re(MZ**2))**2))))/((MH - 2*MZ)*MZ**4*(MH + 2*MZ)) + (2*(-MH**2 + 3*MZ**2)*grreglog(LogSwitch,-1 + (MH**2 - regsqrt(MH**4 - 4*MH**2*MZ**2))/(2.*MZ**2),(complex(0,0.5)*(-MH**2 + MZ**2 + ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MH**2*MZ**2 + (MH**2 - MZ**2 + ep*complex(0,1) + re(MZ**2))**2)))/(ep + complex(0,-1)*re(MZ**2))))/(MZ**2*(-MH + 2*MZ)*(MH + 2*MZ)) + (2*(-MH**2 + 3*MZ**2)*grreglog(LogSwitch,-1 + (MH**2 + regsqrt(MH**4 - 4*MH**2*MZ**2))/(2.*MZ**2),-1 + (MH**2 - MZ**2 + ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MH**2*MZ**2 + (MH**2 - MZ**2 + ep*complex(0,1) + re(MZ**2))**2))/(2.*(ep*complex(0,1) + re(MZ**2)))))/(MZ**2*(-MH + 2*MZ)*(MH + 2*MZ)) + (2*(MH**2 - 3*MZ**2)*reglog(MZ**2/MU_R**2))/((MH - 2*MZ)*MZ**2*(MH + 2*MZ)) + (2*(MH**2 - 2*MZ**2)*reglog(MU_R**2/MH**2))/((MH - 2*MZ)*MZ**2*(MH + 2*MZ)) - (2*reglog(MU_R**2/MZ**2))/((MH - 2*MZ)*(MH + 2*MZ))) - MW**2*recms(CMSParam==1.0 and WZ != 0.0,-(((MH - MZ)*(MH + MZ)*(2*MH**2 - 5*MZ**2)*(-MH**2 + regsqrt(MH**2*(MH**2 - 4*MZ**2)))*grreglog(LogSwitch,(MH**2 - 2*MZ**2 - regsqrt(MH**4 - 4*MH**2*MZ**2))/(MH**2 - regsqrt(MH**4 - 4*MH**2*MZ**2)),-((-MH**2 + MZ**2 + ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MH**2*MZ**2 + (MH**2 - MZ**2 + ep*complex(0,1) + re(MZ**2))**2))/(MH**2 - MZ**2 + ep*complex(0,1) + re(MZ**2) - regsqrt(-4*MH**2*MZ**2 + (MH**2 - MZ**2 + ep*complex(0,1) + re(MZ**2))**2)))))/((MH - 2*MZ)*MZ**4*(MH + 2*MZ))) + ((MH - MZ)*(MH + MZ)*(2*MH**2 - 5*MZ**2)*(MH**2 + regsqrt(MH**2*(MH**2 - 4*MZ**2)))*grreglog(LogSwitch,(MH**2 - 2*MZ**2 + regsqrt(MH**4 - 4*MH**2*MZ**2))/(MH**2 + regsqrt(MH**4 - 4*MH**2*MZ**2)),-((-MH**2 + MZ**2 + ep*complex(0,1) + re(MZ**2) - regsqrt(-4*MH**2*MZ**2 + (MH**2 - MZ**2 + ep*complex(0,1) + re(MZ**2))**2))/(MH**2 - MZ**2 + ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MH**2*MZ**2 + (MH**2 - MZ**2 + ep*complex(0,1) + re(MZ**2))**2)))))/((MH - 2*MZ)*MZ**4*(MH + 2*MZ)) - (2*(MH - MZ)*(MH + MZ)*(2*MH**2 - 5*MZ**2)*grreglog(LogSwitch,-1 + (MH**2 - regsqrt(MH**4 - 4*MH**2*MZ**2))/(2.*MZ**2),(complex(0,0.5)*(-MH**2 + MZ**2 + ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MH**2*MZ**2 + (MH**2 - MZ**2 + ep*complex(0,1) + re(MZ**2))**2)))/(ep + complex(0,-1)*re(MZ**2))))/((MH - 2*MZ)*MZ**2*(MH + 2*MZ)) - (2*(MH - MZ)*(MH + MZ)*(2*MH**2 - 5*MZ**2)*grreglog(LogSwitch,-1 + (MH**2 + regsqrt(MH**4 - 4*MH**2*MZ**2))/(2.*MZ**2),-1 + (MH**2 - MZ**2 + ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MH**2*MZ**2 + (MH**2 - MZ**2 + ep*complex(0,1) + re(MZ**2))**2))/(2.*(ep*complex(0,1) + re(MZ**2)))))/((MH - 2*MZ)*MZ**2*(MH + 2*MZ)) + (2*(2*MH**4 - 11*MH**2*MZ**2 + 12*MZ**4 - MH**2*MZ**2*reglog(16) + MZ**4*reglog(65536) - 2*MH**2*MZ**2*reglog(cmath.pi) + 8*MZ**4*reglog(cmath.pi)))/((MH - 2*MZ)*MZ**2*(MH + 2*MZ)) - (2*(MH - MZ)*(MH + MZ)*(2*MH**2 - 5*MZ**2)*reglog(MZ**2/MU_R**2))/((MH - 2*MZ)*MZ**2*(MH + 2*MZ)) - (2*(MH**2 - 2*MZ**2)*(2*MH**2 + MZ**2)*reglog(MU_R**2/MH**2))/((MH - 2*MZ)*MZ**2*(MH + 2*MZ)) + (2*(2*MH**2 + MZ**2)*reglog(MU_R**2/MZ**2))/((MH - 2*MZ)*(MH + 2*MZ)))))/(128.*cw**2*MW**2*cmath.pi**2*sw**2)'}


GpWcft_UV_EW_5FS = {-1:'(ee**2*(cw**4*epsUV - 4*cw**2*epsIR*sw**2 + 2*cw**2*epsUV*sw**2 + epsUV*sw**4 + 4*cw**2*epsIR*MW**2*sw**2*recms(CMSParam==1.0 and WW != 0.0,1/MW**2) - cw**2*epsUV*recms(CMSParam==1.0 and WW != 0.0,-2 + (MT**2*Ncol)/MW**2)))/(32.*cw**2*cmath.pi**2*sw**2)',
                     0:'-(ee**2*reglog(4*cmath.pi)*(cw**4 - 2*cw**2*sw**2 + sw**4 + 4*cw**2*MW**2*sw**2*recms(CMSParam==1.0 and WW != 0.0,1/MW**2) - cw**2*recms(CMSParam==1.0 and WW != 0.0,-((2*MW**2 - MT**2*Ncol)/MW**2))))/(32.*cw**2*cmath.pi**2*sw**2) + (ee**2*MW**2*recms(CMSParam==1.0 and WW != 0.0,(3 + reglog(16) + 2*reglog(cmath.pi))/MW**2 + (2*reglog(MU_R**2/MW**2))/MW**2))/(16.*cmath.pi**2) + (ee**2*MH**4*recms(CMSParam==1.0 and WW != 0.0,2/MW**2 + ((MH**2 - 3*MW**2)*(MH**2 + regsqrt(MH**2*(MH**2 - 4*MW**2)))*grreglog(LogSwitch,(MH**2 - 2*MW**2 + regsqrt(MH**4 - 4*MH**2*MW**2))/(MH**2 + regsqrt(MH**4 - 4*MH**2*MW**2)),(MH**2 - MW**2 + ep*complex(0,-1) - re(MW**2) + regsqrt(-4*MH**2*MW**2 + (MH**2 - MW**2 + ep*complex(0,1) + re(MW**2))**2))/(MH**2 - MW**2 + ep*complex(0,1) + re(MW**2) + regsqrt(-4*MH**2*MW**2 + (MH**2 - MW**2 + ep*complex(0,1) + re(MW**2))**2))))/((MH - 2*MW)*MW**4*(MH + 2*MW)) - ((MH**2 - 3*MW**2)*(-MH**2 + regsqrt(MH**2*(MH**2 - 4*MW**2)))*grreglog(LogSwitch,(-MH**2 + 2*MW**2 + regsqrt(MH**4 - 4*MH**2*MW**2))/(-MH**2 + regsqrt(MH**4 - 4*MH**2*MW**2)),(-MH**2 + MW**2 + ep*complex(0,1) + re(MW**2) + regsqrt(-4*MH**2*MW**2 + (MH**2 - MW**2 + ep*complex(0,1) + re(MW**2))**2))/(-MH**2 + MW**2 + ep*complex(0,-1) - re(MW**2) + regsqrt(-4*MH**2*MW**2 + (MH**2 - MW**2 + ep*complex(0,1) + re(MW**2))**2))))/((MH - 2*MW)*MW**4*(MH + 2*MW)) - (2*(-MH**2 + 3*MW**2)*grreglog(LogSwitch,-1 + (MH**2 - regsqrt(MH**4 - 4*MH**2*MW**2))/(2.*MW**2),(complex(0,0.5)*(-MH**2 + MW**2 + ep*complex(0,1) + re(MW**2) + regsqrt(-4*MH**2*MW**2 + (MH**2 - MW**2 + ep*complex(0,1) + re(MW**2))**2)))/(ep + complex(0,-1)*re(MW**2))))/(MW**2*(-MH + 2*MW)*(MH + 2*MW)) - (2*(-MH**2 + 3*MW**2)*grreglog(LogSwitch,-1 + (MH**2 + regsqrt(MH**4 - 4*MH**2*MW**2))/(2.*MW**2),-1 + (MH**2 - MW**2 + ep*complex(0,1) + re(MW**2) + regsqrt(-4*MH**2*MW**2 + (MH**2 - MW**2 + ep*complex(0,1) + re(MW**2))**2))/(2.*(ep*complex(0,1) + re(MW**2)))))/(MW**2*(-MH + 2*MW)*(MH + 2*MW)) - (2*(MH**2 - 3*MW**2)*reglog(MW**2/MU_R**2))/((MH - 2*MW)*MW**2*(MH + 2*MW)) - (2*(MH**2 - 2*MW**2)*reglog(MU_R**2/MH**2))/((MH - 2*MW)*MW**2*(MH + 2*MW)) + (2*reglog(MU_R**2/MW**2))/((MH - 2*MW)*(MH + 2*MW))))/(128.*MW**2*cmath.pi**2*sw**2) + (ee**2*(cw - sw)**2*(cw + sw)**2*recms(CMSParam==1.0 and WW != 0.0,(2*(MW - MZ)*(MW + MZ)*grreglog(LogSwitch,-(MZ**2 - regsqrt(-4*MW**2*MZ**2 + MZ**4))/(2.*MW**2),-1 + (MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2) + regsqrt(-4*MW**4 + (MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2))**2))/(2.*(ep*complex(0,1) + re(MW**2)))))/MW**2 + ((-MW + MZ)*(MW + MZ)*(2*MW**2 - MZ**2 + regsqrt(-(MZ**2*(4*MW**2 - MZ**2))))*grreglog(LogSwitch,-((MZ**2 - regsqrt(-4*MW**2*MZ**2 + MZ**4))/(2*MW**2 - MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))),-((-MW**2 + MZ**2 + ep*complex(0,1) + re(MW**2) - regsqrt(-4*MW**4 + (MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2))**2))/(MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2) + regsqrt(-4*MW**4 + (MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2))**2)))))/MW**4 + (2*(MW - MZ)*(MW + MZ)*grreglog(LogSwitch,-(MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))/(2.*MW**2),(complex(0,0.5)*(-MW**2 + MZ**2 + ep*complex(0,1) + re(MW**2) + regsqrt(-4*MW**4 + (MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2))**2)))/(ep + complex(0,-1)*re(MW**2))))/MW**2 - ((-MW + MZ)*(MW + MZ)*(-2*MW**2 + MZ**2 + regsqrt(-(MZ**2*(4*MW**2 - MZ**2))))*grreglog(LogSwitch,-((MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))/(2*MW**2 - MZ**2 - regsqrt(-4*MW**2*MZ**2 + MZ**4))),-((-MW**2 + MZ**2 + ep*complex(0,1) + re(MW**2) + regsqrt(-4*MW**4 + (MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2))**2))/(MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2) - regsqrt(-4*MW**4 + (MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2))**2)))))/MW**4 - (2*(-MZ**2 + 2*MW**2*reglog(cmath.pi) - 4*MW**2*reglog(2*cmath.pi)))/MW**2 + (2*(MW - MZ)*(MW + MZ)*reglog(MW**2/MU_R**2))/MW**2 + 2*reglog(MU_R**2/MW**2) + (2*(2*MW**2 - MZ**2)*reglog(MU_R**2/MZ**2))/MW**2))/(128.*cw**2*cmath.pi**2*sw**2) + (ee**2*MW*(cw**3*MZ - cw*MZ*sw**2 + 8*MW*sw**4)*recms(CMSParam==1.0 and WW != 0.0,2/MW**2 - (2*(3*MW**2 - MZ**2)*grreglog(LogSwitch,(-MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))/(2.*MW**2),-1 + (MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2) + regsqrt(-4*MW**4 + (MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2))**2))/(2.*(ep*complex(0,1) + re(MW**2)))))/(MW**2*(2*MW - MZ)*(2*MW + MZ)) + ((3*MW**2 - MZ**2)*(2*MW**2 - MZ**2 + regsqrt(-(MZ**2*(4*MW**2 - MZ**2))))*grreglog(LogSwitch,(-MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))/(2*MW**2 - MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4)),(MW**2 - MZ**2 + ep*complex(0,-1) - re(MW**2) + regsqrt(-4*MW**4 + (MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2))**2))/(MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2) + regsqrt(-4*MW**4 + (MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2))**2))))/(MW**4*(2*MW - MZ)*(2*MW + MZ)) - (2*(3*MW**2 - MZ**2)*grreglog(LogSwitch,-(MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))/(2.*MW**2),(complex(0,0.5)*(-MW**2 + MZ**2 + ep*complex(0,1) + re(MW**2) + regsqrt(-4*MW**4 + (MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2))**2)))/(ep + complex(0,-1)*re(MW**2))))/(MW**2*(2*MW - MZ)*(2*MW + MZ)) + ((3*MW**2 - MZ**2)*(2*MW**2 - MZ**2 - regsqrt(-(MZ**2*(4*MW**2 - MZ**2))))*grreglog(LogSwitch,(MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))/(-2*MW**2 + MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4)),(-MW**2 + MZ**2 + ep*complex(0,1) + re(MW**2) + regsqrt(-4*MW**4 + (MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2))**2))/(-MW**2 + MZ**2 + ep*complex(0,-1) - re(MW**2) + regsqrt(-4*MW**4 + (MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2))**2))))/(MW**4*(2*MW - MZ)*(2*MW + MZ)) - (2*(3*MW**2 - MZ**2)*reglog(MW**2/MU_R**2))/(MW**2*(2*MW - MZ)*(2*MW + MZ)) - (2*reglog(MU_R**2/MW**2))/((2*MW - MZ)*(2*MW + MZ)) - (2*(2*MW**2 - MZ**2)*reglog(MU_R**2/MZ**2))/(MW**2*(2*MW - MZ)*(2*MW + MZ))))/(64.*cw**2*cmath.pi**2*sw**2) - (ee**2*recms(CMSParam==1.0 and WW != 0.0,(4*MT**2*(MT - MW)*(MT + MW)*(MT**2 + MW**2)*Ncol*grreglog(LogSwitch,1 - MW**2/MT**2,-((-MT**2 + ep*complex(0,1) + re(MW**2))/MT**2)))/MW**6 - ((MH - MW)*(MH + MW)*(2*MH**2 - 5*MW**2)*(-MH**2 + regsqrt(MH**2*(MH**2 - 4*MW**2)))*grreglog(LogSwitch,(MH**2 - 2*MW**2 - regsqrt(MH**4 - 4*MH**2*MW**2))/(MH**2 - regsqrt(MH**4 - 4*MH**2*MW**2)),-((-MH**2 + MW**2 + ep*complex(0,1) + re(MW**2) + regsqrt(-4*MH**2*MW**2 + (MH**2 - MW**2 + ep*complex(0,1) + re(MW**2))**2))/(MH**2 - MW**2 + ep*complex(0,1) + re(MW**2) - regsqrt(-4*MH**2*MW**2 + (MH**2 - MW**2 + ep*complex(0,1) + re(MW**2))**2)))))/((MH - 2*MW)*MW**4*(MH + 2*MW)) + ((MH - MW)*(MH + MW)*(2*MH**2 - 5*MW**2)*(MH**2 + regsqrt(MH**2*(MH**2 - 4*MW**2)))*grreglog(LogSwitch,(MH**2 - 2*MW**2 + regsqrt(MH**4 - 4*MH**2*MW**2))/(MH**2 + regsqrt(MH**4 - 4*MH**2*MW**2)),-((-MH**2 + MW**2 + ep*complex(0,1) + re(MW**2) - regsqrt(-4*MH**2*MW**2 + (MH**2 - MW**2 + ep*complex(0,1) + re(MW**2))**2))/(MH**2 - MW**2 + ep*complex(0,1) + re(MW**2) + regsqrt(-4*MH**2*MW**2 + (MH**2 - MW**2 + ep*complex(0,1) + re(MW**2))**2)))))/((MH - 2*MW)*MW**4*(MH + 2*MW)) - (2*(MH - MW)*(MH + MW)*(2*MH**2 - 5*MW**2)*grreglog(LogSwitch,-1 + (MH**2 - regsqrt(MH**4 - 4*MH**2*MW**2))/(2.*MW**2),(complex(0,0.5)*(-MH**2 + MW**2 + ep*complex(0,1) + re(MW**2) + regsqrt(-4*MH**2*MW**2 + (MH**2 - MW**2 + ep*complex(0,1) + re(MW**2))**2)))/(ep + complex(0,-1)*re(MW**2))))/((MH - 2*MW)*MW**2*(MH + 2*MW)) - (2*(MH - MW)*(MH + MW)*(2*MH**2 - 5*MW**2)*grreglog(LogSwitch,-1 + (MH**2 + regsqrt(MH**4 - 4*MH**2*MW**2))/(2.*MW**2),-1 + (MH**2 - MW**2 + ep*complex(0,1) + re(MW**2) + regsqrt(-4*MH**2*MW**2 + (MH**2 - MW**2 + ep*complex(0,1) + re(MW**2))**2))/(2.*(ep*complex(0,1) + re(MW**2)))))/((MH - 2*MW)*MW**2*(MH + 2*MW)) + (2*(MW - MZ)*(MW + MZ)*(5*MW**2 - 2*MZ**2)*grreglog(LogSwitch,-(MZ**2 - regsqrt(-4*MW**2*MZ**2 + MZ**4))/(2.*MW**2),-1 + (MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2) + regsqrt(-4*MW**4 + (MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2))**2))/(2.*(ep*complex(0,1) + re(MW**2)))))/(MW**2*(2*MW - MZ)*(2*MW + MZ)) - ((-MW + MZ)*(MW + MZ)*(-5*MW**2 + 2*MZ**2)*(2*MW**2 - MZ**2 + regsqrt(-(MZ**2*(4*MW**2 - MZ**2))))*grreglog(LogSwitch,-((MZ**2 - regsqrt(-4*MW**2*MZ**2 + MZ**4))/(2*MW**2 - MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))),-((-MW**2 + MZ**2 + ep*complex(0,1) + re(MW**2) - regsqrt(-4*MW**4 + (MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2))**2))/(MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2) + regsqrt(-4*MW**4 + (MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2))**2)))))/(MW**4*(2*MW - MZ)*(2*MW + MZ)) + (2*(MW - MZ)*(MW + MZ)*(5*MW**2 - 2*MZ**2)*grreglog(LogSwitch,-(MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))/(2.*MW**2),(complex(0,0.5)*(-MW**2 + MZ**2 + ep*complex(0,1) + re(MW**2) + regsqrt(-4*MW**4 + (MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2))**2)))/(ep + complex(0,-1)*re(MW**2))))/(MW**2*(2*MW - MZ)*(2*MW + MZ)) + ((-MW + MZ)*(MW + MZ)*(-5*MW**2 + 2*MZ**2)*(-2*MW**2 + MZ**2 + regsqrt(-(MZ**2*(4*MW**2 - MZ**2))))*grreglog(LogSwitch,-((MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))/(2*MW**2 - MZ**2 - regsqrt(-4*MW**2*MZ**2 + MZ**4))),-((-MW**2 + MZ**2 + ep*complex(0,1) + re(MW**2) + regsqrt(-4*MW**4 + (MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2))**2))/(MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2) - regsqrt(-4*MW**4 + (MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2))**2)))))/(MW**4*(2*MW - MZ)*(2*MW + MZ)) + (4*(MH**2*MW**2 - 3*MW**4 + MW**2*MZ**2 + MT**4*Ncol + MT**2*MW**2*Ncol + 2*MW**4*reglog(cmath.pi) - MT**2*MW**2*Ncol*reglog(cmath.pi) - 4*MW**4*reglog(2*cmath.pi) + 2*MT**2*MW**2*Ncol*reglog(2*cmath.pi)))/MW**4 - (2*(8*MH**4*MW**2 - 33*MH**2*MW**4 + 40*MW**6 - 2*MH**4*MZ**2 + 14*MH**2*MW**2*MZ**2 - 33*MW**4*MZ**2 - 2*MH**2*MZ**4 + 8*MW**2*MZ**4)*reglog(MW**2/MU_R**2))/((MH - 2*MW)*MW**2*(MH + 2*MW)*(2*MW - MZ)*(2*MW + MZ)) - (2*(MH**2 - 2*MW**2)*(2*MH**2 + MW**2)*reglog(MU_R**2/MH**2))/((MH - 2*MW)*MW**2*(MH + 2*MW)) + (4*MT**2*Ncol*reglog(MU_R**2/MT**2))/MW**2 + (2*(7*MH**2*MW**2 + 8*MW**4 - 4*MH**2*MZ**2 + 7*MW**2*MZ**2)*reglog(MU_R**2/MW**2))/((MH - 2*MW)*(MH + 2*MW)*(2*MW - MZ)*(2*MW + MZ)) - (2*(2*MW**2 - MZ**2)*(MW**2 + 2*MZ**2)*reglog(MU_R**2/MZ**2))/(MW**2*(2*MW - MZ)*(2*MW + MZ))))/(128.*cmath.pi**2*sw**2)'}


WWcft_UV_EW_5FS = {-1:'(ee**2*(-12*epsIR*sw**2 + epsUV*(-7 + 20*cw**2 - 6*Ncol + 20*sw**2)))/(96.*cmath.pi**2*sw**2)',
                    0:'-(ee**2*(-7 + 20*cw**2 - 6*Ncol + 8*sw**2)*reglog(4*cmath.pi))/(96.*cmath.pi**2*sw**2) + (ee**2*recms(CMSParam==1.0 and WW != 0.0,46 - 15*reglog(cmath.pi) + 30*reglog(2*cmath.pi) + 15*reglog(MU_R**2/MW**2)))/(288.*cmath.pi**2) + (ee**2*MW**2*recms(CMSParam==1.0 and WW != 0.0,2/MW**2 + ((MH**2 - 3*MW**2)*(MH**2 + regsqrt(MH**2*(MH**2 - 4*MW**2)))*grreglog(LogSwitch,(MH**2 - 2*MW**2 + regsqrt(MH**4 - 4*MH**2*MW**2))/(MH**2 + regsqrt(MH**4 - 4*MH**2*MW**2)),(MH**2 - MW**2 + ep*complex(0,-1) - re(MW**2) + regsqrt(-4*MH**2*MW**2 + (MH**2 - MW**2 + ep*complex(0,1) + re(MW**2))**2))/(MH**2 - MW**2 + ep*complex(0,1) + re(MW**2) + regsqrt(-4*MH**2*MW**2 + (MH**2 - MW**2 + ep*complex(0,1) + re(MW**2))**2))))/((MH - 2*MW)*MW**4*(MH + 2*MW)) - ((MH**2 - 3*MW**2)*(-MH**2 + regsqrt(MH**2*(MH**2 - 4*MW**2)))*grreglog(LogSwitch,(-MH**2 + 2*MW**2 + regsqrt(MH**4 - 4*MH**2*MW**2))/(-MH**2 + regsqrt(MH**4 - 4*MH**2*MW**2)),(-MH**2 + MW**2 + ep*complex(0,1) + re(MW**2) + regsqrt(-4*MH**2*MW**2 + (MH**2 - MW**2 + ep*complex(0,1) + re(MW**2))**2))/(-MH**2 + MW**2 + ep*complex(0,-1) - re(MW**2) + regsqrt(-4*MH**2*MW**2 + (MH**2 - MW**2 + ep*complex(0,1) + re(MW**2))**2))))/((MH - 2*MW)*MW**4*(MH + 2*MW)) - (2*(-MH**2 + 3*MW**2)*grreglog(LogSwitch,-1 + (MH**2 - regsqrt(MH**4 - 4*MH**2*MW**2))/(2.*MW**2),(complex(0,0.5)*(-MH**2 + MW**2 + ep*complex(0,1) + re(MW**2) + regsqrt(-4*MH**2*MW**2 + (MH**2 - MW**2 + ep*complex(0,1) + re(MW**2))**2)))/(ep + complex(0,-1)*re(MW**2))))/(MW**2*(-MH + 2*MW)*(MH + 2*MW)) - (2*(-MH**2 + 3*MW**2)*grreglog(LogSwitch,-1 + (MH**2 + regsqrt(MH**4 - 4*MH**2*MW**2))/(2.*MW**2),-1 + (MH**2 - MW**2 + ep*complex(0,1) + re(MW**2) + regsqrt(-4*MH**2*MW**2 + (MH**2 - MW**2 + ep*complex(0,1) + re(MW**2))**2))/(2.*(ep*complex(0,1) + re(MW**2)))))/(MW**2*(-MH + 2*MW)*(MH + 2*MW)) - (2*(MH**2 - 3*MW**2)*reglog(MW**2/MU_R**2))/((MH - 2*MW)*MW**2*(MH + 2*MW)) - (2*(MH**2 - 2*MW**2)*reglog(MU_R**2/MH**2))/((MH - 2*MW)*MW**2*(MH + 2*MW)) + (2*reglog(MU_R**2/MW**2))/((MH - 2*MW)*(MH + 2*MW))))/(32.*cmath.pi**2*sw**2) + (ee**2*recms(CMSParam==1.0 and WW != 0.0,(-24*(MT - MW)*(MT + MW)*(MT**2 - MT*MW + MW**2)*(MT**2 + MT*MW + MW**2)*Ncol*grreglog(LogSwitch,1 - MW**2/MT**2,-((-MT**2 + ep*complex(0,1) + re(MW**2))/MT**2)))/MW**6 - (3*MH**2*(2*MH**2 - 5*MW**2)*(-MH**2 + regsqrt(MH**2*(MH**2 - 4*MW**2)))*grreglog(LogSwitch,(MH**2 - 2*MW**2 - regsqrt(MH**4 - 4*MH**2*MW**2))/(MH**2 - regsqrt(MH**4 - 4*MH**2*MW**2)),-((-MH**2 + MW**2 + ep*complex(0,1) + re(MW**2) + regsqrt(-4*MH**2*MW**2 + (MH**2 - MW**2 + ep*complex(0,1) + re(MW**2))**2))/(MH**2 - MW**2 + ep*complex(0,1) + re(MW**2) - regsqrt(-4*MH**2*MW**2 + (MH**2 - MW**2 + ep*complex(0,1) + re(MW**2))**2)))))/MW**6 + (3*MH**2*(2*MH**2 - 5*MW**2)*(MH**2 + regsqrt(MH**2*(MH**2 - 4*MW**2)))*grreglog(LogSwitch,(MH**2 - 2*MW**2 + regsqrt(MH**4 - 4*MH**2*MW**2))/(MH**2 + regsqrt(MH**4 - 4*MH**2*MW**2)),-((-MH**2 + MW**2 + ep*complex(0,1) + re(MW**2) - regsqrt(-4*MH**2*MW**2 + (MH**2 - MW**2 + ep*complex(0,1) + re(MW**2))**2))/(MH**2 - MW**2 + ep*complex(0,1) + re(MW**2) + regsqrt(-4*MH**2*MW**2 + (MH**2 - MW**2 + ep*complex(0,1) + re(MW**2))**2)))))/MW**6 - (6*MH**2*(2*MH**2 - 5*MW**2)*grreglog(LogSwitch,-1 + (MH**2 - regsqrt(MH**4 - 4*MH**2*MW**2))/(2.*MW**2),(complex(0,0.5)*(-MH**2 + MW**2 + ep*complex(0,1) + re(MW**2) + regsqrt(-4*MH**2*MW**2 + (MH**2 - MW**2 + ep*complex(0,1) + re(MW**2))**2)))/(ep + complex(0,-1)*re(MW**2))))/MW**4 - (6*MH**2*(2*MH**2 - 5*MW**2)*grreglog(LogSwitch,-1 + (MH**2 + regsqrt(MH**4 - 4*MH**2*MW**2))/(2.*MW**2),-1 + (MH**2 - MW**2 + ep*complex(0,1) + re(MW**2) + regsqrt(-4*MH**2*MW**2 + (MH**2 - MW**2 + ep*complex(0,1) + re(MW**2))**2))/(2.*(ep*complex(0,1) + re(MW**2)))))/MW**4 + (6*MZ**2*(5*MW**2 - 2*MZ**2)*grreglog(LogSwitch,-(MZ**2 - regsqrt(-4*MW**2*MZ**2 + MZ**4))/(2.*MW**2),-1 + (MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2) + regsqrt(-4*MW**4 + (MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2))**2))/(2.*(ep*complex(0,1) + re(MW**2)))))/MW**4 + (3*MZ**2*(-5*MW**2 + 2*MZ**2)*(2*MW**2 - MZ**2 + regsqrt(-(MZ**2*(4*MW**2 - MZ**2))))*grreglog(LogSwitch,-((MZ**2 - regsqrt(-4*MW**2*MZ**2 + MZ**4))/(2*MW**2 - MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))),-((-MW**2 + MZ**2 + ep*complex(0,1) + re(MW**2) - regsqrt(-4*MW**4 + (MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2))**2))/(MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2) + regsqrt(-4*MW**4 + (MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2))**2)))))/MW**6 + (6*MZ**2*(5*MW**2 - 2*MZ**2)*grreglog(LogSwitch,-(MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))/(2.*MW**2),(complex(0,0.5)*(-MW**2 + MZ**2 + ep*complex(0,1) + re(MW**2) + regsqrt(-4*MW**4 + (MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2))**2)))/(ep + complex(0,-1)*re(MW**2))))/MW**4 - (3*MZ**2*(-5*MW**2 + 2*MZ**2)*(-2*MW**2 + MZ**2 + regsqrt(-(MZ**2*(4*MW**2 - MZ**2))))*grreglog(LogSwitch,-((MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))/(2*MW**2 - MZ**2 - regsqrt(-4*MW**2*MZ**2 + MZ**4))),-((-MW**2 + MZ**2 + ep*complex(0,1) + re(MW**2) + regsqrt(-4*MW**4 + (MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2))**2))/(MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2) - regsqrt(-4*MW**4 + (MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2))**2)))))/MW**6 + 24*(3 + 2*Ncol)*grreglog(LogSwitch,-(MW**2/MU_R**2),-((ep*complex(0,1) + re(MW**2))/MU_R**2)) + (4*(3*MH**4 - 9*MH**2*MW**2 - 17*MW**4 - 9*MW**2*MZ**2 + 3*MZ**4 - 6*MT**4*Ncol - 3*MT**2*MW**2*Ncol - 12*MW**4*Ncol + 21*MW**4*reglog(cmath.pi) + 18*MW**4*Ncol*reglog(cmath.pi) - 42*MW**4*reglog(2*cmath.pi) - 36*MW**4*Ncol*reglog(2*cmath.pi)))/MW**4 - (6*(2*MH**4 - 5*MH**2*MW**2 - 5*MW**2*MZ**2 + 2*MZ**4)*reglog(MW**2/MU_R**2))/MW**4 - (6*MH**2*(2*MH**2 - 3*MW**2)*reglog(MU_R**2/MH**2))/MW**4 - 24*Ncol*reglog(MU_R**2/MT**2) + (12*(MH**2 - MW**2 + MZ**2)*reglog(MU_R**2/MW**2))/MW**2 + (6*MZ**2*(3*MW**2 - 2*MZ**2)*reglog(MU_R**2/MZ**2))/MW**4))/(1152.*cmath.pi**2*sw**2) + (ee**2*MW**2*sw**2*recms(CMSParam==1.0 and WW != 0.0,2/MW**2 - (2*(3*MW**2 - MZ**2)*grreglog(LogSwitch,(-MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))/(2.*MW**2),-1 + (MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2) + regsqrt(-4*MW**4 + (MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2))**2))/(2.*(ep*complex(0,1) + re(MW**2)))))/(MW**2*(2*MW - MZ)*(2*MW + MZ)) + ((3*MW**2 - MZ**2)*(2*MW**2 - MZ**2 + regsqrt(-(MZ**2*(4*MW**2 - MZ**2))))*grreglog(LogSwitch,(-MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))/(2*MW**2 - MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4)),(MW**2 - MZ**2 + ep*complex(0,-1) - re(MW**2) + regsqrt(-4*MW**4 + (MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2))**2))/(MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2) + regsqrt(-4*MW**4 + (MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2))**2))))/(MW**4*(2*MW - MZ)*(2*MW + MZ)) - (2*(3*MW**2 - MZ**2)*grreglog(LogSwitch,-(MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))/(2.*MW**2),(complex(0,0.5)*(-MW**2 + MZ**2 + ep*complex(0,1) + re(MW**2) + regsqrt(-4*MW**4 + (MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2))**2)))/(ep + complex(0,-1)*re(MW**2))))/(MW**2*(2*MW - MZ)*(2*MW + MZ)) + ((3*MW**2 - MZ**2)*(2*MW**2 - MZ**2 - regsqrt(-(MZ**2*(4*MW**2 - MZ**2))))*grreglog(LogSwitch,(MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))/(-2*MW**2 + MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4)),(-MW**2 + MZ**2 + ep*complex(0,1) + re(MW**2) + regsqrt(-4*MW**4 + (MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2))**2))/(-MW**2 + MZ**2 + ep*complex(0,-1) - re(MW**2) + regsqrt(-4*MW**4 + (MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2))**2))))/(MW**4*(2*MW - MZ)*(2*MW + MZ)) - (2*(3*MW**2 - MZ**2)*reglog(MW**2/MU_R**2))/(MW**2*(2*MW - MZ)*(2*MW + MZ)) - (2*reglog(MU_R**2/MW**2))/((2*MW - MZ)*(2*MW + MZ)) - (2*(2*MW**2 - MZ**2)*reglog(MU_R**2/MZ**2))/(MW**2*(2*MW - MZ)*(2*MW + MZ))))/(32.*cw**2*cmath.pi**2) + (cw**2*ee**2*recms(CMSParam==1.0 and WW != 0.0,(-6*(3*MW**6 - 46*MW**4*MZ**2 + 29*MW**2*MZ**4 - 4*MZ**6)*grreglog(LogSwitch,-(MZ**2 - regsqrt(-4*MW**2*MZ**2 + MZ**4))/(2.*MW**2),-1 + (MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2) + regsqrt(-4*MW**4 + (MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2))**2))/(2.*(ep*complex(0,1) + re(MW**2)))))/(MW**4*(2*MW - MZ)*(2*MW + MZ)) - (3*(-3*MW**6 + 46*MW**4*MZ**2 - 29*MW**2*MZ**4 + 4*MZ**6)*(2*MW**2 - MZ**2 + regsqrt(-(MZ**2*(4*MW**2 - MZ**2))))*grreglog(LogSwitch,-((MZ**2 - regsqrt(-4*MW**2*MZ**2 + MZ**4))/(2*MW**2 - MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))),-((-MW**2 + MZ**2 + ep*complex(0,1) + re(MW**2) - regsqrt(-4*MW**4 + (MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2))**2))/(MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2) + regsqrt(-4*MW**4 + (MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2))**2)))))/(MW**6*(2*MW - MZ)*(2*MW + MZ)) - (6*(3*MW**6 - 46*MW**4*MZ**2 + 29*MW**2*MZ**4 - 4*MZ**6)*grreglog(LogSwitch,-(MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))/(2.*MW**2),(complex(0,0.5)*(-MW**2 + MZ**2 + ep*complex(0,1) + re(MW**2) + regsqrt(-4*MW**4 + (MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2))**2)))/(ep + complex(0,-1)*re(MW**2))))/(MW**4*(2*MW - MZ)*(2*MW + MZ)) + (3*(-3*MW**6 + 46*MW**4*MZ**2 - 29*MW**2*MZ**4 + 4*MZ**6)*(-2*MW**2 + MZ**2 + regsqrt(-(MZ**2*(4*MW**2 - MZ**2))))*grreglog(LogSwitch,-((MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))/(2*MW**2 - MZ**2 - regsqrt(-4*MW**2*MZ**2 + MZ**4))),-((-MW**2 + MZ**2 + ep*complex(0,1) + re(MW**2) + regsqrt(-4*MW**4 + (MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2))**2))/(MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2) - regsqrt(-4*MW**4 + (MW**2 - MZ**2 + ep*complex(0,1) + re(MW**2))**2)))))/(MW**6*(2*MW - MZ)*(2*MW + MZ)) - (2*(-23*MW**4 + 45*MW**2*MZ**2 - 12*MZ**4 + 30*MW**4*reglog(cmath.pi) - 60*MW**4*reglog(2*cmath.pi)))/MW**4 - (6*(3*MW**6 - 46*MW**4*MZ**2 + 29*MW**2*MZ**4 - 4*MZ**6)*reglog(MW**2/MU_R**2))/(MW**4*(2*MW - MZ)*(2*MW + MZ)) + (6*(7*MW**4 + 21*MW**2*MZ**2 - 4*MZ**4)*reglog(MU_R**2/MW**2))/(MW**2*(2*MW - MZ)*(2*MW + MZ)) + (6*(30*MW**6 + 15*MW**4*MZ**2 - 25*MW**2*MZ**4 + 4*MZ**6)*reglog(MU_R**2/MZ**2))/(MW**4*(2*MW - MZ)*(2*MW + MZ))))/(288.*cmath.pi**2*sw**2) + (ee**2*MW**2*recms(CMSParam==1.0 and WW != 0.0,2/MW**2 + reglog((4*cmath.pi*MU_R**2)/MW**2)/MW**2))/(32.*cmath.pi**2)'}

ZZWcft_UV_EW_5FS = {-1:'(ee**2*epsUV*(-39 + 117*cw**4 + 72*sw**2 + 6*cw**2*sw**2 - 147*sw**4 - 4*Ncol*(9 - 18*sw**2 + 20*sw**4)))/(576.*cw**2*cmath.pi**2*sw**2)',
                     0:'-(ee**2*(-39 + 117*cw**4 + 72*sw**2 + 6*cw**2*sw**2 - 147*sw**4 - 4*Ncol*(9 - 18*sw**2 + 20*sw**4))*reglog(4*cmath.pi))/(576.*cw**2*cmath.pi**2*sw**2) + (ee**2*(48*cw**2*sw**2*recms(CMSParam==1.0 and WZ != 0.0,-(((4*MT**4 - 2*MT**2*MZ**2 + MZ**4)*(MZ**2 + regsqrt(MZ**2*(-4*MT**2 + MZ**2)))*Ncol*grreglog(LogSwitch,-((MZ**2 - regsqrt(-4*MT**2*MZ**2 + MZ**4))/(MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4))),-((ep*complex(0,1) + re(MZ**2) - regsqrt(-4*MT**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MT**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2)))))/((2*MT - MZ)*MZ**4*(2*MT + MZ))) + (2*(4*MT**4 - 2*MT**2*MZ**2 + MZ**4)*Ncol*grreglog(LogSwitch,-(MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4))/(2.*MZ**2),(complex(0,0.5)*(ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MT**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2)))/(ep + complex(0,-1)*re(MZ**2))))/((2*MT - MZ)*MZ**2*(2*MT + MZ)) + ((4*MT**4 - 2*MT**2*MZ**2 + MZ**4)*(-MZ**2 + regsqrt(MZ**2*(-4*MT**2 + MZ**2)))*Ncol*grreglog(LogSwitch,-((MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4))/(MZ**2 - regsqrt(-4*MT**2*MZ**2 + MZ**4))),-((ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MT**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(ep*complex(0,1) + re(MZ**2) - regsqrt(-4*MT**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2)))))/((2*MT - MZ)*MZ**4*(2*MT + MZ)) + (2*(4*MT**4 - 2*MT**2*MZ**2 + MZ**4)*Ncol*grreglog(LogSwitch,-0.5 + regsqrt(-4*MT**2*MZ**2 + MZ**4)/(2.*MZ**2),-1 + (ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MT**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(2.*(ep*complex(0,1) + re(MZ**2)))))/((2*MT - MZ)*MZ**2*(2*MT + MZ)) + (-9 - 7*Ncol)*grreglog(LogSwitch,-(MZ**2/MU_R**2),-((ep*complex(0,1) + re(MZ**2))/MU_R**2)) - (-6*MZ**2 + 4*MT**2*Ncol - 6*MZ**2*Ncol + 9*MZ**2*reglog(cmath.pi) + 9*MZ**2*Ncol*reglog(cmath.pi) - 18*MZ**2*reglog(2*cmath.pi) - 18*MZ**2*Ncol*reglog(2*cmath.pi))/MZ**2 + (2*(4*MT**4 - 2*MT**2*MZ**2 + MZ**4)*Ncol*reglog(MZ**2/MU_R**2))/((2*MT - MZ)*MZ**2*(2*MT + MZ)) + (4*MT**2*(2*MT**2 + MZ**2)*Ncol*reglog(MU_R**2/MT**2))/((2*MT - MZ)*MZ**2*(2*MT + MZ))) - cw**2*sw**4*recms(CMSParam==1.0 and WZ != 0.0,(-64*(4*MT**4 - 2*MT**2*MZ**2 + MZ**4)*(MZ**2 + regsqrt(MZ**2*(-4*MT**2 + MZ**2)))*Ncol*grreglog(LogSwitch,-((MZ**2 - regsqrt(-4*MT**2*MZ**2 + MZ**4))/(MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4))),-((ep*complex(0,1) + re(MZ**2) - regsqrt(-4*MT**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MT**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2)))))/((2*MT - MZ)*MZ**4*(2*MT + MZ)) + (128*(4*MT**4 - 2*MT**2*MZ**2 + MZ**4)*Ncol*grreglog(LogSwitch,-(MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4))/(2.*MZ**2),(complex(0,0.5)*(ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MT**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2)))/(ep + complex(0,-1)*re(MZ**2))))/((2*MT - MZ)*MZ**2*(2*MT + MZ)) + (64*(4*MT**4 - 2*MT**2*MZ**2 + MZ**4)*(-MZ**2 + regsqrt(MZ**2*(-4*MT**2 + MZ**2)))*Ncol*grreglog(LogSwitch,-((MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4))/(MZ**2 - regsqrt(-4*MT**2*MZ**2 + MZ**4))),-((ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MT**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(ep*complex(0,1) + re(MZ**2) - regsqrt(-4*MT**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2)))))/((2*MT - MZ)*MZ**4*(2*MT + MZ)) + (128*(4*MT**4 - 2*MT**2*MZ**2 + MZ**4)*Ncol*grreglog(LogSwitch,-0.5 + regsqrt(-4*MT**2*MZ**2 + MZ**4)/(2.*MZ**2),-1 + (ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MT**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(2.*(ep*complex(0,1) + re(MZ**2)))))/((2*MT - MZ)*MZ**2*(2*MT + MZ)) + (9*(2*MW**2 + MZ**2)*(MZ**2 + regsqrt(MZ**2*(-4*MW**2 + MZ**2)))*grreglog(LogSwitch,-((MZ**2 - regsqrt(-4*MW**2*MZ**2 + MZ**4))/(MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))),-((ep*complex(0,1) + re(MZ**2) - regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2)))))/MZ**4 - (18*(2*MW**2 + MZ**2)*grreglog(LogSwitch,-(MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))/(2.*MZ**2),(complex(0,0.5)*(ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2)))/(ep + complex(0,-1)*re(MZ**2))))/MZ**2 - (9*(2*MW**2 + MZ**2)*(-MZ**2 + regsqrt(MZ**2*(-4*MW**2 + MZ**2)))*grreglog(LogSwitch,-((MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))/(MZ**2 - regsqrt(-4*MW**2*MZ**2 + MZ**4))),-((ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(ep*complex(0,1) + re(MZ**2) - regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2)))))/MZ**4 - (18*(2*MW**2 + MZ**2)*grreglog(LogSwitch,-0.5 + regsqrt(-4*MW**2*MZ**2 + MZ**4)/(2.*MZ**2),-1 + (ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(2.*(ep*complex(0,1) + re(MZ**2)))))/MZ**2 - 32*(27 + 11*Ncol)*grreglog(LogSwitch,-(MZ**2/MU_R**2),-((ep*complex(0,1) + re(MZ**2))/MU_R**2)) - (2*(-36*MW**2 - 303*MZ**2 + 128*MT**2*Ncol - 160*MZ**2*Ncol + 441*MZ**2*reglog(cmath.pi) + 240*MZ**2*Ncol*reglog(cmath.pi) - 882*MZ**2*reglog(2*cmath.pi) - 480*MZ**2*Ncol*reglog(2*cmath.pi)))/MZ**2 + (2*(-72*MT**2*MW**2 - 36*MT**2*MZ**2 + 18*MW**2*MZ**2 + 9*MZ**4 + 256*MT**4*Ncol - 128*MT**2*MZ**2*Ncol + 64*MZ**4*Ncol)*reglog(MZ**2/MU_R**2))/((2*MT - MZ)*MZ**2*(2*MT + MZ)) + (256*MT**2*(2*MT**2 + MZ**2)*Ncol*reglog(MU_R**2/MT**2))/((2*MT - MZ)*MZ**2*(2*MT + MZ)) - (36*MW**2*reglog(MU_R**2/MW**2))/MZ**2) + 6*cw**4*sw**2*recms(CMSParam==1.0 and WZ != 0.0,(3*(2*MW**2 + MZ**2)*(MZ**2 + regsqrt(MZ**2*(-4*MW**2 + MZ**2)))*grreglog(LogSwitch,-((MZ**2 - regsqrt(-4*MW**2*MZ**2 + MZ**4))/(MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))),-((ep*complex(0,1) + re(MZ**2) - regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2)))))/MZ**4 - (6*(2*MW**2 + MZ**2)*grreglog(LogSwitch,-(MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))/(2.*MZ**2),(complex(0,0.5)*(ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2)))/(ep + complex(0,-1)*re(MZ**2))))/MZ**2 - (3*(2*MW**2 + MZ**2)*(-MZ**2 + regsqrt(MZ**2*(-4*MW**2 + MZ**2)))*grreglog(LogSwitch,-((MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))/(MZ**2 - regsqrt(-4*MW**2*MZ**2 + MZ**4))),-((ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(ep*complex(0,1) + re(MZ**2) - regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2)))))/MZ**4 - (6*(2*MW**2 + MZ**2)*grreglog(LogSwitch,-0.5 + regsqrt(-4*MW**2*MZ**2 + MZ**4)/(2.*MZ**2),-1 + (ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(2.*(ep*complex(0,1) + re(MZ**2)))))/MZ**2 + (2*(12*MW**2 + 5*MZ**2 - 3*MZ**2*reglog(cmath.pi) + 6*MZ**2*reglog(2*cmath.pi)))/MZ**2 - (6*(2*MW**2 + MZ**2)*reglog(MZ**2/MU_R**2))/MZ**2 - (12*MW**2*reglog(MU_R**2/MW**2))/MZ**2) + 432*cw**2*MW**2*sw**4*recms(CMSParam==1.0 and WZ != 0.0,MZ**(-2) + (MW**2*(MZ**2 + regsqrt(MZ**2*(-4*MW**2 + MZ**2)))*grreglog(LogSwitch,(-MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))/(MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4)),(ep*complex(0,-1) - re(MZ**2) + regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))))/((2*MW - MZ)*MZ**4*(2*MW + MZ)) - (2*MW**2*grreglog(LogSwitch,-(MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))/(2.*MZ**2),(complex(0,0.5)*(ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2)))/(ep + complex(0,-1)*re(MZ**2))))/((2*MW - MZ)*MZ**2*(2*MW + MZ)) + (MW**2*(MZ**2 - regsqrt(MZ**2*(-4*MW**2 + MZ**2)))*grreglog(LogSwitch,(MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))/(-MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4)),(ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(ep*complex(0,-1) - re(MZ**2) + regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))))/((2*MW - MZ)*MZ**4*(2*MW + MZ)) - (2*MW**2*grreglog(LogSwitch,-0.5 + regsqrt(-4*MW**2*MZ**2 + MZ**4)/(2.*MZ**2),-1 + (ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(2.*(ep*complex(0,1) + re(MZ**2)))))/((2*MW - MZ)*MZ**2*(2*MW + MZ)) - (2*MW**2*reglog(MZ**2/MU_R**2))/((2*MW - MZ)*MZ**2*(2*MW + MZ)) - (2*MW**2*reglog(MU_R**2/MW**2))/((2*MW - MZ)*MZ**2*(2*MW + MZ))) - 9*cw**6*recms(CMSParam==1.0 and WZ != 0.0,(3*(40*MW**4 - 26*MW**2*MZ**2 + 13*MZ**4)*(MZ**2 + regsqrt(MZ**2*(-4*MW**2 + MZ**2)))*grreglog(LogSwitch,-((MZ**2 - regsqrt(-4*MW**2*MZ**2 + MZ**4))/(MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))),-((ep*complex(0,1) + re(MZ**2) - regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2)))))/((2*MW - MZ)*MZ**4*(2*MW + MZ)) - (6*(40*MW**4 - 26*MW**2*MZ**2 + 13*MZ**4)*grreglog(LogSwitch,-(MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))/(2.*MZ**2),(complex(0,0.5)*(ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2)))/(ep + complex(0,-1)*re(MZ**2))))/((2*MW - MZ)*MZ**2*(2*MW + MZ)) - (3*(40*MW**4 - 26*MW**2*MZ**2 + 13*MZ**4)*(-MZ**2 + regsqrt(MZ**2*(-4*MW**2 + MZ**2)))*grreglog(LogSwitch,-((MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))/(MZ**2 - regsqrt(-4*MW**2*MZ**2 + MZ**4))),-((ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(ep*complex(0,1) + re(MZ**2) - regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2)))))/((2*MW - MZ)*MZ**4*(2*MW + MZ)) - (6*(40*MW**4 - 26*MW**2*MZ**2 + 13*MZ**4)*grreglog(LogSwitch,-0.5 + regsqrt(-4*MW**2*MZ**2 + MZ**4)/(2.*MZ**2),-1 + (ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(2.*(ep*complex(0,1) + re(MZ**2)))))/((2*MW - MZ)*MZ**2*(2*MW + MZ)) + (2*(60*MW**2 - 41*MZ**2 + 39*MZ**2*reglog(cmath.pi) - 78*MZ**2*reglog(2*cmath.pi)))/MZ**2 - (6*(40*MW**4 - 26*MW**2*MZ**2 + 13*MZ**4)*reglog(MZ**2/MU_R**2))/((2*MW - MZ)*MZ**2*(2*MW + MZ)) - (12*MW**2*(20*MW**2 + 13*MZ**2)*reglog(MU_R**2/MW**2))/((2*MW - MZ)*MZ**2*(2*MW + MZ))) - 108*MW**2*recms(CMSParam==1.0 and WZ != 0.0,-2/MZ**2 - ((MH**2 - 3*MZ**2)*(MH**2 + regsqrt(MH**2*(MH**2 - 4*MZ**2)))*grreglog(LogSwitch,(MH**2 - 2*MZ**2 + regsqrt(MH**4 - 4*MH**2*MZ**2))/(MH**2 + regsqrt(MH**4 - 4*MH**2*MZ**2)),(MH**2 - MZ**2 + ep*complex(0,-1) - re(MZ**2) + regsqrt(-4*MH**2*MZ**2 + (MH**2 - MZ**2 + ep*complex(0,1) + re(MZ**2))**2))/(MH**2 - MZ**2 + ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MH**2*MZ**2 + (MH**2 - MZ**2 + ep*complex(0,1) + re(MZ**2))**2))))/((MH - 2*MZ)*MZ**4*(MH + 2*MZ)) + ((MH**2 - 3*MZ**2)*(-MH**2 + regsqrt(MH**2*(MH**2 - 4*MZ**2)))*grreglog(LogSwitch,(-MH**2 + 2*MZ**2 + regsqrt(MH**4 - 4*MH**2*MZ**2))/(-MH**2 + regsqrt(MH**4 - 4*MH**2*MZ**2)),(-MH**2 + MZ**2 + ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MH**2*MZ**2 + (MH**2 - MZ**2 + ep*complex(0,1) + re(MZ**2))**2))/(-MH**2 + MZ**2 + ep*complex(0,-1) - re(MZ**2) + regsqrt(-4*MH**2*MZ**2 + (MH**2 - MZ**2 + ep*complex(0,1) + re(MZ**2))**2))))/((MH - 2*MZ)*MZ**4*(MH + 2*MZ)) + (2*(-MH**2 + 3*MZ**2)*grreglog(LogSwitch,-1 + (MH**2 - regsqrt(MH**4 - 4*MH**2*MZ**2))/(2.*MZ**2),(complex(0,0.5)*(-MH**2 + MZ**2 + ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MH**2*MZ**2 + (MH**2 - MZ**2 + ep*complex(0,1) + re(MZ**2))**2)))/(ep + complex(0,-1)*re(MZ**2))))/(MZ**2*(-MH + 2*MZ)*(MH + 2*MZ)) + (2*(-MH**2 + 3*MZ**2)*grreglog(LogSwitch,-1 + (MH**2 + regsqrt(MH**4 - 4*MH**2*MZ**2))/(2.*MZ**2),-1 + (MH**2 - MZ**2 + ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MH**2*MZ**2 + (MH**2 - MZ**2 + ep*complex(0,1) + re(MZ**2))**2))/(2.*(ep*complex(0,1) + re(MZ**2)))))/(MZ**2*(-MH + 2*MZ)*(MH + 2*MZ)) + (2*(MH**2 - 3*MZ**2)*reglog(MZ**2/MU_R**2))/((MH - 2*MZ)*MZ**2*(MH + 2*MZ)) + (2*(MH**2 - 2*MZ**2)*reglog(MU_R**2/MH**2))/((MH - 2*MZ)*MZ**2*(MH + 2*MZ)) - (2*reglog(MU_R**2/MZ**2))/((MH - 2*MZ)*(MH + 2*MZ))) + 3*cw**2*recms(CMSParam==1.0 and WZ != 0.0,(-3*MH**2*(2*MH**2 - 5*MZ**2)*(-MH**2 + regsqrt(MH**2*(MH**2 - 4*MZ**2)))*grreglog(LogSwitch,(MH**2 - 2*MZ**2 - regsqrt(MH**4 - 4*MH**2*MZ**2))/(MH**2 - regsqrt(MH**4 - 4*MH**2*MZ**2)),-((-MH**2 + MZ**2 + ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MH**2*MZ**2 + (MH**2 - MZ**2 + ep*complex(0,1) + re(MZ**2))**2))/(MH**2 - MZ**2 + ep*complex(0,1) + re(MZ**2) - regsqrt(-4*MH**2*MZ**2 + (MH**2 - MZ**2 + ep*complex(0,1) + re(MZ**2))**2)))))/MZ**6 + (3*MH**2*(2*MH**2 - 5*MZ**2)*(MH**2 + regsqrt(MH**2*(MH**2 - 4*MZ**2)))*grreglog(LogSwitch,(MH**2 - 2*MZ**2 + regsqrt(MH**4 - 4*MH**2*MZ**2))/(MH**2 + regsqrt(MH**4 - 4*MH**2*MZ**2)),-((-MH**2 + MZ**2 + ep*complex(0,1) + re(MZ**2) - regsqrt(-4*MH**2*MZ**2 + (MH**2 - MZ**2 + ep*complex(0,1) + re(MZ**2))**2))/(MH**2 - MZ**2 + ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MH**2*MZ**2 + (MH**2 - MZ**2 + ep*complex(0,1) + re(MZ**2))**2)))))/MZ**6 + (6*(-2*MT**4 - 2*MT**2*MZ**2 + MZ**4)*(MZ**2 + regsqrt(MZ**2*(-4*MT**2 + MZ**2)))*Ncol*grreglog(LogSwitch,-((MZ**2 - regsqrt(-4*MT**2*MZ**2 + MZ**4))/(MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4))),-((ep*complex(0,1) + re(MZ**2) - regsqrt(-4*MT**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MT**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2)))))/((2*MT - MZ)*MZ**4*(2*MT + MZ)) + (12*(2*MT**4 + 2*MT**2*MZ**2 - MZ**4)*Ncol*grreglog(LogSwitch,-(MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4))/(2.*MZ**2),(complex(0,0.5)*(ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MT**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2)))/(ep + complex(0,-1)*re(MZ**2))))/((2*MT - MZ)*MZ**2*(2*MT + MZ)) - (6*(-2*MT**4 - 2*MT**2*MZ**2 + MZ**4)*(-MZ**2 + regsqrt(MZ**2*(-4*MT**2 + MZ**2)))*Ncol*grreglog(LogSwitch,-((MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4))/(MZ**2 - regsqrt(-4*MT**2*MZ**2 + MZ**4))),-((ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MT**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(ep*complex(0,1) + re(MZ**2) - regsqrt(-4*MT**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2)))))/((2*MT - MZ)*MZ**4*(2*MT + MZ)) + (12*(2*MT**4 + 2*MT**2*MZ**2 - MZ**4)*Ncol*grreglog(LogSwitch,-0.5 + regsqrt(-4*MT**2*MZ**2 + MZ**4)/(2.*MZ**2),-1 + (ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MT**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(2.*(ep*complex(0,1) + re(MZ**2)))))/((2*MT - MZ)*MZ**2*(2*MT + MZ)) - (6*MH**2*(2*MH**2 - 5*MZ**2)*grreglog(LogSwitch,-1 + (MH**2 - regsqrt(MH**4 - 4*MH**2*MZ**2))/(2.*MZ**2),(complex(0,0.5)*(-MH**2 + MZ**2 + ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MH**2*MZ**2 + (MH**2 - MZ**2 + ep*complex(0,1) + re(MZ**2))**2)))/(ep + complex(0,-1)*re(MZ**2))))/MZ**4 - (6*MH**2*(2*MH**2 - 5*MZ**2)*grreglog(LogSwitch,-1 + (MH**2 + regsqrt(MH**4 - 4*MH**2*MZ**2))/(2.*MZ**2),-1 + (MH**2 - MZ**2 + ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MH**2*MZ**2 + (MH**2 - MZ**2 + ep*complex(0,1) + re(MZ**2))**2))/(2.*(ep*complex(0,1) + re(MZ**2)))))/MZ**4 + 12*(6 + 5*Ncol)*grreglog(LogSwitch,-(MZ**2/MU_R**2),-((ep*complex(0,1) + re(MZ**2))/MU_R**2)) + (2*(6*MH**4 - 18*MH**2*MZ**2 - 29*MZ**4 - 6*MT**2*MZ**2*Ncol - 24*MZ**4*Ncol + 39*MZ**4*reglog(cmath.pi) + 36*MZ**4*Ncol*reglog(cmath.pi) - 78*MZ**4*reglog(2*cmath.pi) - 72*MZ**4*Ncol*reglog(2*cmath.pi)))/MZ**4 - (6*(8*MH**4*MT**2 - 2*MH**4*MZ**2 - 20*MH**2*MT**2*MZ**2 + 5*MH**2*MZ**4 - 4*MT**4*MZ**2*Ncol - 4*MT**2*MZ**4*Ncol + 2*MZ**6*Ncol)*reglog(MZ**2/MU_R**2))/((2*MT - MZ)*MZ**4*(2*MT + MZ)) - (6*MH**2*(2*MH**2 - 3*MZ**2)*reglog(MU_R**2/MH**2))/MZ**4 + (24*MT**2*(MT - MZ)*(MT + MZ)*Ncol*reglog(MU_R**2/MT**2))/((2*MT - MZ)*MZ**2*(2*MT + MZ)) + (6*(2*MH**2 - MZ**2)*reglog(MU_R**2/MZ**2))/MZ**2)))/(3456.*cw**4*cmath.pi**2*sw**2)'}

AZWcft_UV_EW_5FS = {-1:'-(ee**2*epsUV*(cw**2*(36*MW**2 + 57*MZ**2) - 18*MZ**2*(1 + Ncol) + 36*MW**2*sw**2 + 5*MZ**2*(15 + 8*Ncol)*sw**2))/(144.*cw*MZ**2*cmath.pi**2*sw)',
                     0:'(ee**2*(cw**2*(36*MW**2 + 57*MZ**2) - 18*MZ**2*(1 + Ncol) + 36*MW**2*sw**2 + 5*MZ**2*(15 + 8*Ncol)*sw**2)*reglog(4*cmath.pi))/(144.*cw*MZ**2*cmath.pi**2*sw) + (ee**2*(-108*MW**2*sw**2*recms(CMSParam==1.0 and WZ != 0.0,((MZ**2 + regsqrt(MZ**2*(-4*MW**2 + MZ**2)))*grreglog(LogSwitch,-((MZ**2 - regsqrt(-4*MW**2*MZ**2 + MZ**4))/(MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))),-((ep*complex(0,1) + re(MZ**2) - regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2)))))/MZ**2 - 2*grreglog(LogSwitch,-(MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))/(2.*MZ**2),(complex(0,0.5)*(ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2)))/(ep + complex(0,-1)*re(MZ**2))) - ((-MZ**2 + regsqrt(MZ**2*(-4*MW**2 + MZ**2)))*grreglog(LogSwitch,-((MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))/(MZ**2 - regsqrt(-4*MW**2*MZ**2 + MZ**4))),-((ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(ep*complex(0,1) + re(MZ**2) - regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2)))))/MZ**2 - 2*grreglog(LogSwitch,-0.5 + regsqrt(-4*MW**2*MZ**2 + MZ**4)/(2.*MZ**2),-1 + (ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(2.*(ep*complex(0,1) + re(MZ**2)))) - 2*(-2 + reglog(cmath.pi) - 2*reglog(2*cmath.pi)) - 2*reglog(MZ**2/MU_R**2)) + 12*recms(CMSParam==1.0 and WZ != 0.0,15*MZ**2 + 8*MT**2*Ncol + 15*MZ**2*Ncol + ((2*MT**2 + MZ**2)*(MZ**2 + regsqrt(MZ**2*(-4*MT**2 + MZ**2)))*Ncol*grreglog(LogSwitch,-((MZ**2 - regsqrt(-4*MT**2*MZ**2 + MZ**4))/(MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4))),-((ep*complex(0,1) + re(MZ**2) - regsqrt(-4*MT**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MT**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2)))))/MZ**2 - 2*(2*MT**2 + MZ**2)*Ncol*grreglog(LogSwitch,-(MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4))/(2.*MZ**2),(complex(0,0.5)*(ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MT**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2)))/(ep + complex(0,-1)*re(MZ**2))) - ((2*MT**2 + MZ**2)*(-MZ**2 + regsqrt(MZ**2*(-4*MT**2 + MZ**2)))*Ncol*grreglog(LogSwitch,-((MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4))/(MZ**2 - regsqrt(-4*MT**2*MZ**2 + MZ**4))),-((ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MT**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(ep*complex(0,1) + re(MZ**2) - regsqrt(-4*MT**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2)))))/MZ**2 - 2*(2*MT**2 + MZ**2)*Ncol*grreglog(LogSwitch,-0.5 + regsqrt(-4*MT**2*MZ**2 + MZ**4)/(2.*MZ**2),-1 + (ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MT**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(2.*(ep*complex(0,1) + re(MZ**2)))) - MZ**2*(9 + 7*Ncol)*grreglog(LogSwitch,-(MZ**2/MU_R**2),-((ep*complex(0,1) + re(MZ**2))/MU_R**2)) - 9*MZ**2*reglog(cmath.pi) - 9*MZ**2*Ncol*reglog(cmath.pi) + 18*MZ**2*reglog(2*cmath.pi) + 18*MZ**2*Ncol*reglog(2*cmath.pi) - 2*(2*MT**2 + MZ**2)*Ncol*reglog(MZ**2/MU_R**2) - 4*MT**2*Ncol*reglog(MU_R**2/MT**2)) - 3*cw**2*recms(CMSParam==1.0 and WZ != 0.0,(3*(32*MW**2 + 19*MZ**2)*(MZ**2 + regsqrt(MZ**2*(-4*MW**2 + MZ**2)))*grreglog(LogSwitch,-((MZ**2 - regsqrt(-4*MW**2*MZ**2 + MZ**4))/(MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))),-((ep*complex(0,1) + re(MZ**2) - regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2)))))/MZ**2 - 6*(32*MW**2 + 19*MZ**2)*grreglog(LogSwitch,-(MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))/(2.*MZ**2),(complex(0,0.5)*(ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2)))/(ep + complex(0,-1)*re(MZ**2))) - (3*(32*MW**2 + 19*MZ**2)*(-MZ**2 + regsqrt(MZ**2*(-4*MW**2 + MZ**2)))*grreglog(LogSwitch,-((MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))/(MZ**2 - regsqrt(-4*MW**2*MZ**2 + MZ**4))),-((ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(ep*complex(0,1) + re(MZ**2) - regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2)))))/MZ**2 - 6*(32*MW**2 + 19*MZ**2)*grreglog(LogSwitch,-0.5 + regsqrt(-4*MW**2*MZ**2 + MZ**4)/(2.*MZ**2),-1 + (ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(2.*(ep*complex(0,1) + re(MZ**2)))) - 2*(-192*MW**2 - 116*MZ**2 + 36*MW**2*reglog(cmath.pi) + 57*MZ**2*reglog(cmath.pi) - 72*MW**2*reglog(2*cmath.pi) - 114*MZ**2*reglog(2*cmath.pi)) - 6*(32*MW**2 + 19*MZ**2)*reglog(MZ**2/MU_R**2) - 120*MW**2*reglog(MU_R**2/MW**2)) + sw**2*recms(CMSParam==1.0 and WZ != 0.0,(-32*(2*MT**2 + MZ**2)*(MZ**2 + regsqrt(MZ**2*(-4*MT**2 + MZ**2)))*Ncol*grreglog(LogSwitch,-((MZ**2 - regsqrt(-4*MT**2*MZ**2 + MZ**4))/(MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4))),-((ep*complex(0,1) + re(MZ**2) - regsqrt(-4*MT**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MT**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2)))))/MZ**2 + 64*(2*MT**2 + MZ**2)*Ncol*grreglog(LogSwitch,-(MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4))/(2.*MZ**2),(complex(0,0.5)*(ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MT**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2)))/(ep + complex(0,-1)*re(MZ**2))) + (32*(2*MT**2 + MZ**2)*(-MZ**2 + regsqrt(MZ**2*(-4*MT**2 + MZ**2)))*Ncol*grreglog(LogSwitch,-((MZ**2 + regsqrt(-4*MT**2*MZ**2 + MZ**4))/(MZ**2 - regsqrt(-4*MT**2*MZ**2 + MZ**4))),-((ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MT**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(ep*complex(0,1) + re(MZ**2) - regsqrt(-4*MT**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2)))))/MZ**2 + 64*(2*MT**2 + MZ**2)*Ncol*grreglog(LogSwitch,-0.5 + regsqrt(-4*MT**2*MZ**2 + MZ**4)/(2.*MZ**2),-1 + (ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MT**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(2.*(ep*complex(0,1) + re(MZ**2)))) - (9*(-2*MW + MZ)*(2*MW + MZ)*(MZ**2 + regsqrt(MZ**2*(-4*MW**2 + MZ**2)))*grreglog(LogSwitch,-((MZ**2 - regsqrt(-4*MW**2*MZ**2 + MZ**4))/(MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))),-((ep*complex(0,1) + re(MZ**2) - regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2)))))/MZ**2 - 18*(2*MW - MZ)*(2*MW + MZ)*grreglog(LogSwitch,-(MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))/(2.*MZ**2),(complex(0,0.5)*(ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2)))/(ep + complex(0,-1)*re(MZ**2))) + (9*(-2*MW + MZ)*(2*MW + MZ)*(-MZ**2 + regsqrt(MZ**2*(-4*MW**2 + MZ**2)))*grreglog(LogSwitch,-((MZ**2 + regsqrt(-4*MW**2*MZ**2 + MZ**4))/(MZ**2 - regsqrt(-4*MW**2*MZ**2 + MZ**4))),-((ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(ep*complex(0,1) + re(MZ**2) - regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2)))))/MZ**2 - 18*(2*MW - MZ)*(2*MW + MZ)*grreglog(LogSwitch,-0.5 + regsqrt(-4*MW**2*MZ**2 + MZ**4)/(2.*MZ**2),-1 + (ep*complex(0,1) + re(MZ**2) + regsqrt(-4*MW**2*MZ**2 + (ep*complex(0,1) + re(MZ**2))**2))/(2.*(ep*complex(0,1) + re(MZ**2)))) + 16*MZ**2*(27 + 11*Ncol)*grreglog(LogSwitch,-(MZ**2/MU_R**2),-((ep*complex(0,1) + re(MZ**2))/MU_R**2)) + 2*(72*MW**2 - 384*MZ**2 - 128*MT**2*Ncol - 200*MZ**2*Ncol + 225*MZ**2*reglog(cmath.pi) + 120*MZ**2*Ncol*reglog(cmath.pi) - 450*MZ**2*reglog(2*cmath.pi) - 240*MZ**2*Ncol*reglog(2*cmath.pi)) - 2*(36*MW**2 - 9*MZ**2 - 64*MT**2*Ncol - 32*MZ**2*Ncol)*reglog(MZ**2/MU_R**2) + 128*MT**2*Ncol*reglog(MU_R**2/MT**2) - 72*MW**2*reglog(MU_R**2/MW**2))))/(864.*cw*MZ**2*cmath.pi**2*sw)'}


ZAWcft_UV_EW = CTParameter(name = 'ZAWcft_UV_EW',
                           type = 'complex',
                           value = {-1:'(ee**2*epsUV*MW**2*(cw**2 + sw**2))/(4.*cw*MZ**2*cmath.pi**2*sw)',
                                     0:'-(ee**2*MW**2*(cw**2 + sw**2)*reglog(MW**2/MU_R**2))/(4.*cw*MZ**2*cmath.pi**2*sw)'},
                           texname = '\delta Z_{ZA}^{EW}')

AAWcft_UV_EW_5FS = {-1:'-(ee**2*(-108*epsIR + 27*epsUV - 44*epsIR*Ncol + 60*epsUV*Ncol))/(432.*cmath.pi**2)',
                     0:'(ee**2*(9 + 16*Ncol*reglog(MT/MU_R) - 81*reglog(MW/MU_R)))/(216.*cmath.pi**2)'}

eCoup_UV_EW_5FS = {-1:'epsUV*(ee**2*(cw**2*(-36*MW**2 + MZ**2*(9 + 20*Ncol)) - 36*MW**2*sw**2))/(288.*cw**2*MZ**2*cmath.pi**2)',
                    0:'re((ee**2*(-7 + 4*sw**2)*reglog(cw**2))/(64.*cmath.pi**2*sw**4) - (ee**2*(-36*MT**4*Ncol + 81*MH**2*MW**2*sw**2 - 2133*MW**4*sw**2 + 144*MT**4*Ncol*sw**2 + 402*MT**2*MW**2*Ncol*sw**2 - 18*MH**4*sw**4 - 162*MH**2*MW**2*sw**4 + 10161*MW**4*sw**4 - 180*MT**4*Ncol*sw**4 - 1700*MT**2*MW**2*Ncol*sw**4 - 800*MW**4*Ncol*sw**4 + 36*MH**4*sw**6 + 81*MH**2*MW**2*sw**6 - 15966*MW**4*sw**6 + 72*MT**4*Ncol*sw**6 + 2706*MT**2*MW**2*Ncol*sw**6 + 1600*MW**4*Ncol*sw**6 - 18*MH**4*sw**8 + 9648*MW**4*sw**8 - 1920*MT**2*MW**2*Ncol*sw**8 - 800*MW**4*Ncol*sw**8 - 1728*MW**4*sw**10 + 512*MT**2*MW**2*Ncol*sw**10 + 384*MW**4*sw**2*reglog(64) - 1152*MW**4*sw**4*reglog(64) - 160*MW**4*Ncol*sw**4*reglog(64) + 1008*MW**4*sw**6*reglog(64) + 320*MW**4*Ncol*sw**6*reglog(64) - 240*MW**4*sw**8*reglog(64) - 160*MW**4*Ncol*sw**8*reglog(64) - 72*MW**4*sw**6*reglog(262144) + 72*MW**4*sw**8*reglog(262144) + 2088*MW**4*sw**2*reglog(cmath.pi) - 5184*MW**4*sw**4*reglog(cmath.pi) - 608*MW**4*Ncol*sw**4*reglog(cmath.pi) + 3240*MW**4*sw**6*reglog(cmath.pi) + 1216*MW**4*Ncol*sw**6*reglog(cmath.pi) - 144*MW**4*sw**8*reglog(cmath.pi) - 608*MW**4*Ncol*sw**8*reglog(cmath.pi) - 1872*MW**4*sw**2*reglog(2*cmath.pi) + 3456*MW**4*sw**4*reglog(2*cmath.pi) + 256*MW**4*Ncol*sw**4*reglog(2*cmath.pi) - 1728*MW**4*sw**6*reglog(2*cmath.pi) - 512*MW**4*Ncol*sw**6*reglog(2*cmath.pi) + 144*MW**4*sw**8*reglog(2*cmath.pi) + 256*MW**4*Ncol*sw**8*reglog(2*cmath.pi) - 1080*MW**4*sw**2*reglog(4*cmath.pi) + 4320*MW**4*sw**4*reglog(4*cmath.pi) + 352*MW**4*Ncol*sw**4*reglog(4*cmath.pi) - 4104*MW**4*sw**6*reglog(4*cmath.pi) - 704*MW**4*Ncol*sw**6*reglog(4*cmath.pi) + 864*MW**4*sw**8*reglog(4*cmath.pi) + 352*MW**4*Ncol*sw**8*reglog(4*cmath.pi)))/(6912.*MW**4*cmath.pi**2*(-1 + sw)**2*sw**4*(1 + sw)**2) + (ee**2*MW**2*(cw**2 + sw**2)*reglog(MW**2/MU_R**2))/(8.*cw**2*MZ**2*cmath.pi**2) - (ee**2*Ncol*reglog(MT/MU_R))/(27.*cmath.pi**2) + (3*ee**2*reglog(MW/MU_R))/(16.*cmath.pi**2) - (ee**2*MH**2*(-3*MH**2*MW**2 + 12*MW**4 + MH**4*sw**2 - MH**2*MW**2*sw**2)*reglog(MU_R**2/MH**2))/(384.*(MH - MW)*MW**4*(MH + MW)*cmath.pi**2*sw**2) + (ee**2*Ncol*(9*MT**2 - 18*MW**2 + 39*MT**2*sw**2 + 36*MW**2*sw**2 - 112*MT**2*sw**4 - 32*MW**2*sw**4 + 64*MT**2*sw**6)*reglog(MU_R**2/MT**2))/(1728.*MW**2*cmath.pi**2*sw**4) - (ee**2*(MH**4 + 33*MH**2*MW**2 - 34*MW**4 - 3*MH**4*sw**2 - 57*MH**2*MW**2*sw**2 + 51*MW**4*sw**2 + 2*MH**4*sw**4 - 45*MH**2*MW**2*sw**4 + 52*MW**4*sw**4 + 116*MH**2*MW**2*sw**6 - 116*MW**4*sw**6 - 48*MH**2*MW**2*sw**8 + 48*MW**4*sw**8)*reglog(MU_R**2/MW**2))/(384.*MW**2*(-MH + MW)*(MH + MW)*cmath.pi**2*(-1 + sw)*sw**4*(1 + sw)) + (ee**2*(-1 + sw)*(1 + sw)*reglog((4*cmath.pi*MU_R**2)/MW**2))/(8.*cmath.pi**2*sw**2) + (ee**2*(MH**2 + 34*MW**2 - 3*MH**2*sw**2 - 61*MW**2*sw**2 + 3*MH**2*sw**4 + 2*MW**2*sw**4 - MH**2*sw**6 + 24*MW**2*sw**6)*reglog(-(((-1 + sw**2)*MU_R**2)/MW**2)))/(384.*MW**2*cmath.pi**2*(-1 + sw)**2*sw**4*(1 + sw)**2) + (ee**2*(-1 + sw)*(1 + sw)*(MH**4 - 4*MH**2*MW**2 + 12*MW**4 - 2*MH**4*sw**2 + 4*MH**2*MW**2*sw**2 + MH**4*sw**4)*(-MH**2 + regsqrt((-MH**4 + 4*MH**2*MW**2 + MH**4*sw**2 + MW**2*vep*complex(0,-4))/(-1 + sw**2)))*reglog((-MH**2 - (2*MW**2)/(-1 + sw**2) + regsqrt((4*MH**2*MW**2 + MH**4*(-1 + sw**2) + MW**2*vep*complex(0,-4))/(-1 + sw**2)))/(-MH**2 + regsqrt((4*MH**2*MW**2 + MH**4*(-1 + sw**2) + MW**2*vep*complex(0,-4))/(-1 + sw**2)))))/(768.*MW**6*cmath.pi**2*sw**4) - (ee**2*(-1 + sw)*(1 + sw)*(MH**4 - 4*MH**2*MW**2 + 12*MW**4 - 2*MH**4*sw**2 + 4*MH**2*MW**2*sw**2 + MH**4*sw**4)*(MH**2 + regsqrt((-MH**4 + 4*MH**2*MW**2 + MH**4*sw**2 + MW**2*vep*complex(0,-4))/(-1 + sw**2)))*reglog((MH**2 + (2*MW**2)/(-1 + sw**2) + regsqrt((4*MH**2*MW**2 + MH**4*(-1 + sw**2) + MW**2*vep*complex(0,-4))/(-1 + sw**2)))/(MH**2 + regsqrt((4*MH**2*MW**2 + MH**4*(-1 + sw**2) + MW**2*vep*complex(0,-4))/(-1 + sw**2)))))/(768.*MW**6*cmath.pi**2*sw**4) - (ee**2*Ncol*(-9*MT**2 + 9*MW**2 - 39*MT**2*sw**2 - 24*MW**2*sw**2 + 112*MT**2*sw**4 + 32*MW**2*sw**4 - 64*MT**2*sw**6)*reglog((-MW**2 - (-1 + sw**2)*regsqrt((MW**2*(MW**2 + 4*MT**2*(-1 + sw**2) + (-1 + sw**2)*vep*complex(0,-4)))/(-1 + sw**2)**2))/(2.*MW**2)))/(1728.*MW**2*cmath.pi**2*sw**4) - (ee**2*Ncol*(-9*MT**2 + 9*MW**2 - 39*MT**2*sw**2 - 24*MW**2*sw**2 + 112*MT**2*sw**4 + 32*MW**2*sw**4 - 64*MT**2*sw**6)*reglog((-MW**2 + (-1 + sw**2)*regsqrt((MW**2*(MW**2 + 4*MT**2*(-1 + sw**2) + (-1 + sw**2)*vep*complex(0,-4)))/(-1 + sw**2)**2))/(2.*MW**2)))/(1728.*MW**2*cmath.pi**2*sw**4) + (ee**2*Ncol*(-9*MT**2 + 9*MW**2 - 39*MT**2*sw**2 - 24*MW**2*sw**2 + 112*MT**2*sw**4 + 32*MW**2*sw**4 - 64*MT**2*sw**6)*(MW**2 - regsqrt((MW**2*(-4*MT**2 + MW**2 + 4*MT**2*sw**2 + sw**2*vep*complex(0,-4) + vep*complex(0,4)))/(-1 + sw**2)**2) + sw**2*regsqrt((MW**2*(-4*MT**2 + MW**2 + 4*MT**2*sw**2 + sw**2*vep*complex(0,-4) + vep*complex(0,4)))/(-1 + sw**2)**2))*reglog((-MW**2 + (-1 + sw**2)*regsqrt((MW**2*(MW**2 + 4*MT**2*(-1 + sw**2) + (-1 + sw**2)*vep*complex(0,-4)))/(-1 + sw**2)**2))/(MW**2 + (-1 + sw**2)*regsqrt((MW**2*(MW**2 + 4*MT**2*(-1 + sw**2) + (-1 + sw**2)*vep*complex(0,-4)))/(-1 + sw**2)**2))))/(3456.*MW**4*cmath.pi**2*sw**4) + (ee**2*Ncol*(-9*MT**2 + 9*MW**2 - 39*MT**2*sw**2 - 24*MW**2*sw**2 + 112*MT**2*sw**4 + 32*MW**2*sw**4 - 64*MT**2*sw**6)*(MW**2 + regsqrt((MW**2*(-4*MT**2 + MW**2 + 4*MT**2*sw**2 + sw**2*vep*complex(0,-4) + vep*complex(0,4)))/(-1 + sw**2)**2) - sw**2*regsqrt((MW**2*(-4*MT**2 + MW**2 + 4*MT**2*sw**2 + sw**2*vep*complex(0,-4) + vep*complex(0,4)))/(-1 + sw**2)**2))*reglog((MW**2 + (-1 + sw**2)*regsqrt((MW**2*(MW**2 + 4*MT**2*(-1 + sw**2) + (-1 + sw**2)*vep*complex(0,-4)))/(-1 + sw**2)**2))/(-MW**2 + (-1 + sw**2)*regsqrt((MW**2*(MW**2 + 4*MT**2*(-1 + sw**2) + (-1 + sw**2)*vep*complex(0,-4)))/(-1 + sw**2)**2))))/(3456.*MW**4*cmath.pi**2*sw**4) - (ee**2*(-3 + 4*sw**2)*(33 - 44*sw**2 + 12*sw**4)*reglog((-MW**2 - (-1 + sw**2)*regsqrt((MW**2*(MW**2*(-3 + 4*sw**2) + (-1 + sw**2)*vep*complex(0,-4)))/(-1 + sw**2)**2))/(2.*MW**2)))/(384.*cmath.pi**2*sw**4) - (ee**2*(-3 + 4*sw**2)*(33 - 44*sw**2 + 12*sw**4)*reglog((-MW**2 + (-1 + sw**2)*regsqrt((MW**2*(MW**2*(-3 + 4*sw**2) + (-1 + sw**2)*vep*complex(0,-4)))/(-1 + sw**2)**2))/(2.*MW**2)))/(384.*cmath.pi**2*sw**4) + (ee**2*(-3 + 4*sw**2)*(33 - 44*sw**2 + 12*sw**4)*(MW**2 - regsqrt((MW**2*(-3*MW**2 + 4*MW**2*sw**2 + sw**2*vep*complex(0,-4) + vep*complex(0,4)))/(-1 + sw**2)**2) + sw**2*regsqrt((MW**2*(-3*MW**2 + 4*MW**2*sw**2 + sw**2*vep*complex(0,-4) + vep*complex(0,4)))/(-1 + sw**2)**2))*reglog((-MW**2 + (-1 + sw**2)*regsqrt((MW**2*(MW**2*(-3 + 4*sw**2) + (-1 + sw**2)*vep*complex(0,-4)))/(-1 + sw**2)**2))/(MW**2 + (-1 + sw**2)*regsqrt((MW**2*(MW**2*(-3 + 4*sw**2) + (-1 + sw**2)*vep*complex(0,-4)))/(-1 + sw**2)**2))))/(768.*MW**2*cmath.pi**2*sw**4) + (ee**2*(-3 + 4*sw**2)*(33 - 44*sw**2 + 12*sw**4)*(MW**2 + regsqrt((MW**2*(-3*MW**2 + 4*MW**2*sw**2 + sw**2*vep*complex(0,-4) + vep*complex(0,4)))/(-1 + sw**2)**2) - sw**2*regsqrt((MW**2*(-3*MW**2 + 4*MW**2*sw**2 + sw**2*vep*complex(0,-4) + vep*complex(0,4)))/(-1 + sw**2)**2))*reglog((MW**2 + (-1 + sw**2)*regsqrt((MW**2*(MW**2*(-3 + 4*sw**2) + (-1 + sw**2)*vep*complex(0,-4)))/(-1 + sw**2)**2))/(-MW**2 + (-1 + sw**2)*regsqrt((MW**2*(MW**2*(-3 + 4*sw**2) + (-1 + sw**2)*vep*complex(0,-4)))/(-1 + sw**2)**2))))/(768.*MW**2*cmath.pi**2*sw**4) - (ee**2*(MT - MW)**2*(MT + MW)**2*(MT**2 + 2*MW**2)*Ncol*(-1 + 2*sw**2)*reglog((MT**2 - MW**2 + vep*complex(0,-1))/MT**2))/(192.*MW**6*cmath.pi**2*sw**4) - (ee**2*(-1 + 2*sw**2)*(MH**4 - 4*MH**2*MW**2 - 87*MW**4 - 2*MH**4*sw**2 + 8*MH**2*MW**2*sw**2 + 240*MW**4*sw**2 + MH**4*sw**4 - 4*MH**2*MW**2*sw**4 - 200*MW**4*sw**4 + 48*MW**4*sw**6)*reglog((MW**2 + vep*complex(0,-1))/MU_R**2))/(384.*MW**4*cmath.pi**2*(-1 + sw)**2*sw**4*(1 + sw)**2) - (ee**2*(9*MH**4 - 36*MH**2*MW**2 - 783*MW**4 - 18*MT**2*MW**2*Ncol + 18*MW**4*Ncol - 18*MH**4*sw**2 + 36*MH**2*MW**2*sw**2 + 2376*MW**4*sw**2 - 78*MT**2*MW**2*Ncol*sw**2 - 48*MW**4*Ncol*sw**2 + 9*MH**4*sw**4 - 1908*MW**4*sw**4 + 224*MT**2*MW**2*Ncol*sw**4 + 64*MW**4*Ncol*sw**4 + 432*MW**4*sw**6 - 128*MT**2*MW**2*Ncol*sw**6)*reglog((MW**2/(1 - sw**2) + vep*complex(0,-1))/MU_R**2))/(3456.*MW**4*cmath.pi**2*sw**4) + (ee**2*(54 + 45*Ncol - 108*sw**2 - 84*Ncol*sw**2 + 216*sw**4 + 88*Ncol*sw**4)*reglogp(((-1 + sw**2)*MU_R**2)/(MW**2 + (-1 + sw**2)*vep*complex(0,-1))))/(1728.*cmath.pi**2*sw**4) - (ee**2*(MH**4 - 4*MH**2*MW**2 + 12*MW**4)*(-1 + 2*sw**2)*reglog(-1 + (MH**2 - regsqrt(MH**4 - 4*MW**2*(MH**2 + vep*complex(0,-1))))/(2.*MW**2)))/(384.*MW**4*cmath.pi**2*sw**4) - (ee**2*(MH**4 - 4*MH**2*MW**2 + 12*MW**4)*(-1 + 2*sw**2)*reglog(-1 + (MH**2 + regsqrt(MH**4 - 4*MW**2*(MH**2 + vep*complex(0,-1))))/(2.*MW**2)))/(384.*MW**4*cmath.pi**2*sw**4) - (ee**2*(MH**4 - 4*MH**2*MW**2 + 12*MW**4 - 2*MH**4*sw**2 + 4*MH**2*MW**2*sw**2 + MH**4*sw**4)*reglog(-1 + ((-1 + sw**2)*(-MH**2 + regsqrt(MH**4 + (4*MW**2*(MH**2 + vep*complex(0,-1)))/(-1 + sw**2))))/(2.*MW**2)))/(384.*MW**4*cmath.pi**2*sw**4) - (ee**2*(MH**4 - 4*MH**2*MW**2 + 12*MW**4 - 2*MH**4*sw**2 + 4*MH**2*MW**2*sw**2 + MH**4*sw**4)*reglog(-1 - ((-1 + sw**2)*(MH**2 + regsqrt(MH**4 + (4*MW**2*(MH**2 + vep*complex(0,-1)))/(-1 + sw**2))))/(2.*MW**2)))/(384.*MW**4*cmath.pi**2*sw**4) + (ee**2*(3 + 2*Ncol)*(-1 + 2*sw**2)*reglogp(-(MU_R**2/(MW**2 + vep*complex(0,1)))))/(96.*cmath.pi**2*sw**4) + (ee**2*(MH**4 - 4*MH**2*MW**2 + 12*MW**4)*(-1 + 2*sw**2)*(MH**2 + regsqrt(MH**4 - 4*MH**2*MW**2 + MW**2*vep*complex(0,4)))*reglog((MH**2 - 2*MW**2 + regsqrt(MH**4 - 4*MH**2*MW**2 + MW**2*vep*complex(0,4)))/(MH**2 + regsqrt(MH**4 - 4*MH**2*MW**2 + MW**2*vep*complex(0,4)))))/(768.*MW**6*cmath.pi**2*sw**4) - (ee**2*(MH**4 - 4*MH**2*MW**2 + 12*MW**4)*(-1 + 2*sw**2)*(-MH**2 + regsqrt(MH**4 - 4*MH**2*MW**2 + MW**2*vep*complex(0,4)))*reglog((-MH**2 + 2*MW**2 + regsqrt(MH**4 - 4*MH**2*MW**2 + MW**2*vep*complex(0,4)))/(-MH**2 + regsqrt(MH**4 - 4*MH**2*MW**2 + MW**2*vep*complex(0,4)))))/(768.*MW**6*cmath.pi**2*sw**4) - (ee**2*(-1 + 2*sw**2)*(-3 + 4*sw**2)*(33 - 44*sw**2 + 12*sw**4)*reglog((-(MW**2/(1 - sw**2)) - regsqrt((MW**2*(MW**2*(-3 + 4*sw**2) + (-1 + sw**2)**2*vep*complex(0,4)))/(-1 + sw**2)**2))/(2.*MW**2)))/(384.*cmath.pi**2*(-1 + sw)**2*sw**4*(1 + sw)**2) - (ee**2*(-1 + 2*sw**2)*(-3 + 4*sw**2)*(33 - 44*sw**2 + 12*sw**4)*reglog((MW**2 + (-1 + sw**2)*regsqrt((MW**2*(MW**2*(-3 + 4*sw**2) + (-1 + sw**2)**2*vep*complex(0,4)))/(-1 + sw**2)**2))/(2.*MW**2*(-1 + sw**2))))/(384.*cmath.pi**2*(-1 + sw)**2*sw**4*(1 + sw)**2) + (ee**2*(-1 + 2*sw**2)*(-3 + 4*sw**2)*(33 - 44*sw**2 + 12*sw**4)*(-MW**2 + 2*MW**2*sw**2 + regsqrt((MW**2*(-3*MW**2 + 4*MW**2*sw**2 + sw**2*vep*complex(0,-8) + vep*complex(0,4) + sw**4*vep*complex(0,4)))/(-1 + sw**2)**2) - sw**2*regsqrt((MW**2*(-3*MW**2 + 4*MW**2*sw**2 + sw**2*vep*complex(0,-8) + vep*complex(0,4) + sw**4*vep*complex(0,4)))/(-1 + sw**2)**2))*reglog((-MW**2 + (-1 + sw**2)*regsqrt((MW**2*(MW**2*(-3 + 4*sw**2) + (-1 + sw**2)**2*vep*complex(0,4)))/(-1 + sw**2)**2))/(MW**2*(1 - 2*sw**2) + (-1 + sw**2)*regsqrt((MW**2*(MW**2*(-3 + 4*sw**2) + (-1 + sw**2)**2*vep*complex(0,4)))/(-1 + sw**2)**2))))/(768.*MW**2*cmath.pi**2*(-1 + sw)**3*sw**4*(1 + sw)**3) + (ee**2*(-1 + 2*sw**2)*(-3 + 4*sw**2)*(33 - 44*sw**2 + 12*sw**4)*(-MW**2 + 2*MW**2*sw**2 - regsqrt((MW**2*(-3*MW**2 + 4*MW**2*sw**2 + sw**2*vep*complex(0,-8) + vep*complex(0,4) + sw**4*vep*complex(0,4)))/(-1 + sw**2)**2) + sw**2*regsqrt((MW**2*(-3*MW**2 + 4*MW**2*sw**2 + sw**2*vep*complex(0,-8) + vep*complex(0,4) + sw**4*vep*complex(0,4)))/(-1 + sw**2)**2))*reglog((MW**2 + (-1 + sw**2)*regsqrt((MW**2*(MW**2*(-3 + 4*sw**2) + (-1 + sw**2)**2*vep*complex(0,4)))/(-1 + sw**2)**2))/(MW**2*(-1 + 2*sw**2) + (-1 + sw**2)*regsqrt((MW**2*(MW**2*(-3 + 4*sw**2) + (-1 + sw**2)**2*vep*complex(0,4)))/(-1 + sw**2)**2))))/(768.*MW**2*cmath.pi**2*(-1 + sw)**3*sw**4*(1 + sw)**3))'}



# the copy of the above fermion wavefunction renormalization cnsts

tWcft_BAR_UV_EW_R = CTParameter(name = 'tWcft_BAR_UV_EW_R',
                            type = 'complex',
                            value = {-1:tWcft_UV_EW_R.value[-1],
                            0:tWcft_UV_EW_R.value[0]},
                            texname = '\delta ZR_t^{EW,dagger}')



cWcft_BAR_UV_EW_R = CTParameter(name = 'cWcft_BAR_UV_EW_R',
                            type = 'complex',
                            value = {-1:cWcft_UV_EW_R.value[-1],
                                      0:cWcft_UV_EW_R.value[0]},
                            texname = '\delta ZR_c^{EW,dagger}')

uWcft_BAR_UV_EW_R = CTParameter(name = 'uWcft_BAR_UV_EW_R',
                           type = 'complex',
                           value = {-1:uWcft_UV_EW_R.value[-1],
                                     0:uWcft_UV_EW_R.value[0]},
                           texname = '\delta ZR_u^{EW,dagger}')


bWcft_BAR_UV_EW_R = CTParameter(name = 'bWcft_BAR_UV_EW_R',
                            type = 'complex',
                            value = {-1:bWcft_UV_EW_R.value[-1],
                                      0:bWcft_UV_EW_R.value[0]},
                            texname = '\delta ZR_b^{EW,dagger}')

sWcft_BAR_UV_EW_R = CTParameter(name = 'sWcft_BAR_UV_EW_R',
                            type = 'complex',
                            value = {-1:sWcft_UV_EW_R.value[-1],
                                      0:sWcft_UV_EW_R.value[0]},
                            texname = '\delta ZR_s^{EW,dagger')

dWcft_BAR_UV_EW_R = CTParameter(name = 'dWcft_BAR_UV_EW_R',
                            type = 'complex',
                            value = {-1:dWcft_UV_EW_R.value[-1],
                                      0:dWcft_UV_EW_R.value[0]},
                            texname = '\delta ZR_d^{EW,dagger}')

tauWcft_BAR_UV_EW_R = CTParameter(name = 'tauWcft_BAR_UV_EW_R',
                              type = 'complex',
                              value = {-1:tauWcft_UV_EW_R.value[-1],
                                        0:tauWcft_UV_EW_R.value[0]},
                              texname = '\delta ZR_tau^{EW,dagger}')

muWcft_BAR_UV_EW_R = CTParameter(name = 'muWcft_BAR_UV_EW_R',
                             type = 'complex',
                             value = {-1:muWcft_UV_EW_R.value[-1],
                                       0:muWcft_UV_EW_R.value[0]},
                             texname = '\delta ZR_mu^{EW,dagger}')

eWcft_BAR_UV_EW_R = CTParameter(name = 'eWcft_BAR_UV_EW_R',
                            type = 'complex',
                            value = {-1:eWcft_UV_EW_R.value[-1],
                                      0:eWcft_UV_EW_R.value[0]},
                            texname = '\delta ZR_e^{EW,dagger}')

tWcft_BAR_UV_EW_L = CTParameter(name = 'tWcft_BAR_UV_EW_L',
                            type = 'complex',
                            value = {-1:tWcft_UV_EW_L.value[-1],
                            0:tWcft_UV_EW_L.value[0]},
                            texname = '\delta ZL_t^{EW,dagger,p}')

cWcft_BAR_UV_EW_L = CTParameter(name = 'cWcft_BAR_UV_EW_L',
                            type = 'complex',
                            value = {-1:cWcft_UV_EW_L.value[-1],
                                      0:cWcft_UV_EW_L.value[0]},
                            texname = '\delta ZL_c^{EW,dagger}')

uWcft_BAR_UV_EW_L = CTParameter(name = 'uWcft_BAR_UV_EW_L',
                            type = 'complex',
                            value = {-1:uWcft_UV_EW_L.value[-1],
                                      0:uWcft_UV_EW_L.value[0]},
                            texname = '\delta ZL_u^{EW,dagger}')

bWcft_BAR_UV_EW_L = CTParameter(name = 'bWcft_BAR_UV_EW_L',
                            type = 'complex',
                            value = {-1:bWcft_UV_EW_L.value[-1],
                                      0:bWcft_UV_EW_L.value[0]},
                            texname = '\delta ZL_b^{EW,dagger}')

sWcft_BAR_UV_EW_L = CTParameter(name = 'sWcft_BAR_UV_EW_L',
                            type = 'complex',
                            value = {-1:sWcft_UV_EW_L.value[-1],
                                      0:sWcft_UV_EW_L.value[0]},
                            texname = '\delta ZL_s^{EW,dagger}')

dWcft_BAR_UV_EW_L = CTParameter(name = 'dWcft_BAR_UV_EW_L',
                            type = 'complex',
                            value = {-1:dWcft_UV_EW_L.value[-1],
                                      0:dWcft_UV_EW_L.value[0]},
                            texname = '\delta ZL_d^{EW,dagger}')

tauWcft_BAR_UV_EW_L = CTParameter(name = 'tauWcft_BAR_UV_EW_L',
                              type = 'complex',
                              value = {-1:tauWcft_UV_EW_L.value[-1],
                                        0:tauWcft_UV_EW_L.value[0]},
                              texname = '\delta ZL_tau^{EW,dagger}')

muWcft_BAR_UV_EW_L = CTParameter(name = 'muWcft_BAR_UV_EW_L',
                             type = 'complex',
                             value = {-1:muWcft_UV_EW_L.value[-1],
                                       0:muWcft_UV_EW_L.value[0]},
                             texname = '\delta ZL_mu^{EW,dagger}')

eWcft_BAR_UV_EW_L = CTParameter(name = 'eWcft_BAR_UV_EW_L',
                            type = 'complex',
                            value = {-1:eWcft_UV_EW_L.value[-1],
                                      0:eWcft_UV_EW_L.value[0]},
                            texname = '\delta ZL_e^{EW,dagger}')

vtWcft_BAR_UV_EW_L = CTParameter(name = 'vtWcft_BAR_UV_EW_L',
                             type = 'complex',
                             value = {-1:vtWcft_UV_EW_L.value[-1],
                                       0:vtWcft_UV_EW_L.value[0]},
                             texname = '\delta ZL_vt^{EW,dagger}')

vmWcft_BAR_UV_EW_L = CTParameter(name = 'vmWcft_BAR_UV_EW_L',
                             type = 'complex',
                             value = {-1:vmWcft_UV_EW_L.value[-1],
                                       0:vmWcft_UV_EW_L.value[0]},
                             texname = '\delta ZL_vm^{EW,dagger}')

veWcft_BAR_UV_EW_L = CTParameter(name = 'veWcft_BAR_UV_EW_L',
                             type = 'complex',
                             value = {-1:veWcft_UV_EW_L.value[-1],
                                       0:veWcft_UV_EW_L.value[0]},
                             texname = '\delta ZL_ve^{EW,dagger}')

# end of copy

HWcft_UV_EW = CTParameter(name = 'HWcft_UV_EW',
                                 type = 'complex',
                                 value = {-1:'( '+HWcft_UV_EW_5FS[-1]+' if MB == 0.0 else '+HWcft_UV_EW_4FS[-1]+' )',
                                           0:'( '+HWcft_UV_EW_5FS[0]+'  if MB == 0.0 else '+HWcft_UV_EW_4FS[0]+'  )'},
                                 texname = '\delta Z_{H}^{EW}')

G0Wcft_UV_EW = CTParameter(name = 'G0Wcft_UV_EW',
                                 type = 'complex',
                                 value = {-1:'( '+G0Wcft_UV_EW_5FS[-1]+' if MB == 0.0 else '+G0Wcft_UV_EW_4FS[-1]+' )',
                                           0:'( '+G0Wcft_UV_EW_5FS[0]+'  if MB == 0.0 else '+G0Wcft_UV_EW_4FS[0]+'  )'},
                                 texname = '\delta Z_{G0}^{EW}')


GpWcft_UV_EW = CTParameter(name = 'GpWcft_UV_EW',
                                 type = 'complex',
                                 value = {-1:'( '+GpWcft_UV_EW_5FS[-1]+' if MB == 0.0 else '+GpWcft_UV_EW_4FS[-1]+' )',
                                           0:'( '+GpWcft_UV_EW_5FS[0]+'  if MB == 0.0 else '+GpWcft_UV_EW_4FS[0]+'  )'},
                                 texname = '\delta Z_{Gp}^{EW}')

WWcft_UV_EW = CTParameter(name = 'WWcft_UV_EW',
                                 type = 'complex',
                                 value = {-1:'( '+WWcft_UV_EW_5FS[-1]+' if MB == 0.0 else '+WWcft_UV_EW_4FS[-1]+' )',
                                           0:'( '+WWcft_UV_EW_5FS[0]+'  if MB == 0.0 else '+WWcft_UV_EW_4FS[0]+'  )'},
                                 texname = '\delta Z_{W}^{EW}')

ZZWcft_UV_EW = CTParameter(name = 'ZZWcft_UV_EW',
                                 type = 'complex',
                                 value = {-1:'( '+ZZWcft_UV_EW_5FS[-1]+' if MB == 0.0 else '+ZZWcft_UV_EW_4FS[-1]+' )',
                                           0:'( '+ZZWcft_UV_EW_5FS[0]+'  if MB == 0.0 else '+ZZWcft_UV_EW_4FS[0]+'  )'},
                                 texname = '\delta Z_{ZZ}^{EW}')

AZWcft_UV_EW = CTParameter(name = 'AZWcft_UV_EW',
                                 type = 'complex',
                                 value = {-1:'( '+AZWcft_UV_EW_5FS[-1]+' if MB == 0.0 else '+AZWcft_UV_EW_4FS[-1]+' )',
                                           0:'( '+AZWcft_UV_EW_5FS[0]+'  if MB == 0.0 else '+AZWcft_UV_EW_4FS[0]+'  )'},
                                 texname = '\delta Z_{AZ}^{EW}')

AAWcft_UV_EW = CTParameter(name = 'AAWcft_UV_EW',
                                 type = 'complex',
                                 value = {-1:'( '+AAWcft_UV_EW_5FS[-1]+' if MB == 0.0 else '+AAWcft_UV_EW_4FS[-1]+' )',
                                           0:'( '+AAWcft_UV_EW_5FS[0]+'  if MB == 0.0 else '+AAWcft_UV_EW_4FS[0]+'  )'},
                                 texname = '\delta Z_{AA}^{EW}')

eCoup_UV_EW = CTParameter(name = 'eCoup_UV_EW',
                                 type = 'complex',
                                 value = {-1:'( '+eCoup_UV_EW_5FS[-1]+' if MB == 0.0 else '+eCoup_UV_EW_4FS[-1]+' )',
                                           0:'( '+eCoup_UV_EW_5FS[0]+'  if MB == 0.0 else '+eCoup_UV_EW_4FS[0]+'  )'},
                                 texname = '\delta e')

SWCoup_UV_EW = CTParameter(name = 'SWCoup_UV_EW',
                          type = 'complex',
                          value = {-1:'0.5*cw**2/sw*(('+ZMass2_UV_EW.value[-1]+')/MZ**2-('+WMass2_UV_EW.value[-1]+')/MW**2)',
                                   0:'0.5*cw**2/sw*(('+ZMass2_UV_EW.value[0]+')/MZ**2-('+WMass2_UV_EW.value[0]+')/MW**2)'},
                          texname = '\delta SW')



CWCoup_UV_EW = CTParameter(name = 'CWCoup_UV_EW',
                          type = 'complex',
                          value = {-1:'-0.5*cw*(('+ZMass2_UV_EW.value[-1]+')/MZ**2-('+WMass2_UV_EW.value[-1]+')/MW**2)',
                                   0:'-0.5*cw*(('+ZMass2_UV_EW.value[0]+')/MZ**2-('+WMass2_UV_EW.value[0]+')/MW**2)'},
                          texname = '\delta CW')


# ================================================ #
# QED UV parameters                                #
# Following UV parameters should be added if MB!=0 #
# ================================================ #

# ============== #
# Mixed QCD-QED  #
# ============== #

UV_yuk_c = CTParameter(name = 'UV_yuk_c',
                       type = 'real',
                       value = {-1:'-(1.0/2.0)*((G**2)/(16.0*cmath.pi**2))*3.0*CF*2.0*epsUV',
                       0:'cond(MC,0.0,-(1.0/2.0)*((G**2)/(16.0*cmath.pi**2))*CF*(-3.0*reglog(MC**2/MU_R**2)+4.0)*2.0)'
                       },
                       texname = '\delta y_c')

UV_yuk_b = CTParameter(name = 'UV_yuk_b',
                       type = 'real',
                       value = {-1:'-(1.0/2.0)*((G**2)/(16.0*cmath.pi**2))*3.0*CF*2.0*epsUV',
                       0:'cond(MB,0.0,-(1.0/2.0)*((G**2)/(16.0*cmath.pi**2))*CF*(-3.0*reglog(MB**2/MU_R**2)+4.0)*2.0)'
                       },
                       texname = '\delta y_b')

UV_yuk_t = CTParameter(name = 'UV_yuk_t',
                       type = 'real',
                       value = {-1:'-(1.0/2.0)*((G**2)/(16.0*cmath.pi**2))*3.0*CF*2.0*epsUV',
                       0:'cond(MT,0.0,-(1.0/2.0)*((G**2)/(16.0*cmath.pi**2))*CF*(-3.0*reglog(MT**2/MU_R**2)+4.0)*2.0)'
                       },
                       texname = '\delta y_t')

